/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository;

import org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.CooperativeFeature;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Cooperative Feature Repository Model</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.CooperativeFeatureRepositoryModel#getModels <em>Models</em>}</li>
 *   <li>{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.CooperativeFeatureRepositoryModel#getRelationships <em>Relationships</em>}</li>
 *   <li>{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.CooperativeFeatureRepositoryModel#getDynamicbusinessmodelcategoryset <em>Dynamicbusinessmodelcategoryset</em>}</li>
 *   <li>{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.CooperativeFeatureRepositoryModel#getDynamiclegislationcategoryset <em>Dynamiclegislationcategoryset</em>}</li>
 *   <li>{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.CooperativeFeatureRepositoryModel#getReputationmodelset <em>Reputationmodelset</em>}</li>
 *   <li>{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.CooperativeFeatureRepositoryModel#getPilarcospolicyframeworkset <em>Pilarcospolicyframeworkset</em>}</li>
 *   <li>{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.CooperativeFeatureRepositoryModel#getRoledependencypolicyset <em>Roledependencypolicyset</em>}</li>
 *   <li>{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.CooperativeFeatureRepositoryModel#getRoledependencypolicykindset <em>Roledependencypolicykindset</em>}</li>
 * </ul>
 * </p>
 *
 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.cooperativefeaturerepositoryPackage#getCooperativeFeatureRepositoryModel()
 * @model
 * @generated
 */
public interface CooperativeFeatureRepositoryModel extends EObject {
	/**
	 * Returns the value of the '<em><b>Models</b></em>' containment reference list.
	 * The list contents are of type {@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.CooperativeFeature}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Models</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Models</em>' containment reference list.
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.cooperativefeaturerepositoryPackage#getCooperativeFeatureRepositoryModel_Models()
	 * @model containment="true"
	 * @generated
	 */
	EList<CooperativeFeature> getModels();

	/**
	 * Returns the value of the '<em><b>Relationships</b></em>' containment reference list.
	 * The list contents are of type {@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.CooperativeFeatureRelationship}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Relationships</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Relationships</em>' containment reference list.
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.cooperativefeaturerepositoryPackage#getCooperativeFeatureRepositoryModel_Relationships()
	 * @model containment="true"
	 * @generated
	 */
	EList<CooperativeFeatureRelationship> getRelationships();

	/**
	 * Returns the value of the '<em><b>Dynamicbusinessmodelcategoryset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Dynamicbusinessmodelcategoryset</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Dynamicbusinessmodelcategoryset</em>' containment reference.
	 * @see #setDynamicbusinessmodelcategoryset(CooperativeFeatureRelationship)
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.cooperativefeaturerepositoryPackage#getCooperativeFeatureRepositoryModel_Dynamicbusinessmodelcategoryset()
	 * @model containment="true" required="true"
	 * @generated
	 */
	CooperativeFeatureRelationship getDynamicbusinessmodelcategoryset();

	/**
	 * Sets the value of the '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.CooperativeFeatureRepositoryModel#getDynamicbusinessmodelcategoryset <em>Dynamicbusinessmodelcategoryset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Dynamicbusinessmodelcategoryset</em>' containment reference.
	 * @see #getDynamicbusinessmodelcategoryset()
	 * @generated
	 */
	void setDynamicbusinessmodelcategoryset(CooperativeFeatureRelationship value);

	/**
	 * Returns the value of the '<em><b>Dynamiclegislationcategoryset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Dynamiclegislationcategoryset</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Dynamiclegislationcategoryset</em>' containment reference.
	 * @see #setDynamiclegislationcategoryset(CooperativeFeatureRelationship)
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.cooperativefeaturerepositoryPackage#getCooperativeFeatureRepositoryModel_Dynamiclegislationcategoryset()
	 * @model containment="true" required="true"
	 * @generated
	 */
	CooperativeFeatureRelationship getDynamiclegislationcategoryset();

	/**
	 * Sets the value of the '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.CooperativeFeatureRepositoryModel#getDynamiclegislationcategoryset <em>Dynamiclegislationcategoryset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Dynamiclegislationcategoryset</em>' containment reference.
	 * @see #getDynamiclegislationcategoryset()
	 * @generated
	 */
	void setDynamiclegislationcategoryset(CooperativeFeatureRelationship value);

	/**
	 * Returns the value of the '<em><b>Reputationmodelset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Reputationmodelset</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Reputationmodelset</em>' containment reference.
	 * @see #setReputationmodelset(CooperativeFeatureRelationship)
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.cooperativefeaturerepositoryPackage#getCooperativeFeatureRepositoryModel_Reputationmodelset()
	 * @model containment="true" required="true"
	 * @generated
	 */
	CooperativeFeatureRelationship getReputationmodelset();

	/**
	 * Sets the value of the '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.CooperativeFeatureRepositoryModel#getReputationmodelset <em>Reputationmodelset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Reputationmodelset</em>' containment reference.
	 * @see #getReputationmodelset()
	 * @generated
	 */
	void setReputationmodelset(CooperativeFeatureRelationship value);

	/**
	 * Returns the value of the '<em><b>Pilarcospolicyframeworkset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Pilarcospolicyframeworkset</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Pilarcospolicyframeworkset</em>' containment reference.
	 * @see #setPilarcospolicyframeworkset(CooperativeFeatureRelationship)
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.cooperativefeaturerepositoryPackage#getCooperativeFeatureRepositoryModel_Pilarcospolicyframeworkset()
	 * @model containment="true" required="true"
	 * @generated
	 */
	CooperativeFeatureRelationship getPilarcospolicyframeworkset();

	/**
	 * Sets the value of the '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.CooperativeFeatureRepositoryModel#getPilarcospolicyframeworkset <em>Pilarcospolicyframeworkset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Pilarcospolicyframeworkset</em>' containment reference.
	 * @see #getPilarcospolicyframeworkset()
	 * @generated
	 */
	void setPilarcospolicyframeworkset(CooperativeFeatureRelationship value);

	/**
	 * Returns the value of the '<em><b>Roledependencypolicyset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Roledependencypolicyset</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Roledependencypolicyset</em>' containment reference.
	 * @see #setRoledependencypolicyset(CooperativeFeatureRelationship)
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.cooperativefeaturerepositoryPackage#getCooperativeFeatureRepositoryModel_Roledependencypolicyset()
	 * @model containment="true" required="true"
	 * @generated
	 */
	CooperativeFeatureRelationship getRoledependencypolicyset();

	/**
	 * Sets the value of the '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.CooperativeFeatureRepositoryModel#getRoledependencypolicyset <em>Roledependencypolicyset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Roledependencypolicyset</em>' containment reference.
	 * @see #getRoledependencypolicyset()
	 * @generated
	 */
	void setRoledependencypolicyset(CooperativeFeatureRelationship value);

	/**
	 * Returns the value of the '<em><b>Roledependencypolicykindset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Roledependencypolicykindset</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Roledependencypolicykindset</em>' containment reference.
	 * @see #setRoledependencypolicykindset(CooperativeFeatureRelationship)
	 * @see org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.cooperativefeaturerepositoryPackage#getCooperativeFeatureRepositoryModel_Roledependencypolicykindset()
	 * @model containment="true" required="true"
	 * @generated
	 */
	CooperativeFeatureRelationship getRoledependencypolicykindset();

	/**
	 * Sets the value of the '{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.CooperativeFeatureRepositoryModel#getRoledependencypolicykindset <em>Roledependencypolicykindset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Roledependencypolicykindset</em>' containment reference.
	 * @see #getRoledependencypolicykindset()
	 * @generated
	 */
	void setRoledependencypolicykindset(CooperativeFeatureRelationship value);

} // CooperativeFeatureRepositoryModel
