/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl;

import java.util.Collection;

import org.cinco.pilarcos.cooperativepropertyrepository.cooperativeproperty.CooperativeProperty;

import org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.CooperativePropertyRelationship;
import org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.CooperativePropertyRepositoryModel;
import org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.cooperativepropertyrepositoryPackage;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;

import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.impl.EObjectImpl;

import org.eclipse.emf.ecore.util.EObjectContainmentEList;
import org.eclipse.emf.ecore.util.InternalEList;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Cooperative Property Repository Model</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.CooperativePropertyRepositoryModelImpl#getModels <em>Models</em>}</li>
 *   <li>{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.CooperativePropertyRepositoryModelImpl#getRelationships <em>Relationships</em>}</li>
 *   <li>{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.CooperativePropertyRepositoryModelImpl#getBusinessmodelconformancepointset <em>Businessmodelconformancepointset</em>}</li>
 *   <li>{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.CooperativePropertyRepositoryModelImpl#getPolicyconformancepointset <em>Policyconformancepointset</em>}</li>
 *   <li>{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.CooperativePropertyRepositoryModelImpl#getLegislationconformancepointset <em>Legislationconformancepointset</em>}</li>
 *   <li>{@link org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.CooperativePropertyRepositoryModelImpl#getPilarcosentityreputationset <em>Pilarcosentityreputationset</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class CooperativePropertyRepositoryModelImpl extends EObjectImpl implements CooperativePropertyRepositoryModel {
	/**
	 * The cached value of the '{@link #getModels() <em>Models</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getModels()
	 * @generated
	 * @ordered
	 */
	protected EList<CooperativeProperty> models;

	/**
	 * The cached value of the '{@link #getRelationships() <em>Relationships</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRelationships()
	 * @generated
	 * @ordered
	 */
	protected EList<CooperativePropertyRelationship> relationships;

	/**
	 * The cached value of the '{@link #getBusinessmodelconformancepointset() <em>Businessmodelconformancepointset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBusinessmodelconformancepointset()
	 * @generated
	 * @ordered
	 */
	protected CooperativePropertyRelationship businessmodelconformancepointset;

	/**
	 * The cached value of the '{@link #getPolicyconformancepointset() <em>Policyconformancepointset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPolicyconformancepointset()
	 * @generated
	 * @ordered
	 */
	protected CooperativePropertyRelationship policyconformancepointset;

	/**
	 * The cached value of the '{@link #getLegislationconformancepointset() <em>Legislationconformancepointset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getLegislationconformancepointset()
	 * @generated
	 * @ordered
	 */
	protected CooperativePropertyRelationship legislationconformancepointset;

	/**
	 * The cached value of the '{@link #getPilarcosentityreputationset() <em>Pilarcosentityreputationset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPilarcosentityreputationset()
	 * @generated
	 * @ordered
	 */
	protected CooperativePropertyRelationship pilarcosentityreputationset;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected CooperativePropertyRepositoryModelImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return cooperativepropertyrepositoryPackage.Literals.COOPERATIVE_PROPERTY_REPOSITORY_MODEL;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<CooperativeProperty> getModels() {
		if (models == null) {
			models = new EObjectContainmentEList<CooperativeProperty>(CooperativeProperty.class, this, cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__MODELS);
		}
		return models;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<CooperativePropertyRelationship> getRelationships() {
		if (relationships == null) {
			relationships = new EObjectContainmentEList<CooperativePropertyRelationship>(CooperativePropertyRelationship.class, this, cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__RELATIONSHIPS);
		}
		return relationships;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CooperativePropertyRelationship getBusinessmodelconformancepointset() {
		return businessmodelconformancepointset;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetBusinessmodelconformancepointset(CooperativePropertyRelationship newBusinessmodelconformancepointset, NotificationChain msgs) {
		CooperativePropertyRelationship oldBusinessmodelconformancepointset = businessmodelconformancepointset;
		businessmodelconformancepointset = newBusinessmodelconformancepointset;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__BUSINESSMODELCONFORMANCEPOINTSET, oldBusinessmodelconformancepointset, newBusinessmodelconformancepointset);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setBusinessmodelconformancepointset(CooperativePropertyRelationship newBusinessmodelconformancepointset) {
		if (newBusinessmodelconformancepointset != businessmodelconformancepointset) {
			NotificationChain msgs = null;
			if (businessmodelconformancepointset != null)
				msgs = ((InternalEObject)businessmodelconformancepointset).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__BUSINESSMODELCONFORMANCEPOINTSET, null, msgs);
			if (newBusinessmodelconformancepointset != null)
				msgs = ((InternalEObject)newBusinessmodelconformancepointset).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__BUSINESSMODELCONFORMANCEPOINTSET, null, msgs);
			msgs = basicSetBusinessmodelconformancepointset(newBusinessmodelconformancepointset, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__BUSINESSMODELCONFORMANCEPOINTSET, newBusinessmodelconformancepointset, newBusinessmodelconformancepointset));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CooperativePropertyRelationship getPolicyconformancepointset() {
		return policyconformancepointset;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetPolicyconformancepointset(CooperativePropertyRelationship newPolicyconformancepointset, NotificationChain msgs) {
		CooperativePropertyRelationship oldPolicyconformancepointset = policyconformancepointset;
		policyconformancepointset = newPolicyconformancepointset;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__POLICYCONFORMANCEPOINTSET, oldPolicyconformancepointset, newPolicyconformancepointset);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPolicyconformancepointset(CooperativePropertyRelationship newPolicyconformancepointset) {
		if (newPolicyconformancepointset != policyconformancepointset) {
			NotificationChain msgs = null;
			if (policyconformancepointset != null)
				msgs = ((InternalEObject)policyconformancepointset).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__POLICYCONFORMANCEPOINTSET, null, msgs);
			if (newPolicyconformancepointset != null)
				msgs = ((InternalEObject)newPolicyconformancepointset).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__POLICYCONFORMANCEPOINTSET, null, msgs);
			msgs = basicSetPolicyconformancepointset(newPolicyconformancepointset, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__POLICYCONFORMANCEPOINTSET, newPolicyconformancepointset, newPolicyconformancepointset));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CooperativePropertyRelationship getLegislationconformancepointset() {
		return legislationconformancepointset;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetLegislationconformancepointset(CooperativePropertyRelationship newLegislationconformancepointset, NotificationChain msgs) {
		CooperativePropertyRelationship oldLegislationconformancepointset = legislationconformancepointset;
		legislationconformancepointset = newLegislationconformancepointset;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__LEGISLATIONCONFORMANCEPOINTSET, oldLegislationconformancepointset, newLegislationconformancepointset);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setLegislationconformancepointset(CooperativePropertyRelationship newLegislationconformancepointset) {
		if (newLegislationconformancepointset != legislationconformancepointset) {
			NotificationChain msgs = null;
			if (legislationconformancepointset != null)
				msgs = ((InternalEObject)legislationconformancepointset).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__LEGISLATIONCONFORMANCEPOINTSET, null, msgs);
			if (newLegislationconformancepointset != null)
				msgs = ((InternalEObject)newLegislationconformancepointset).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__LEGISLATIONCONFORMANCEPOINTSET, null, msgs);
			msgs = basicSetLegislationconformancepointset(newLegislationconformancepointset, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__LEGISLATIONCONFORMANCEPOINTSET, newLegislationconformancepointset, newLegislationconformancepointset));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CooperativePropertyRelationship getPilarcosentityreputationset() {
		return pilarcosentityreputationset;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetPilarcosentityreputationset(CooperativePropertyRelationship newPilarcosentityreputationset, NotificationChain msgs) {
		CooperativePropertyRelationship oldPilarcosentityreputationset = pilarcosentityreputationset;
		pilarcosentityreputationset = newPilarcosentityreputationset;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__PILARCOSENTITYREPUTATIONSET, oldPilarcosentityreputationset, newPilarcosentityreputationset);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPilarcosentityreputationset(CooperativePropertyRelationship newPilarcosentityreputationset) {
		if (newPilarcosentityreputationset != pilarcosentityreputationset) {
			NotificationChain msgs = null;
			if (pilarcosentityreputationset != null)
				msgs = ((InternalEObject)pilarcosentityreputationset).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__PILARCOSENTITYREPUTATIONSET, null, msgs);
			if (newPilarcosentityreputationset != null)
				msgs = ((InternalEObject)newPilarcosentityreputationset).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__PILARCOSENTITYREPUTATIONSET, null, msgs);
			msgs = basicSetPilarcosentityreputationset(newPilarcosentityreputationset, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__PILARCOSENTITYREPUTATIONSET, newPilarcosentityreputationset, newPilarcosentityreputationset));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__MODELS:
				return ((InternalEList<?>)getModels()).basicRemove(otherEnd, msgs);
			case cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__RELATIONSHIPS:
				return ((InternalEList<?>)getRelationships()).basicRemove(otherEnd, msgs);
			case cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__BUSINESSMODELCONFORMANCEPOINTSET:
				return basicSetBusinessmodelconformancepointset(null, msgs);
			case cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__POLICYCONFORMANCEPOINTSET:
				return basicSetPolicyconformancepointset(null, msgs);
			case cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__LEGISLATIONCONFORMANCEPOINTSET:
				return basicSetLegislationconformancepointset(null, msgs);
			case cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__PILARCOSENTITYREPUTATIONSET:
				return basicSetPilarcosentityreputationset(null, msgs);
		}
		return super.eInverseRemove(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__MODELS:
				return getModels();
			case cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__RELATIONSHIPS:
				return getRelationships();
			case cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__BUSINESSMODELCONFORMANCEPOINTSET:
				return getBusinessmodelconformancepointset();
			case cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__POLICYCONFORMANCEPOINTSET:
				return getPolicyconformancepointset();
			case cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__LEGISLATIONCONFORMANCEPOINTSET:
				return getLegislationconformancepointset();
			case cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__PILARCOSENTITYREPUTATIONSET:
				return getPilarcosentityreputationset();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__MODELS:
				getModels().clear();
				getModels().addAll((Collection<? extends CooperativeProperty>)newValue);
				return;
			case cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__RELATIONSHIPS:
				getRelationships().clear();
				getRelationships().addAll((Collection<? extends CooperativePropertyRelationship>)newValue);
				return;
			case cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__BUSINESSMODELCONFORMANCEPOINTSET:
				setBusinessmodelconformancepointset((CooperativePropertyRelationship)newValue);
				return;
			case cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__POLICYCONFORMANCEPOINTSET:
				setPolicyconformancepointset((CooperativePropertyRelationship)newValue);
				return;
			case cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__LEGISLATIONCONFORMANCEPOINTSET:
				setLegislationconformancepointset((CooperativePropertyRelationship)newValue);
				return;
			case cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__PILARCOSENTITYREPUTATIONSET:
				setPilarcosentityreputationset((CooperativePropertyRelationship)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__MODELS:
				getModels().clear();
				return;
			case cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__RELATIONSHIPS:
				getRelationships().clear();
				return;
			case cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__BUSINESSMODELCONFORMANCEPOINTSET:
				setBusinessmodelconformancepointset((CooperativePropertyRelationship)null);
				return;
			case cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__POLICYCONFORMANCEPOINTSET:
				setPolicyconformancepointset((CooperativePropertyRelationship)null);
				return;
			case cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__LEGISLATIONCONFORMANCEPOINTSET:
				setLegislationconformancepointset((CooperativePropertyRelationship)null);
				return;
			case cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__PILARCOSENTITYREPUTATIONSET:
				setPilarcosentityreputationset((CooperativePropertyRelationship)null);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__MODELS:
				return models != null && !models.isEmpty();
			case cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__RELATIONSHIPS:
				return relationships != null && !relationships.isEmpty();
			case cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__BUSINESSMODELCONFORMANCEPOINTSET:
				return businessmodelconformancepointset != null;
			case cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__POLICYCONFORMANCEPOINTSET:
				return policyconformancepointset != null;
			case cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__LEGISLATIONCONFORMANCEPOINTSET:
				return legislationconformancepointset != null;
			case cooperativepropertyrepositoryPackage.COOPERATIVE_PROPERTY_REPOSITORY_MODEL__PILARCOSENTITYREPUTATIONSET:
				return pilarcosentityreputationset != null;
		}
		return super.eIsSet(featureID);
	}

} //CooperativePropertyRepositoryModelImpl
