/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.impl;

import java.util.Collection;

import org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeature.ExtraFunctionalFeature;

import org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.ExtraFunctionalFeatureRelationship;
import org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.ExtraFunctionalFeatureRepositoryModel;
import org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.extrafunctionalfeaturerepositoryPackage;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;

import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.impl.EObjectImpl;

import org.eclipse.emf.ecore.util.EObjectContainmentEList;
import org.eclipse.emf.ecore.util.InternalEList;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Extra Functional Feature Repository Model</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.impl.ExtraFunctionalFeatureRepositoryModelImpl#getModels <em>Models</em>}</li>
 *   <li>{@link org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.impl.ExtraFunctionalFeatureRepositoryModelImpl#getRelationships <em>Relationships</em>}</li>
 *   <li>{@link org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.impl.ExtraFunctionalFeatureRepositoryModelImpl#getWsset <em>Wsset</em>}</li>
 *   <li>{@link org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.impl.ExtraFunctionalFeatureRepositoryModelImpl#getSecurecommunicationset <em>Securecommunicationset</em>}</li>
 *   <li>{@link org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.impl.ExtraFunctionalFeatureRepositoryModelImpl#getCommunicationfeatureset <em>Communicationfeatureset</em>}</li>
 *   <li>{@link org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.impl.ExtraFunctionalFeatureRepositoryModelImpl#getInteractionmodelset <em>Interactionmodelset</em>}</li>
 *   <li>{@link org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.impl.ExtraFunctionalFeatureRepositoryModelImpl#getRestset <em>Restset</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class ExtraFunctionalFeatureRepositoryModelImpl extends EObjectImpl implements ExtraFunctionalFeatureRepositoryModel {
	/**
	 * The cached value of the '{@link #getModels() <em>Models</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getModels()
	 * @generated
	 * @ordered
	 */
	protected EList<ExtraFunctionalFeature> models;

	/**
	 * The cached value of the '{@link #getRelationships() <em>Relationships</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRelationships()
	 * @generated
	 * @ordered
	 */
	protected EList<ExtraFunctionalFeatureRelationship> relationships;

	/**
	 * The cached value of the '{@link #getWsset() <em>Wsset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getWsset()
	 * @generated
	 * @ordered
	 */
	protected ExtraFunctionalFeatureRelationship wsset;

	/**
	 * The cached value of the '{@link #getSecurecommunicationset() <em>Securecommunicationset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSecurecommunicationset()
	 * @generated
	 * @ordered
	 */
	protected ExtraFunctionalFeatureRelationship securecommunicationset;

	/**
	 * The cached value of the '{@link #getCommunicationfeatureset() <em>Communicationfeatureset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getCommunicationfeatureset()
	 * @generated
	 * @ordered
	 */
	protected ExtraFunctionalFeatureRelationship communicationfeatureset;

	/**
	 * The cached value of the '{@link #getInteractionmodelset() <em>Interactionmodelset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getInteractionmodelset()
	 * @generated
	 * @ordered
	 */
	protected ExtraFunctionalFeatureRelationship interactionmodelset;

	/**
	 * The cached value of the '{@link #getRestset() <em>Restset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRestset()
	 * @generated
	 * @ordered
	 */
	protected ExtraFunctionalFeatureRelationship restset;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected ExtraFunctionalFeatureRepositoryModelImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return extrafunctionalfeaturerepositoryPackage.Literals.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<ExtraFunctionalFeature> getModels() {
		if (models == null) {
			models = new EObjectContainmentEList<ExtraFunctionalFeature>(ExtraFunctionalFeature.class, this, extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__MODELS);
		}
		return models;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<ExtraFunctionalFeatureRelationship> getRelationships() {
		if (relationships == null) {
			relationships = new EObjectContainmentEList<ExtraFunctionalFeatureRelationship>(ExtraFunctionalFeatureRelationship.class, this, extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__RELATIONSHIPS);
		}
		return relationships;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ExtraFunctionalFeatureRelationship getWsset() {
		return wsset;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetWsset(ExtraFunctionalFeatureRelationship newWsset, NotificationChain msgs) {
		ExtraFunctionalFeatureRelationship oldWsset = wsset;
		wsset = newWsset;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__WSSET, oldWsset, newWsset);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setWsset(ExtraFunctionalFeatureRelationship newWsset) {
		if (newWsset != wsset) {
			NotificationChain msgs = null;
			if (wsset != null)
				msgs = ((InternalEObject)wsset).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__WSSET, null, msgs);
			if (newWsset != null)
				msgs = ((InternalEObject)newWsset).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__WSSET, null, msgs);
			msgs = basicSetWsset(newWsset, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__WSSET, newWsset, newWsset));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ExtraFunctionalFeatureRelationship getSecurecommunicationset() {
		return securecommunicationset;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetSecurecommunicationset(ExtraFunctionalFeatureRelationship newSecurecommunicationset, NotificationChain msgs) {
		ExtraFunctionalFeatureRelationship oldSecurecommunicationset = securecommunicationset;
		securecommunicationset = newSecurecommunicationset;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__SECURECOMMUNICATIONSET, oldSecurecommunicationset, newSecurecommunicationset);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSecurecommunicationset(ExtraFunctionalFeatureRelationship newSecurecommunicationset) {
		if (newSecurecommunicationset != securecommunicationset) {
			NotificationChain msgs = null;
			if (securecommunicationset != null)
				msgs = ((InternalEObject)securecommunicationset).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__SECURECOMMUNICATIONSET, null, msgs);
			if (newSecurecommunicationset != null)
				msgs = ((InternalEObject)newSecurecommunicationset).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__SECURECOMMUNICATIONSET, null, msgs);
			msgs = basicSetSecurecommunicationset(newSecurecommunicationset, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__SECURECOMMUNICATIONSET, newSecurecommunicationset, newSecurecommunicationset));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ExtraFunctionalFeatureRelationship getCommunicationfeatureset() {
		return communicationfeatureset;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetCommunicationfeatureset(ExtraFunctionalFeatureRelationship newCommunicationfeatureset, NotificationChain msgs) {
		ExtraFunctionalFeatureRelationship oldCommunicationfeatureset = communicationfeatureset;
		communicationfeatureset = newCommunicationfeatureset;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__COMMUNICATIONFEATURESET, oldCommunicationfeatureset, newCommunicationfeatureset);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setCommunicationfeatureset(ExtraFunctionalFeatureRelationship newCommunicationfeatureset) {
		if (newCommunicationfeatureset != communicationfeatureset) {
			NotificationChain msgs = null;
			if (communicationfeatureset != null)
				msgs = ((InternalEObject)communicationfeatureset).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__COMMUNICATIONFEATURESET, null, msgs);
			if (newCommunicationfeatureset != null)
				msgs = ((InternalEObject)newCommunicationfeatureset).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__COMMUNICATIONFEATURESET, null, msgs);
			msgs = basicSetCommunicationfeatureset(newCommunicationfeatureset, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__COMMUNICATIONFEATURESET, newCommunicationfeatureset, newCommunicationfeatureset));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ExtraFunctionalFeatureRelationship getInteractionmodelset() {
		return interactionmodelset;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetInteractionmodelset(ExtraFunctionalFeatureRelationship newInteractionmodelset, NotificationChain msgs) {
		ExtraFunctionalFeatureRelationship oldInteractionmodelset = interactionmodelset;
		interactionmodelset = newInteractionmodelset;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__INTERACTIONMODELSET, oldInteractionmodelset, newInteractionmodelset);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setInteractionmodelset(ExtraFunctionalFeatureRelationship newInteractionmodelset) {
		if (newInteractionmodelset != interactionmodelset) {
			NotificationChain msgs = null;
			if (interactionmodelset != null)
				msgs = ((InternalEObject)interactionmodelset).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__INTERACTIONMODELSET, null, msgs);
			if (newInteractionmodelset != null)
				msgs = ((InternalEObject)newInteractionmodelset).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__INTERACTIONMODELSET, null, msgs);
			msgs = basicSetInteractionmodelset(newInteractionmodelset, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__INTERACTIONMODELSET, newInteractionmodelset, newInteractionmodelset));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ExtraFunctionalFeatureRelationship getRestset() {
		return restset;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetRestset(ExtraFunctionalFeatureRelationship newRestset, NotificationChain msgs) {
		ExtraFunctionalFeatureRelationship oldRestset = restset;
		restset = newRestset;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__RESTSET, oldRestset, newRestset);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setRestset(ExtraFunctionalFeatureRelationship newRestset) {
		if (newRestset != restset) {
			NotificationChain msgs = null;
			if (restset != null)
				msgs = ((InternalEObject)restset).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__RESTSET, null, msgs);
			if (newRestset != null)
				msgs = ((InternalEObject)newRestset).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__RESTSET, null, msgs);
			msgs = basicSetRestset(newRestset, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__RESTSET, newRestset, newRestset));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__MODELS:
				return ((InternalEList<?>)getModels()).basicRemove(otherEnd, msgs);
			case extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__RELATIONSHIPS:
				return ((InternalEList<?>)getRelationships()).basicRemove(otherEnd, msgs);
			case extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__WSSET:
				return basicSetWsset(null, msgs);
			case extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__SECURECOMMUNICATIONSET:
				return basicSetSecurecommunicationset(null, msgs);
			case extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__COMMUNICATIONFEATURESET:
				return basicSetCommunicationfeatureset(null, msgs);
			case extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__INTERACTIONMODELSET:
				return basicSetInteractionmodelset(null, msgs);
			case extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__RESTSET:
				return basicSetRestset(null, msgs);
		}
		return super.eInverseRemove(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__MODELS:
				return getModels();
			case extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__RELATIONSHIPS:
				return getRelationships();
			case extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__WSSET:
				return getWsset();
			case extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__SECURECOMMUNICATIONSET:
				return getSecurecommunicationset();
			case extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__COMMUNICATIONFEATURESET:
				return getCommunicationfeatureset();
			case extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__INTERACTIONMODELSET:
				return getInteractionmodelset();
			case extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__RESTSET:
				return getRestset();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__MODELS:
				getModels().clear();
				getModels().addAll((Collection<? extends ExtraFunctionalFeature>)newValue);
				return;
			case extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__RELATIONSHIPS:
				getRelationships().clear();
				getRelationships().addAll((Collection<? extends ExtraFunctionalFeatureRelationship>)newValue);
				return;
			case extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__WSSET:
				setWsset((ExtraFunctionalFeatureRelationship)newValue);
				return;
			case extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__SECURECOMMUNICATIONSET:
				setSecurecommunicationset((ExtraFunctionalFeatureRelationship)newValue);
				return;
			case extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__COMMUNICATIONFEATURESET:
				setCommunicationfeatureset((ExtraFunctionalFeatureRelationship)newValue);
				return;
			case extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__INTERACTIONMODELSET:
				setInteractionmodelset((ExtraFunctionalFeatureRelationship)newValue);
				return;
			case extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__RESTSET:
				setRestset((ExtraFunctionalFeatureRelationship)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__MODELS:
				getModels().clear();
				return;
			case extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__RELATIONSHIPS:
				getRelationships().clear();
				return;
			case extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__WSSET:
				setWsset((ExtraFunctionalFeatureRelationship)null);
				return;
			case extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__SECURECOMMUNICATIONSET:
				setSecurecommunicationset((ExtraFunctionalFeatureRelationship)null);
				return;
			case extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__COMMUNICATIONFEATURESET:
				setCommunicationfeatureset((ExtraFunctionalFeatureRelationship)null);
				return;
			case extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__INTERACTIONMODELSET:
				setInteractionmodelset((ExtraFunctionalFeatureRelationship)null);
				return;
			case extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__RESTSET:
				setRestset((ExtraFunctionalFeatureRelationship)null);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__MODELS:
				return models != null && !models.isEmpty();
			case extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__RELATIONSHIPS:
				return relationships != null && !relationships.isEmpty();
			case extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__WSSET:
				return wsset != null;
			case extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__SECURECOMMUNICATIONSET:
				return securecommunicationset != null;
			case extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__COMMUNICATIONFEATURESET:
				return communicationfeatureset != null;
			case extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__INTERACTIONMODELSET:
				return interactionmodelset != null;
			case extrafunctionalfeaturerepositoryPackage.EXTRA_FUNCTIONAL_FEATURE_REPOSITORY_MODEL__RESTSET:
				return restset != null;
		}
		return super.eIsSet(featureID);
	}

} //ExtraFunctionalFeatureRepositoryModelImpl
