/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.pilarcosnegotiationliaisonrepository.pilarcosnegotiationliaisonrepository.impl;

import java.util.Collection;

import org.cinco.pilarcos.pilarcosnegotiationliaisonrepository.pilarcosnegotiationliaisonknowledgeitemtype.PilarcosNegotiationLiaisonKnowledgeItemType;

import org.cinco.pilarcos.pilarcosnegotiationliaisonrepository.pilarcosnegotiationliaisonrepository.PilarcosNegotiationLiaisonKnowledgeItemTypeRelationship;
import org.cinco.pilarcos.pilarcosnegotiationliaisonrepository.pilarcosnegotiationliaisonrepository.PilarcosNegotiationLiaisonRepositoryModel;
import org.cinco.pilarcos.pilarcosnegotiationliaisonrepository.pilarcosnegotiationliaisonrepository.pilarcosnegotiationliaisonrepositoryPackage;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;

import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.impl.EObjectImpl;

import org.eclipse.emf.ecore.util.EObjectContainmentEList;
import org.eclipse.emf.ecore.util.InternalEList;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Pilarcos Negotiation Liaison Repository Model</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link org.cinco.pilarcos.pilarcosnegotiationliaisonrepository.pilarcosnegotiationliaisonrepository.impl.PilarcosNegotiationLiaisonRepositoryModelImpl#getModels <em>Models</em>}</li>
 *   <li>{@link org.cinco.pilarcos.pilarcosnegotiationliaisonrepository.pilarcosnegotiationliaisonrepository.impl.PilarcosNegotiationLiaisonRepositoryModelImpl#getRelationships <em>Relationships</em>}</li>
 *   <li>{@link org.cinco.pilarcos.pilarcosnegotiationliaisonrepository.pilarcosnegotiationliaisonrepository.impl.PilarcosNegotiationLiaisonRepositoryModelImpl#getPilarcosnegotiationliaisonknowledgeitemset <em>Pilarcosnegotiationliaisonknowledgeitemset</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class PilarcosNegotiationLiaisonRepositoryModelImpl extends EObjectImpl implements PilarcosNegotiationLiaisonRepositoryModel {
	/**
	 * The cached value of the '{@link #getModels() <em>Models</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getModels()
	 * @generated
	 * @ordered
	 */
	protected EList<PilarcosNegotiationLiaisonKnowledgeItemType> models;

	/**
	 * The cached value of the '{@link #getRelationships() <em>Relationships</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRelationships()
	 * @generated
	 * @ordered
	 */
	protected EList<PilarcosNegotiationLiaisonKnowledgeItemTypeRelationship> relationships;

	/**
	 * The cached value of the '{@link #getPilarcosnegotiationliaisonknowledgeitemset() <em>Pilarcosnegotiationliaisonknowledgeitemset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPilarcosnegotiationliaisonknowledgeitemset()
	 * @generated
	 * @ordered
	 */
	protected PilarcosNegotiationLiaisonKnowledgeItemTypeRelationship pilarcosnegotiationliaisonknowledgeitemset;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected PilarcosNegotiationLiaisonRepositoryModelImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return pilarcosnegotiationliaisonrepositoryPackage.Literals.PILARCOS_NEGOTIATION_LIAISON_REPOSITORY_MODEL;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<PilarcosNegotiationLiaisonKnowledgeItemType> getModels() {
		if (models == null) {
			models = new EObjectContainmentEList<PilarcosNegotiationLiaisonKnowledgeItemType>(PilarcosNegotiationLiaisonKnowledgeItemType.class, this, pilarcosnegotiationliaisonrepositoryPackage.PILARCOS_NEGOTIATION_LIAISON_REPOSITORY_MODEL__MODELS);
		}
		return models;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<PilarcosNegotiationLiaisonKnowledgeItemTypeRelationship> getRelationships() {
		if (relationships == null) {
			relationships = new EObjectContainmentEList<PilarcosNegotiationLiaisonKnowledgeItemTypeRelationship>(PilarcosNegotiationLiaisonKnowledgeItemTypeRelationship.class, this, pilarcosnegotiationliaisonrepositoryPackage.PILARCOS_NEGOTIATION_LIAISON_REPOSITORY_MODEL__RELATIONSHIPS);
		}
		return relationships;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PilarcosNegotiationLiaisonKnowledgeItemTypeRelationship getPilarcosnegotiationliaisonknowledgeitemset() {
		return pilarcosnegotiationliaisonknowledgeitemset;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetPilarcosnegotiationliaisonknowledgeitemset(PilarcosNegotiationLiaisonKnowledgeItemTypeRelationship newPilarcosnegotiationliaisonknowledgeitemset, NotificationChain msgs) {
		PilarcosNegotiationLiaisonKnowledgeItemTypeRelationship oldPilarcosnegotiationliaisonknowledgeitemset = pilarcosnegotiationliaisonknowledgeitemset;
		pilarcosnegotiationliaisonknowledgeitemset = newPilarcosnegotiationliaisonknowledgeitemset;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, pilarcosnegotiationliaisonrepositoryPackage.PILARCOS_NEGOTIATION_LIAISON_REPOSITORY_MODEL__PILARCOSNEGOTIATIONLIAISONKNOWLEDGEITEMSET, oldPilarcosnegotiationliaisonknowledgeitemset, newPilarcosnegotiationliaisonknowledgeitemset);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPilarcosnegotiationliaisonknowledgeitemset(PilarcosNegotiationLiaisonKnowledgeItemTypeRelationship newPilarcosnegotiationliaisonknowledgeitemset) {
		if (newPilarcosnegotiationliaisonknowledgeitemset != pilarcosnegotiationliaisonknowledgeitemset) {
			NotificationChain msgs = null;
			if (pilarcosnegotiationliaisonknowledgeitemset != null)
				msgs = ((InternalEObject)pilarcosnegotiationliaisonknowledgeitemset).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - pilarcosnegotiationliaisonrepositoryPackage.PILARCOS_NEGOTIATION_LIAISON_REPOSITORY_MODEL__PILARCOSNEGOTIATIONLIAISONKNOWLEDGEITEMSET, null, msgs);
			if (newPilarcosnegotiationliaisonknowledgeitemset != null)
				msgs = ((InternalEObject)newPilarcosnegotiationliaisonknowledgeitemset).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - pilarcosnegotiationliaisonrepositoryPackage.PILARCOS_NEGOTIATION_LIAISON_REPOSITORY_MODEL__PILARCOSNEGOTIATIONLIAISONKNOWLEDGEITEMSET, null, msgs);
			msgs = basicSetPilarcosnegotiationliaisonknowledgeitemset(newPilarcosnegotiationliaisonknowledgeitemset, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, pilarcosnegotiationliaisonrepositoryPackage.PILARCOS_NEGOTIATION_LIAISON_REPOSITORY_MODEL__PILARCOSNEGOTIATIONLIAISONKNOWLEDGEITEMSET, newPilarcosnegotiationliaisonknowledgeitemset, newPilarcosnegotiationliaisonknowledgeitemset));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case pilarcosnegotiationliaisonrepositoryPackage.PILARCOS_NEGOTIATION_LIAISON_REPOSITORY_MODEL__MODELS:
				return ((InternalEList<?>)getModels()).basicRemove(otherEnd, msgs);
			case pilarcosnegotiationliaisonrepositoryPackage.PILARCOS_NEGOTIATION_LIAISON_REPOSITORY_MODEL__RELATIONSHIPS:
				return ((InternalEList<?>)getRelationships()).basicRemove(otherEnd, msgs);
			case pilarcosnegotiationliaisonrepositoryPackage.PILARCOS_NEGOTIATION_LIAISON_REPOSITORY_MODEL__PILARCOSNEGOTIATIONLIAISONKNOWLEDGEITEMSET:
				return basicSetPilarcosnegotiationliaisonknowledgeitemset(null, msgs);
		}
		return super.eInverseRemove(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case pilarcosnegotiationliaisonrepositoryPackage.PILARCOS_NEGOTIATION_LIAISON_REPOSITORY_MODEL__MODELS:
				return getModels();
			case pilarcosnegotiationliaisonrepositoryPackage.PILARCOS_NEGOTIATION_LIAISON_REPOSITORY_MODEL__RELATIONSHIPS:
				return getRelationships();
			case pilarcosnegotiationliaisonrepositoryPackage.PILARCOS_NEGOTIATION_LIAISON_REPOSITORY_MODEL__PILARCOSNEGOTIATIONLIAISONKNOWLEDGEITEMSET:
				return getPilarcosnegotiationliaisonknowledgeitemset();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case pilarcosnegotiationliaisonrepositoryPackage.PILARCOS_NEGOTIATION_LIAISON_REPOSITORY_MODEL__MODELS:
				getModels().clear();
				getModels().addAll((Collection<? extends PilarcosNegotiationLiaisonKnowledgeItemType>)newValue);
				return;
			case pilarcosnegotiationliaisonrepositoryPackage.PILARCOS_NEGOTIATION_LIAISON_REPOSITORY_MODEL__RELATIONSHIPS:
				getRelationships().clear();
				getRelationships().addAll((Collection<? extends PilarcosNegotiationLiaisonKnowledgeItemTypeRelationship>)newValue);
				return;
			case pilarcosnegotiationliaisonrepositoryPackage.PILARCOS_NEGOTIATION_LIAISON_REPOSITORY_MODEL__PILARCOSNEGOTIATIONLIAISONKNOWLEDGEITEMSET:
				setPilarcosnegotiationliaisonknowledgeitemset((PilarcosNegotiationLiaisonKnowledgeItemTypeRelationship)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case pilarcosnegotiationliaisonrepositoryPackage.PILARCOS_NEGOTIATION_LIAISON_REPOSITORY_MODEL__MODELS:
				getModels().clear();
				return;
			case pilarcosnegotiationliaisonrepositoryPackage.PILARCOS_NEGOTIATION_LIAISON_REPOSITORY_MODEL__RELATIONSHIPS:
				getRelationships().clear();
				return;
			case pilarcosnegotiationliaisonrepositoryPackage.PILARCOS_NEGOTIATION_LIAISON_REPOSITORY_MODEL__PILARCOSNEGOTIATIONLIAISONKNOWLEDGEITEMSET:
				setPilarcosnegotiationliaisonknowledgeitemset((PilarcosNegotiationLiaisonKnowledgeItemTypeRelationship)null);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case pilarcosnegotiationliaisonrepositoryPackage.PILARCOS_NEGOTIATION_LIAISON_REPOSITORY_MODEL__MODELS:
				return models != null && !models.isEmpty();
			case pilarcosnegotiationliaisonrepositoryPackage.PILARCOS_NEGOTIATION_LIAISON_REPOSITORY_MODEL__RELATIONSHIPS:
				return relationships != null && !relationships.isEmpty();
			case pilarcosnegotiationliaisonrepositoryPackage.PILARCOS_NEGOTIATION_LIAISON_REPOSITORY_MODEL__PILARCOSNEGOTIATIONLIAISONKNOWLEDGEITEMSET:
				return pilarcosnegotiationliaisonknowledgeitemset != null;
		}
		return super.eIsSet(featureID);
	}

} //PilarcosNegotiationLiaisonRepositoryModelImpl
