/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.serviceofferrepository.serviceofferrepository.impl;

import org.cinco.pilarcos.bnmrepository.bnmrepository.bnmrepositoryPackage;

import org.cinco.pilarcos.bnmrepository.bnmrepository.impl.bnmrepositoryPackageImpl;

import org.cinco.pilarcos.bnmrepository.pilarcosliaisonknowledgeitemtype.impl.pilarcosliaisonknowledgeitemtypePackageImpl;

import org.cinco.pilarcos.bnmrepository.pilarcosliaisonknowledgeitemtype.pilarcosliaisonknowledgeitemtypePackage;

import org.cinco.pilarcos.businessdocumentkindrepository.businessdocumentkindrepository.businessdocumentkindrepositoryPackage;

import org.cinco.pilarcos.businessdocumentkindrepository.businessdocumentkindrepository.impl.businessdocumentkindrepositoryPackageImpl;

import org.cinco.pilarcos.businessdocumentkindrepository.pilarcosbusinessdocumentkindknowledgeitemtype.impl.pilarcosbusinessdocumentkindknowledgeitemtypePackageImpl;

import org.cinco.pilarcos.businessdocumentkindrepository.pilarcosbusinessdocumentkindknowledgeitemtype.pilarcosbusinessdocumentkindknowledgeitemtypePackage;

import org.cinco.pilarcos.businessdocumentrepository.businessdocumentrepository.businessdocumentrepositoryPackage;

import org.cinco.pilarcos.businessdocumentrepository.businessdocumentrepository.impl.businessdocumentrepositoryPackageImpl;

import org.cinco.pilarcos.businessdocumentrepository.pilarcosbusinessdocumentknowledgeitemtype.impl.pilarcosbusinessdocumentknowledgeitemtypePackageImpl;

import org.cinco.pilarcos.businessdocumentrepository.pilarcosbusinessdocumentknowledgeitemtype.pilarcosbusinessdocumentknowledgeitemtypePackage;

import org.cinco.pilarcos.common.breachrecoverychoreography.breachrecoverychoreographyPackage;

import org.cinco.pilarcos.common.breachrecoverychoreography.impl.breachrecoverychoreographyPackageImpl;

import org.cinco.pilarcos.common.businessnetworkarchitecture.businessnetworkarchitecturePackage;

import org.cinco.pilarcos.common.businessnetworkarchitecture.impl.businessnetworkarchitecturePackageImpl;

import org.cinco.pilarcos.common.common.commonPackage;

import org.cinco.pilarcos.common.common.impl.commonPackageImpl;

import org.cinco.pilarcos.common.epochtransitionchoreography.epochtransitionchoreographyPackage;

import org.cinco.pilarcos.common.epochtransitionchoreography.impl.epochtransitionchoreographyPackageImpl;

import org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.contractualfeaturePackage;

import org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.impl.contractualfeaturePackageImpl;

import org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.contractualfeaturerepositoryPackage;

import org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.contractualfeaturerepositoryPackageImpl;

import org.cinco.pilarcos.contractualpropertyrepository.contractualproperty.contractualpropertyPackage;

import org.cinco.pilarcos.contractualpropertyrepository.contractualproperty.impl.contractualpropertyPackageImpl;

import org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.contractualpropertyrepositoryPackage;

import org.cinco.pilarcos.contractualpropertyrepository.contractualpropertyrepository.impl.contractualpropertyrepositoryPackageImpl;

import org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.cooperativefeaturePackage;

import org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.impl.cooperativefeaturePackageImpl;

import org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.cooperativefeaturerepositoryPackage;

import org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.impl.cooperativefeaturerepositoryPackageImpl;

import org.cinco.pilarcos.cooperativepropertyrepository.cooperativeproperty.cooperativepropertyPackage;

import org.cinco.pilarcos.cooperativepropertyrepository.cooperativeproperty.impl.cooperativepropertyPackageImpl;

import org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.cooperativepropertyrepositoryPackage;

import org.cinco.pilarcos.cooperativepropertyrepository.cooperativepropertyrepository.impl.cooperativepropertyrepositoryPackageImpl;

import org.cinco.pilarcos.econtractrepository.econtractrepository.econtractrepositoryPackage;

import org.cinco.pilarcos.econtractrepository.econtractrepository.impl.econtractrepositoryPackageImpl;

import org.cinco.pilarcos.econtracttemplaterepository.econtracttemplaterepository.econtracttemplaterepositoryPackage;

import org.cinco.pilarcos.econtracttemplaterepository.econtracttemplaterepository.impl.econtracttemplaterepositoryPackageImpl;

import org.cinco.pilarcos.econtracttemplatesknowledgebaserepository.econtracttemplatesknowledgebaserepository.econtracttemplatesknowledgebaserepositoryPackage;

import org.cinco.pilarcos.econtracttemplatesknowledgebaserepository.econtracttemplatesknowledgebaserepository.impl.econtracttemplatesknowledgebaserepositoryPackageImpl;

import org.cinco.pilarcos.econtracttemplatesknowledgebaserepository.pilarcoscontractknowledgeitemtype.impl.pilarcoscontractknowledgeitemtypePackageImpl;

import org.cinco.pilarcos.econtracttemplatesknowledgebaserepository.pilarcoscontractknowledgeitemtype.pilarcoscontractknowledgeitemtypePackage;

import org.cinco.pilarcos.enterprisekindrepository.enterprisekindknowledgeitemtype.enterprisekindknowledgeitemtypePackage;

import org.cinco.pilarcos.enterprisekindrepository.enterprisekindknowledgeitemtype.impl.enterprisekindknowledgeitemtypePackageImpl;

import org.cinco.pilarcos.enterprisekindrepository.enterprisekindrepository.enterprisekindrepositoryPackage;

import org.cinco.pilarcos.enterprisekindrepository.enterprisekindrepository.impl.enterprisekindrepositoryPackageImpl;

import org.cinco.pilarcos.experiencereportkindrepository.experiencereportkindknowledgeitemtype.experiencereportkindknowledgeitemtypePackage;

import org.cinco.pilarcos.experiencereportkindrepository.experiencereportkindknowledgeitemtype.impl.experiencereportkindknowledgeitemtypePackageImpl;

import org.cinco.pilarcos.experiencereportkindrepository.experiencereportkindrepository.experiencereportkindrepositoryPackage;

import org.cinco.pilarcos.experiencereportkindrepository.experiencereportkindrepository.impl.experiencereportkindrepositoryPackageImpl;

import org.cinco.pilarcos.experiencereportrepository.experiencereportrepository.experiencereportrepositoryPackage;

import org.cinco.pilarcos.experiencereportrepository.experiencereportrepository.impl.experiencereportrepositoryPackageImpl;

import org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeature.extrafunctionalfeaturePackage;

import org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeature.impl.extrafunctionalfeaturePackageImpl;

import org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.extrafunctionalfeaturerepositoryPackage;

import org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.impl.extrafunctionalfeaturerepositoryPackageImpl;

import org.cinco.pilarcos.individualkindrepository.individualkindknowledgeitemtype.impl.individualkindknowledgeitemtypePackageImpl;

import org.cinco.pilarcos.individualkindrepository.individualkindknowledgeitemtype.individualkindknowledgeitemtypePackage;

import org.cinco.pilarcos.individualkindrepository.individualkindrepository.impl.individualkindrepositoryPackageImpl;

import org.cinco.pilarcos.individualkindrepository.individualkindrepository.individualkindrepositoryPackage;

import org.cinco.pilarcos.organizationkindrepository.organizationkindknowledgeitemtype.impl.organizationkindknowledgeitemtypePackageImpl;

import org.cinco.pilarcos.organizationkindrepository.organizationkindknowledgeitemtype.organizationkindknowledgeitemtypePackage;

import org.cinco.pilarcos.organizationkindrepository.organizationkindrepository.impl.organizationkindrepositoryPackageImpl;

import org.cinco.pilarcos.organizationkindrepository.organizationkindrepository.organizationkindrepositoryPackage;

import org.cinco.pilarcos.pilarcosbusinessservicekindrepository.pilarcosbusinessservicekindknowledgeitemtype.impl.pilarcosbusinessservicekindknowledgeitemtypePackageImpl;

import org.cinco.pilarcos.pilarcosbusinessservicekindrepository.pilarcosbusinessservicekindknowledgeitemtype.pilarcosbusinessservicekindknowledgeitemtypePackage;

import org.cinco.pilarcos.pilarcosbusinessservicekindrepository.pilarcosbusinessservicekindrepository.impl.pilarcosbusinessservicekindrepositoryPackageImpl;

import org.cinco.pilarcos.pilarcosbusinessservicekindrepository.pilarcosbusinessservicekindrepository.pilarcosbusinessservicekindrepositoryPackage;

import org.cinco.pilarcos.pilarcosbusinessservicerepository.pilarcosbusinessserviceknowledgeitemtype.impl.pilarcosbusinessserviceknowledgeitemtypePackageImpl;

import org.cinco.pilarcos.pilarcosbusinessservicerepository.pilarcosbusinessserviceknowledgeitemtype.pilarcosbusinessserviceknowledgeitemtypePackage;

import org.cinco.pilarcos.pilarcosbusinessservicerepository.pilarcosbusinessservicerepository.impl.pilarcosbusinessservicerepositoryPackageImpl;

import org.cinco.pilarcos.pilarcosbusinessservicerepository.pilarcosbusinessservicerepository.pilarcosbusinessservicerepositoryPackage;

import org.cinco.pilarcos.pilarcoschanneltyperepository.pilarcoschanneltypeknowledgeitemtype.impl.pilarcoschanneltypeknowledgeitemtypePackageImpl;

import org.cinco.pilarcos.pilarcoschanneltyperepository.pilarcoschanneltypeknowledgeitemtype.pilarcoschanneltypeknowledgeitemtypePackage;

import org.cinco.pilarcos.pilarcoschanneltyperepository.pilarcoschanneltyperepository.impl.pilarcoschanneltyperepositoryPackageImpl;

import org.cinco.pilarcos.pilarcoschanneltyperepository.pilarcoschanneltyperepository.pilarcoschanneltyperepositoryPackage;

import org.cinco.pilarcos.pilarcoscomponenservicerepository.pilarcoscomponenserviceknowledgeitemtype.impl.pilarcoscomponenserviceknowledgeitemtypePackageImpl;

import org.cinco.pilarcos.pilarcoscomponenservicerepository.pilarcoscomponenserviceknowledgeitemtype.pilarcoscomponenserviceknowledgeitemtypePackage;

import org.cinco.pilarcos.pilarcoscomponenservicerepository.pilarcoscomponenservicerepository.impl.pilarcoscomponenservicerepositoryPackageImpl;

import org.cinco.pilarcos.pilarcoscomponenservicerepository.pilarcoscomponenservicerepository.pilarcoscomponenservicerepositoryPackage;

import org.cinco.pilarcos.pilarcosdissolutionliaisonrepository.pilarcosdissolutionliaisonknowledgeitemtype.impl.pilarcosdissolutionliaisonknowledgeitemtypePackageImpl;

import org.cinco.pilarcos.pilarcosdissolutionliaisonrepository.pilarcosdissolutionliaisonknowledgeitemtype.pilarcosdissolutionliaisonknowledgeitemtypePackage;

import org.cinco.pilarcos.pilarcosdissolutionliaisonrepository.pilarcosdissolutionliaisonrepository.impl.pilarcosdissolutionliaisonrepositoryPackageImpl;

import org.cinco.pilarcos.pilarcosdissolutionliaisonrepository.pilarcosdissolutionliaisonrepository.pilarcosdissolutionliaisonrepositoryPackage;

import org.cinco.pilarcos.pilarcosendpointkindrepository.pilarcosendpointkindknowledgeitemtype.impl.pilarcosendpointkindknowledgeitemtypePackageImpl;

import org.cinco.pilarcos.pilarcosendpointkindrepository.pilarcosendpointkindknowledgeitemtype.pilarcosendpointkindknowledgeitemtypePackage;

import org.cinco.pilarcos.pilarcosendpointkindrepository.pilarcosendpointkindrepository.impl.pilarcosendpointkindrepositoryPackageImpl;

import org.cinco.pilarcos.pilarcosendpointkindrepository.pilarcosendpointkindrepository.pilarcosendpointkindrepositoryPackage;

import org.cinco.pilarcos.pilarcosendpointrepository.pilarcosendpointknowledgeitemtype.impl.pilarcosendpointknowledgeitemtypePackageImpl;

import org.cinco.pilarcos.pilarcosendpointrepository.pilarcosendpointknowledgeitemtype.pilarcosendpointknowledgeitemtypePackage;

import org.cinco.pilarcos.pilarcosendpointrepository.pilarcosendpointrepository.impl.pilarcosendpointrepositoryPackageImpl;

import org.cinco.pilarcos.pilarcosendpointrepository.pilarcosendpointrepository.pilarcosendpointrepositoryPackage;

import org.cinco.pilarcos.pilarcoslegalentitykindrepository.pilarcoslegalentitykindknowledgeitemtype.impl.pilarcoslegalentitykindknowledgeitemtypePackageImpl;

import org.cinco.pilarcos.pilarcoslegalentitykindrepository.pilarcoslegalentitykindknowledgeitemtype.pilarcoslegalentitykindknowledgeitemtypePackage;

import org.cinco.pilarcos.pilarcoslegalentitykindrepository.pilarcoslegalentitykindrepository.impl.pilarcoslegalentitykindrepositoryPackageImpl;

import org.cinco.pilarcos.pilarcoslegalentitykindrepository.pilarcoslegalentitykindrepository.pilarcoslegalentitykindrepositoryPackage;

import org.cinco.pilarcos.pilarcoslegalentityrepository.pilarcoslegalentityknowledgeitemtype.impl.pilarcoslegalentityknowledgeitemtypePackageImpl;

import org.cinco.pilarcos.pilarcoslegalentityrepository.pilarcoslegalentityknowledgeitemtype.pilarcoslegalentityknowledgeitemtypePackage;

import org.cinco.pilarcos.pilarcoslegalentityrepository.pilarcoslegalentityrepository.impl.pilarcoslegalentityrepositoryPackageImpl;

import org.cinco.pilarcos.pilarcoslegalentityrepository.pilarcoslegalentityrepository.pilarcoslegalentityrepositoryPackage;

import org.cinco.pilarcos.pilarcosnegotiationliaisonrepository.pilarcosnegotiationliaisonknowledgeitemtype.impl.pilarcosnegotiationliaisonknowledgeitemtypePackageImpl;

import org.cinco.pilarcos.pilarcosnegotiationliaisonrepository.pilarcosnegotiationliaisonknowledgeitemtype.pilarcosnegotiationliaisonknowledgeitemtypePackage;

import org.cinco.pilarcos.pilarcosnegotiationliaisonrepository.pilarcosnegotiationliaisonrepository.impl.pilarcosnegotiationliaisonrepositoryPackageImpl;

import org.cinco.pilarcos.pilarcosnegotiationliaisonrepository.pilarcosnegotiationliaisonrepository.pilarcosnegotiationliaisonrepositoryPackage;

import org.cinco.pilarcos.pilarcospopulationliaisonrepository.pilarcospopulationliaisonknowledgeitemtype.impl.pilarcospopulationliaisonknowledgeitemtypePackageImpl;

import org.cinco.pilarcos.pilarcospopulationliaisonrepository.pilarcospopulationliaisonknowledgeitemtype.pilarcospopulationliaisonknowledgeitemtypePackage;

import org.cinco.pilarcos.pilarcospopulationliaisonrepository.pilarcospopulationliaisonrepository.impl.pilarcospopulationliaisonrepositoryPackageImpl;

import org.cinco.pilarcos.pilarcospopulationliaisonrepository.pilarcospopulationliaisonrepository.pilarcospopulationliaisonrepositoryPackage;

import org.cinco.pilarcos.pilarcosservicechannelrepository.pilarcosservicechannelknowledgeitemtype.impl.pilarcosservicechannelknowledgeitemtypePackageImpl;

import org.cinco.pilarcos.pilarcosservicechannelrepository.pilarcosservicechannelknowledgeitemtype.pilarcosservicechannelknowledgeitemtypePackage;

import org.cinco.pilarcos.pilarcosservicechannelrepository.pilarcosservicechannelrepository.impl.pilarcosservicechannelrepositoryPackageImpl;

import org.cinco.pilarcos.pilarcosservicechannelrepository.pilarcosservicechannelrepository.pilarcosservicechannelrepositoryPackage;

import org.cinco.pilarcos.reputationknowledgerepository.experiencereportknowledgeitemtype.experiencereportknowledgeitemtypePackage;

import org.cinco.pilarcos.reputationknowledgerepository.experiencereportknowledgeitemtype.impl.experiencereportknowledgeitemtypePackageImpl;

import org.cinco.pilarcos.reputationknowledgerepository.reputationknowledgerepository.impl.reputationknowledgerepositoryPackageImpl;

import org.cinco.pilarcos.reputationknowledgerepository.reputationknowledgerepository.reputationknowledgerepositoryPackage;

import org.cinco.pilarcos.reputationserviceofferrepository.reputationserviceofferknowledgeitemtype.impl.reputationserviceofferknowledgeitemtypePackageImpl;

import org.cinco.pilarcos.reputationserviceofferrepository.reputationserviceofferknowledgeitemtype.reputationserviceofferknowledgeitemtypePackage;

import org.cinco.pilarcos.reputationserviceofferrepository.reputationserviceofferrepository.impl.reputationserviceofferrepositoryPackageImpl;

import org.cinco.pilarcos.reputationserviceofferrepository.reputationserviceofferrepository.reputationserviceofferrepositoryPackage;

import org.cinco.pilarcos.rsbusinessservicekindrepository.rsbusinessservicekindknowledgeitemtype.impl.rsbusinessservicekindknowledgeitemtypePackageImpl;

import org.cinco.pilarcos.rsbusinessservicekindrepository.rsbusinessservicekindknowledgeitemtype.rsbusinessservicekindknowledgeitemtypePackage;

import org.cinco.pilarcos.rsbusinessservicekindrepository.rsbusinessservicekindrepository.impl.rsbusinessservicekindrepositoryPackageImpl;

import org.cinco.pilarcos.rsbusinessservicekindrepository.rsbusinessservicekindrepository.rsbusinessservicekindrepositoryPackage;

import org.cinco.pilarcos.rsbusinessservicerepository.rsbusinessserviceknowledgeitemtype.impl.rsbusinessserviceknowledgeitemtypePackageImpl;

import org.cinco.pilarcos.rsbusinessservicerepository.rsbusinessserviceknowledgeitemtype.rsbusinessserviceknowledgeitemtypePackage;

import org.cinco.pilarcos.rsbusinessservicerepository.rsbusinessservicerepository.impl.rsbusinessservicerepositoryPackageImpl;

import org.cinco.pilarcos.rsbusinessservicerepository.rsbusinessservicerepository.rsbusinessservicerepositoryPackage;

import org.cinco.pilarcos.rsjoinliaisonrepository.rsjoinliaisonknowledgeitemtype.impl.rsjoinliaisonknowledgeitemtypePackageImpl;

import org.cinco.pilarcos.rsjoinliaisonrepository.rsjoinliaisonknowledgeitemtype.rsjoinliaisonknowledgeitemtypePackage;

import org.cinco.pilarcos.rsjoinliaisonrepository.rsjoinliaisonrepository.impl.rsjoinliaisonrepositoryPackageImpl;

import org.cinco.pilarcos.rsjoinliaisonrepository.rsjoinliaisonrepository.rsjoinliaisonrepositoryPackage;

import org.cinco.pilarcos.rsleaveliaisonrepository.rsleaveliaisonknowledgeitemtype.impl.rsleaveliaisonknowledgeitemtypePackageImpl;

import org.cinco.pilarcos.rsleaveliaisonrepository.rsleaveliaisonknowledgeitemtype.rsleaveliaisonknowledgeitemtypePackage;

import org.cinco.pilarcos.rsleaveliaisonrepository.rsleaveliaisonrepository.impl.rsleaveliaisonrepositoryPackageImpl;

import org.cinco.pilarcos.rsleaveliaisonrepository.rsleaveliaisonrepository.rsleaveliaisonrepositoryPackage;

import org.cinco.pilarcos.rsoperationliaisonrepository.rsoperationliaisonknowledgeitemtype.impl.rsoperationliaisonknowledgeitemtypePackageImpl;

import org.cinco.pilarcos.rsoperationliaisonrepository.rsoperationliaisonknowledgeitemtype.rsoperationliaisonknowledgeitemtypePackage;

import org.cinco.pilarcos.rsoperationliaisonrepository.rsoperationliaisonrepository.impl.rsoperationliaisonrepositoryPackageImpl;

import org.cinco.pilarcos.rsoperationliaisonrepository.rsoperationliaisonrepository.rsoperationliaisonrepositoryPackage;

import org.cinco.pilarcos.serviceofferknowledgerepository.pilarcosserviceofferknowledgeitemtype.impl.pilarcosserviceofferknowledgeitemtypePackageImpl;

import org.cinco.pilarcos.serviceofferknowledgerepository.pilarcosserviceofferknowledgeitemtype.pilarcosserviceofferknowledgeitemtypePackage;

import org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.impl.serviceofferknowledgerepositoryPackageImpl;

import org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.serviceofferknowledgerepositoryPackage;

import org.cinco.pilarcos.serviceofferrepository.serviceofferrepository.PilarcosServiceOfferKnowledgeItemTypeRelationship;
import org.cinco.pilarcos.serviceofferrepository.serviceofferrepository.ServiceOfferKnowledgeItemSet;
import org.cinco.pilarcos.serviceofferrepository.serviceofferrepository.ServiceOfferRepositoryEnum;
import org.cinco.pilarcos.serviceofferrepository.serviceofferrepository.ServiceOfferRepositoryModel;
import org.cinco.pilarcos.serviceofferrepository.serviceofferrepository.serviceofferrepositoryFactory;
import org.cinco.pilarcos.serviceofferrepository.serviceofferrepository.serviceofferrepositoryPackage;

import org.cinco.pilarcos.servicetyperepository.servicetypeknowledgeitemtype.impl.servicetypeknowledgeitemtypePackageImpl;

import org.cinco.pilarcos.servicetyperepository.servicetypeknowledgeitemtype.servicetypeknowledgeitemtypePackage;

import org.cinco.pilarcos.servicetyperepository.servicetyperepository.impl.servicetyperepositoryPackageImpl;

import org.cinco.pilarcos.servicetyperepository.servicetyperepository.servicetyperepositoryPackage;

import org.eclipse.emf.ecore.EAttribute;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.EEnum;
import org.eclipse.emf.ecore.EPackage;
import org.eclipse.emf.ecore.EReference;
import org.eclipse.emf.ecore.EcorePackage;

import org.eclipse.emf.ecore.impl.EPackageImpl;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model <b>Package</b>.
 * <!-- end-user-doc -->
 * @generated
 */
public class serviceofferrepositoryPackageImpl extends EPackageImpl implements serviceofferrepositoryPackage {
	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass serviceOfferRepositoryModelEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass pilarcosServiceOfferKnowledgeItemTypeRelationshipEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EClass serviceOfferKnowledgeItemSetEClass = null;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private EEnum serviceOfferRepositoryEnumEEnum = null;

	/**
	 * Creates an instance of the model <b>Package</b>, registered with
	 * {@link org.eclipse.emf.ecore.EPackage.Registry EPackage.Registry} by the package
	 * package URI value.
	 * <p>Note: the correct way to create the package is via the static
	 * factory method {@link #init init()}, which also performs
	 * initialization of the package, or returns the registered package,
	 * if one already exists.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see org.eclipse.emf.ecore.EPackage.Registry
	 * @see org.cinco.pilarcos.serviceofferrepository.serviceofferrepository.serviceofferrepositoryPackage#eNS_URI
	 * @see #init()
	 * @generated
	 */
	private serviceofferrepositoryPackageImpl() {
		super(eNS_URI, serviceofferrepositoryFactory.eINSTANCE);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private static boolean isInited = false;

	/**
	 * Creates, registers, and initializes the <b>Package</b> for this model, and for any others upon which it depends.
	 * 
	 * <p>This method is used to initialize {@link serviceofferrepositoryPackage#eINSTANCE} when that field is accessed.
	 * Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #eNS_URI
	 * @see #createPackageContents()
	 * @see #initializePackageContents()
	 * @generated
	 */
	public static serviceofferrepositoryPackage init() {
		if (isInited) return (serviceofferrepositoryPackage)EPackage.Registry.INSTANCE.getEPackage(serviceofferrepositoryPackage.eNS_URI);

		// Obtain or create and register package
		serviceofferrepositoryPackageImpl theserviceofferrepositoryPackage = (serviceofferrepositoryPackageImpl)(EPackage.Registry.INSTANCE.get(eNS_URI) instanceof serviceofferrepositoryPackageImpl ? EPackage.Registry.INSTANCE.get(eNS_URI) : new serviceofferrepositoryPackageImpl());

		isInited = true;

		// Initialize simple dependencies
		EcorePackage.eINSTANCE.eClass();

		// Obtain or create and register interdependencies
		commonPackageImpl thecommonPackage = (commonPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(commonPackage.eNS_URI) instanceof commonPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(commonPackage.eNS_URI) : commonPackage.eINSTANCE);
		epochtransitionchoreographyPackageImpl theepochtransitionchoreographyPackage = (epochtransitionchoreographyPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(epochtransitionchoreographyPackage.eNS_URI) instanceof epochtransitionchoreographyPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(epochtransitionchoreographyPackage.eNS_URI) : epochtransitionchoreographyPackage.eINSTANCE);
		breachrecoverychoreographyPackageImpl thebreachrecoverychoreographyPackage = (breachrecoverychoreographyPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(breachrecoverychoreographyPackage.eNS_URI) instanceof breachrecoverychoreographyPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(breachrecoverychoreographyPackage.eNS_URI) : breachrecoverychoreographyPackage.eINSTANCE);
		businessnetworkarchitecturePackageImpl thebusinessnetworkarchitecturePackage = (businessnetworkarchitecturePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(businessnetworkarchitecturePackage.eNS_URI) instanceof businessnetworkarchitecturePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(businessnetworkarchitecturePackage.eNS_URI) : businessnetworkarchitecturePackage.eINSTANCE);
		experiencereportknowledgeitemtypePackageImpl theexperiencereportknowledgeitemtypePackage = (experiencereportknowledgeitemtypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(experiencereportknowledgeitemtypePackage.eNS_URI) instanceof experiencereportknowledgeitemtypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(experiencereportknowledgeitemtypePackage.eNS_URI) : experiencereportknowledgeitemtypePackage.eINSTANCE);
		pilarcosserviceofferknowledgeitemtypePackageImpl thepilarcosserviceofferknowledgeitemtypePackage = (pilarcosserviceofferknowledgeitemtypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(pilarcosserviceofferknowledgeitemtypePackage.eNS_URI) instanceof pilarcosserviceofferknowledgeitemtypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(pilarcosserviceofferknowledgeitemtypePackage.eNS_URI) : pilarcosserviceofferknowledgeitemtypePackage.eINSTANCE);
		pilarcoscontractknowledgeitemtypePackageImpl thepilarcoscontractknowledgeitemtypePackage = (pilarcoscontractknowledgeitemtypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(pilarcoscontractknowledgeitemtypePackage.eNS_URI) instanceof pilarcoscontractknowledgeitemtypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(pilarcoscontractknowledgeitemtypePackage.eNS_URI) : pilarcoscontractknowledgeitemtypePackage.eINSTANCE);
		individualkindknowledgeitemtypePackageImpl theindividualkindknowledgeitemtypePackage = (individualkindknowledgeitemtypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(individualkindknowledgeitemtypePackage.eNS_URI) instanceof individualkindknowledgeitemtypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(individualkindknowledgeitemtypePackage.eNS_URI) : individualkindknowledgeitemtypePackage.eINSTANCE);
		org.cinco.pilarcos.serviceofferrepository.pilarcosserviceofferknowledgeitemtype.impl.pilarcosserviceofferknowledgeitemtypePackageImpl thepilarcosserviceofferknowledgeitemtypePackage_1 = (org.cinco.pilarcos.serviceofferrepository.pilarcosserviceofferknowledgeitemtype.impl.pilarcosserviceofferknowledgeitemtypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(org.cinco.pilarcos.serviceofferrepository.pilarcosserviceofferknowledgeitemtype.pilarcosserviceofferknowledgeitemtypePackage.eNS_URI) instanceof org.cinco.pilarcos.serviceofferrepository.pilarcosserviceofferknowledgeitemtype.impl.pilarcosserviceofferknowledgeitemtypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(org.cinco.pilarcos.serviceofferrepository.pilarcosserviceofferknowledgeitemtype.pilarcosserviceofferknowledgeitemtypePackage.eNS_URI) : org.cinco.pilarcos.serviceofferrepository.pilarcosserviceofferknowledgeitemtype.pilarcosserviceofferknowledgeitemtypePackage.eINSTANCE);
		pilarcosnegotiationliaisonknowledgeitemtypePackageImpl thepilarcosnegotiationliaisonknowledgeitemtypePackage = (pilarcosnegotiationliaisonknowledgeitemtypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(pilarcosnegotiationliaisonknowledgeitemtypePackage.eNS_URI) instanceof pilarcosnegotiationliaisonknowledgeitemtypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(pilarcosnegotiationliaisonknowledgeitemtypePackage.eNS_URI) : pilarcosnegotiationliaisonknowledgeitemtypePackage.eINSTANCE);
		pilarcoslegalentitykindknowledgeitemtypePackageImpl thepilarcoslegalentitykindknowledgeitemtypePackage = (pilarcoslegalentitykindknowledgeitemtypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(pilarcoslegalentitykindknowledgeitemtypePackage.eNS_URI) instanceof pilarcoslegalentitykindknowledgeitemtypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(pilarcoslegalentitykindknowledgeitemtypePackage.eNS_URI) : pilarcoslegalentitykindknowledgeitemtypePackage.eINSTANCE);
		enterprisekindknowledgeitemtypePackageImpl theenterprisekindknowledgeitemtypePackage = (enterprisekindknowledgeitemtypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(enterprisekindknowledgeitemtypePackage.eNS_URI) instanceof enterprisekindknowledgeitemtypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(enterprisekindknowledgeitemtypePackage.eNS_URI) : enterprisekindknowledgeitemtypePackage.eINSTANCE);
		servicetypeknowledgeitemtypePackageImpl theservicetypeknowledgeitemtypePackage = (servicetypeknowledgeitemtypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(servicetypeknowledgeitemtypePackage.eNS_URI) instanceof servicetypeknowledgeitemtypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(servicetypeknowledgeitemtypePackage.eNS_URI) : servicetypeknowledgeitemtypePackage.eINSTANCE);
		pilarcosendpointknowledgeitemtypePackageImpl thepilarcosendpointknowledgeitemtypePackage = (pilarcosendpointknowledgeitemtypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(pilarcosendpointknowledgeitemtypePackage.eNS_URI) instanceof pilarcosendpointknowledgeitemtypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(pilarcosendpointknowledgeitemtypePackage.eNS_URI) : pilarcosendpointknowledgeitemtypePackage.eINSTANCE);
		organizationkindknowledgeitemtypePackageImpl theorganizationkindknowledgeitemtypePackage = (organizationkindknowledgeitemtypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(organizationkindknowledgeitemtypePackage.eNS_URI) instanceof organizationkindknowledgeitemtypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(organizationkindknowledgeitemtypePackage.eNS_URI) : organizationkindknowledgeitemtypePackage.eINSTANCE);
		pilarcosbusinessserviceknowledgeitemtypePackageImpl thepilarcosbusinessserviceknowledgeitemtypePackage = (pilarcosbusinessserviceknowledgeitemtypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(pilarcosbusinessserviceknowledgeitemtypePackage.eNS_URI) instanceof pilarcosbusinessserviceknowledgeitemtypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(pilarcosbusinessserviceknowledgeitemtypePackage.eNS_URI) : pilarcosbusinessserviceknowledgeitemtypePackage.eINSTANCE);
		pilarcoslegalentityknowledgeitemtypePackageImpl thepilarcoslegalentityknowledgeitemtypePackage = (pilarcoslegalentityknowledgeitemtypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(pilarcoslegalentityknowledgeitemtypePackage.eNS_URI) instanceof pilarcoslegalentityknowledgeitemtypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(pilarcoslegalentityknowledgeitemtypePackage.eNS_URI) : pilarcoslegalentityknowledgeitemtypePackage.eINSTANCE);
		pilarcoscomponenserviceknowledgeitemtypePackageImpl thepilarcoscomponenserviceknowledgeitemtypePackage = (pilarcoscomponenserviceknowledgeitemtypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(pilarcoscomponenserviceknowledgeitemtypePackage.eNS_URI) instanceof pilarcoscomponenserviceknowledgeitemtypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(pilarcoscomponenserviceknowledgeitemtypePackage.eNS_URI) : pilarcoscomponenserviceknowledgeitemtypePackage.eINSTANCE);
		pilarcosbusinessdocumentkindknowledgeitemtypePackageImpl thepilarcosbusinessdocumentkindknowledgeitemtypePackage = (pilarcosbusinessdocumentkindknowledgeitemtypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(pilarcosbusinessdocumentkindknowledgeitemtypePackage.eNS_URI) instanceof pilarcosbusinessdocumentkindknowledgeitemtypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(pilarcosbusinessdocumentkindknowledgeitemtypePackage.eNS_URI) : pilarcosbusinessdocumentkindknowledgeitemtypePackage.eINSTANCE);
		org.cinco.pilarcos.econtracttemplaterepository.pilarcoscontractknowledgeitemtype.impl.pilarcoscontractknowledgeitemtypePackageImpl thepilarcoscontractknowledgeitemtypePackage_1 = (org.cinco.pilarcos.econtracttemplaterepository.pilarcoscontractknowledgeitemtype.impl.pilarcoscontractknowledgeitemtypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(org.cinco.pilarcos.econtracttemplaterepository.pilarcoscontractknowledgeitemtype.pilarcoscontractknowledgeitemtypePackage.eNS_URI) instanceof org.cinco.pilarcos.econtracttemplaterepository.pilarcoscontractknowledgeitemtype.impl.pilarcoscontractknowledgeitemtypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(org.cinco.pilarcos.econtracttemplaterepository.pilarcoscontractknowledgeitemtype.pilarcoscontractknowledgeitemtypePackage.eNS_URI) : org.cinco.pilarcos.econtracttemplaterepository.pilarcoscontractknowledgeitemtype.pilarcoscontractknowledgeitemtypePackage.eINSTANCE);
		org.cinco.pilarcos.econtractrepository.pilarcoscontractknowledgeitemtype.impl.pilarcoscontractknowledgeitemtypePackageImpl thepilarcoscontractknowledgeitemtypePackage_2 = (org.cinco.pilarcos.econtractrepository.pilarcoscontractknowledgeitemtype.impl.pilarcoscontractknowledgeitemtypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(org.cinco.pilarcos.econtractrepository.pilarcoscontractknowledgeitemtype.pilarcoscontractknowledgeitemtypePackage.eNS_URI) instanceof org.cinco.pilarcos.econtractrepository.pilarcoscontractknowledgeitemtype.impl.pilarcoscontractknowledgeitemtypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(org.cinco.pilarcos.econtractrepository.pilarcoscontractknowledgeitemtype.pilarcoscontractknowledgeitemtypePackage.eNS_URI) : org.cinco.pilarcos.econtractrepository.pilarcoscontractknowledgeitemtype.pilarcoscontractknowledgeitemtypePackage.eINSTANCE);
		pilarcospopulationliaisonknowledgeitemtypePackageImpl thepilarcospopulationliaisonknowledgeitemtypePackage = (pilarcospopulationliaisonknowledgeitemtypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(pilarcospopulationliaisonknowledgeitemtypePackage.eNS_URI) instanceof pilarcospopulationliaisonknowledgeitemtypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(pilarcospopulationliaisonknowledgeitemtypePackage.eNS_URI) : pilarcospopulationliaisonknowledgeitemtypePackage.eINSTANCE);
		pilarcosdissolutionliaisonknowledgeitemtypePackageImpl thepilarcosdissolutionliaisonknowledgeitemtypePackage = (pilarcosdissolutionliaisonknowledgeitemtypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(pilarcosdissolutionliaisonknowledgeitemtypePackage.eNS_URI) instanceof pilarcosdissolutionliaisonknowledgeitemtypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(pilarcosdissolutionliaisonknowledgeitemtypePackage.eNS_URI) : pilarcosdissolutionliaisonknowledgeitemtypePackage.eINSTANCE);
		pilarcosservicechannelknowledgeitemtypePackageImpl thepilarcosservicechannelknowledgeitemtypePackage = (pilarcosservicechannelknowledgeitemtypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(pilarcosservicechannelknowledgeitemtypePackage.eNS_URI) instanceof pilarcosservicechannelknowledgeitemtypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(pilarcosservicechannelknowledgeitemtypePackage.eNS_URI) : pilarcosservicechannelknowledgeitemtypePackage.eINSTANCE);
		pilarcosendpointkindknowledgeitemtypePackageImpl thepilarcosendpointkindknowledgeitemtypePackage = (pilarcosendpointkindknowledgeitemtypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(pilarcosendpointkindknowledgeitemtypePackage.eNS_URI) instanceof pilarcosendpointkindknowledgeitemtypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(pilarcosendpointkindknowledgeitemtypePackage.eNS_URI) : pilarcosendpointkindknowledgeitemtypePackage.eINSTANCE);
		pilarcosbusinessservicekindknowledgeitemtypePackageImpl thepilarcosbusinessservicekindknowledgeitemtypePackage = (pilarcosbusinessservicekindknowledgeitemtypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(pilarcosbusinessservicekindknowledgeitemtypePackage.eNS_URI) instanceof pilarcosbusinessservicekindknowledgeitemtypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(pilarcosbusinessservicekindknowledgeitemtypePackage.eNS_URI) : pilarcosbusinessservicekindknowledgeitemtypePackage.eINSTANCE);
		pilarcoschanneltypeknowledgeitemtypePackageImpl thepilarcoschanneltypeknowledgeitemtypePackage = (pilarcoschanneltypeknowledgeitemtypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(pilarcoschanneltypeknowledgeitemtypePackage.eNS_URI) instanceof pilarcoschanneltypeknowledgeitemtypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(pilarcoschanneltypeknowledgeitemtypePackage.eNS_URI) : pilarcoschanneltypeknowledgeitemtypePackage.eINSTANCE);
		pilarcosbusinessdocumentknowledgeitemtypePackageImpl thepilarcosbusinessdocumentknowledgeitemtypePackage = (pilarcosbusinessdocumentknowledgeitemtypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(pilarcosbusinessdocumentknowledgeitemtypePackage.eNS_URI) instanceof pilarcosbusinessdocumentknowledgeitemtypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(pilarcosbusinessdocumentknowledgeitemtypePackage.eNS_URI) : pilarcosbusinessdocumentknowledgeitemtypePackage.eINSTANCE);
		pilarcosliaisonknowledgeitemtypePackageImpl thepilarcosliaisonknowledgeitemtypePackage = (pilarcosliaisonknowledgeitemtypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(pilarcosliaisonknowledgeitemtypePackage.eNS_URI) instanceof pilarcosliaisonknowledgeitemtypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(pilarcosliaisonknowledgeitemtypePackage.eNS_URI) : pilarcosliaisonknowledgeitemtypePackage.eINSTANCE);
		org.cinco.pilarcos.experiencereportrepository.experiencereportknowledgeitemtype.impl.experiencereportknowledgeitemtypePackageImpl theexperiencereportknowledgeitemtypePackage_1 = (org.cinco.pilarcos.experiencereportrepository.experiencereportknowledgeitemtype.impl.experiencereportknowledgeitemtypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(org.cinco.pilarcos.experiencereportrepository.experiencereportknowledgeitemtype.experiencereportknowledgeitemtypePackage.eNS_URI) instanceof org.cinco.pilarcos.experiencereportrepository.experiencereportknowledgeitemtype.impl.experiencereportknowledgeitemtypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(org.cinco.pilarcos.experiencereportrepository.experiencereportknowledgeitemtype.experiencereportknowledgeitemtypePackage.eNS_URI) : org.cinco.pilarcos.experiencereportrepository.experiencereportknowledgeitemtype.experiencereportknowledgeitemtypePackage.eINSTANCE);
		rsleaveliaisonknowledgeitemtypePackageImpl thersleaveliaisonknowledgeitemtypePackage = (rsleaveliaisonknowledgeitemtypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(rsleaveliaisonknowledgeitemtypePackage.eNS_URI) instanceof rsleaveliaisonknowledgeitemtypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(rsleaveliaisonknowledgeitemtypePackage.eNS_URI) : rsleaveliaisonknowledgeitemtypePackage.eINSTANCE);
		rsbusinessserviceknowledgeitemtypePackageImpl thersbusinessserviceknowledgeitemtypePackage = (rsbusinessserviceknowledgeitemtypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(rsbusinessserviceknowledgeitemtypePackage.eNS_URI) instanceof rsbusinessserviceknowledgeitemtypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(rsbusinessserviceknowledgeitemtypePackage.eNS_URI) : rsbusinessserviceknowledgeitemtypePackage.eINSTANCE);
		rsjoinliaisonknowledgeitemtypePackageImpl thersjoinliaisonknowledgeitemtypePackage = (rsjoinliaisonknowledgeitemtypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(rsjoinliaisonknowledgeitemtypePackage.eNS_URI) instanceof rsjoinliaisonknowledgeitemtypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(rsjoinliaisonknowledgeitemtypePackage.eNS_URI) : rsjoinliaisonknowledgeitemtypePackage.eINSTANCE);
		rsbusinessservicekindknowledgeitemtypePackageImpl thersbusinessservicekindknowledgeitemtypePackage = (rsbusinessservicekindknowledgeitemtypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(rsbusinessservicekindknowledgeitemtypePackage.eNS_URI) instanceof rsbusinessservicekindknowledgeitemtypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(rsbusinessservicekindknowledgeitemtypePackage.eNS_URI) : rsbusinessservicekindknowledgeitemtypePackage.eINSTANCE);
		rsoperationliaisonknowledgeitemtypePackageImpl thersoperationliaisonknowledgeitemtypePackage = (rsoperationliaisonknowledgeitemtypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(rsoperationliaisonknowledgeitemtypePackage.eNS_URI) instanceof rsoperationliaisonknowledgeitemtypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(rsoperationliaisonknowledgeitemtypePackage.eNS_URI) : rsoperationliaisonknowledgeitemtypePackage.eINSTANCE);
		reputationserviceofferknowledgeitemtypePackageImpl thereputationserviceofferknowledgeitemtypePackage = (reputationserviceofferknowledgeitemtypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(reputationserviceofferknowledgeitemtypePackage.eNS_URI) instanceof reputationserviceofferknowledgeitemtypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(reputationserviceofferknowledgeitemtypePackage.eNS_URI) : reputationserviceofferknowledgeitemtypePackage.eINSTANCE);
		experiencereportkindknowledgeitemtypePackageImpl theexperiencereportkindknowledgeitemtypePackage = (experiencereportkindknowledgeitemtypePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(experiencereportkindknowledgeitemtypePackage.eNS_URI) instanceof experiencereportkindknowledgeitemtypePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(experiencereportkindknowledgeitemtypePackage.eNS_URI) : experiencereportkindknowledgeitemtypePackage.eINSTANCE);
		extrafunctionalfeaturePackageImpl theextrafunctionalfeaturePackage = (extrafunctionalfeaturePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(extrafunctionalfeaturePackage.eNS_URI) instanceof extrafunctionalfeaturePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(extrafunctionalfeaturePackage.eNS_URI) : extrafunctionalfeaturePackage.eINSTANCE);
		contractualfeaturePackageImpl thecontractualfeaturePackage = (contractualfeaturePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(contractualfeaturePackage.eNS_URI) instanceof contractualfeaturePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(contractualfeaturePackage.eNS_URI) : contractualfeaturePackage.eINSTANCE);
		cooperativepropertyPackageImpl thecooperativepropertyPackage = (cooperativepropertyPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(cooperativepropertyPackage.eNS_URI) instanceof cooperativepropertyPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(cooperativepropertyPackage.eNS_URI) : cooperativepropertyPackage.eINSTANCE);
		contractualpropertyPackageImpl thecontractualpropertyPackage = (contractualpropertyPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(contractualpropertyPackage.eNS_URI) instanceof contractualpropertyPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(contractualpropertyPackage.eNS_URI) : contractualpropertyPackage.eINSTANCE);
		cooperativefeaturePackageImpl thecooperativefeaturePackage = (cooperativefeaturePackageImpl)(EPackage.Registry.INSTANCE.getEPackage(cooperativefeaturePackage.eNS_URI) instanceof cooperativefeaturePackageImpl ? EPackage.Registry.INSTANCE.getEPackage(cooperativefeaturePackage.eNS_URI) : cooperativefeaturePackage.eINSTANCE);
		reputationknowledgerepositoryPackageImpl thereputationknowledgerepositoryPackage = (reputationknowledgerepositoryPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(reputationknowledgerepositoryPackage.eNS_URI) instanceof reputationknowledgerepositoryPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(reputationknowledgerepositoryPackage.eNS_URI) : reputationknowledgerepositoryPackage.eINSTANCE);
		serviceofferknowledgerepositoryPackageImpl theserviceofferknowledgerepositoryPackage = (serviceofferknowledgerepositoryPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(serviceofferknowledgerepositoryPackage.eNS_URI) instanceof serviceofferknowledgerepositoryPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(serviceofferknowledgerepositoryPackage.eNS_URI) : serviceofferknowledgerepositoryPackage.eINSTANCE);
		econtracttemplatesknowledgebaserepositoryPackageImpl theecontracttemplatesknowledgebaserepositoryPackage = (econtracttemplatesknowledgebaserepositoryPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(econtracttemplatesknowledgebaserepositoryPackage.eNS_URI) instanceof econtracttemplatesknowledgebaserepositoryPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(econtracttemplatesknowledgebaserepositoryPackage.eNS_URI) : econtracttemplatesknowledgebaserepositoryPackage.eINSTANCE);
		individualkindrepositoryPackageImpl theindividualkindrepositoryPackage = (individualkindrepositoryPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(individualkindrepositoryPackage.eNS_URI) instanceof individualkindrepositoryPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(individualkindrepositoryPackage.eNS_URI) : individualkindrepositoryPackage.eINSTANCE);
		pilarcosnegotiationliaisonrepositoryPackageImpl thepilarcosnegotiationliaisonrepositoryPackage = (pilarcosnegotiationliaisonrepositoryPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(pilarcosnegotiationliaisonrepositoryPackage.eNS_URI) instanceof pilarcosnegotiationliaisonrepositoryPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(pilarcosnegotiationliaisonrepositoryPackage.eNS_URI) : pilarcosnegotiationliaisonrepositoryPackage.eINSTANCE);
		pilarcoslegalentitykindrepositoryPackageImpl thepilarcoslegalentitykindrepositoryPackage = (pilarcoslegalentitykindrepositoryPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(pilarcoslegalentitykindrepositoryPackage.eNS_URI) instanceof pilarcoslegalentitykindrepositoryPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(pilarcoslegalentitykindrepositoryPackage.eNS_URI) : pilarcoslegalentitykindrepositoryPackage.eINSTANCE);
		enterprisekindrepositoryPackageImpl theenterprisekindrepositoryPackage = (enterprisekindrepositoryPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(enterprisekindrepositoryPackage.eNS_URI) instanceof enterprisekindrepositoryPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(enterprisekindrepositoryPackage.eNS_URI) : enterprisekindrepositoryPackage.eINSTANCE);
		servicetyperepositoryPackageImpl theservicetyperepositoryPackage = (servicetyperepositoryPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(servicetyperepositoryPackage.eNS_URI) instanceof servicetyperepositoryPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(servicetyperepositoryPackage.eNS_URI) : servicetyperepositoryPackage.eINSTANCE);
		pilarcosendpointrepositoryPackageImpl thepilarcosendpointrepositoryPackage = (pilarcosendpointrepositoryPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(pilarcosendpointrepositoryPackage.eNS_URI) instanceof pilarcosendpointrepositoryPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(pilarcosendpointrepositoryPackage.eNS_URI) : pilarcosendpointrepositoryPackage.eINSTANCE);
		organizationkindrepositoryPackageImpl theorganizationkindrepositoryPackage = (organizationkindrepositoryPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(organizationkindrepositoryPackage.eNS_URI) instanceof organizationkindrepositoryPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(organizationkindrepositoryPackage.eNS_URI) : organizationkindrepositoryPackage.eINSTANCE);
		pilarcosbusinessservicerepositoryPackageImpl thepilarcosbusinessservicerepositoryPackage = (pilarcosbusinessservicerepositoryPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(pilarcosbusinessservicerepositoryPackage.eNS_URI) instanceof pilarcosbusinessservicerepositoryPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(pilarcosbusinessservicerepositoryPackage.eNS_URI) : pilarcosbusinessservicerepositoryPackage.eINSTANCE);
		pilarcoslegalentityrepositoryPackageImpl thepilarcoslegalentityrepositoryPackage = (pilarcoslegalentityrepositoryPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(pilarcoslegalentityrepositoryPackage.eNS_URI) instanceof pilarcoslegalentityrepositoryPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(pilarcoslegalentityrepositoryPackage.eNS_URI) : pilarcoslegalentityrepositoryPackage.eINSTANCE);
		pilarcoscomponenservicerepositoryPackageImpl thepilarcoscomponenservicerepositoryPackage = (pilarcoscomponenservicerepositoryPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(pilarcoscomponenservicerepositoryPackage.eNS_URI) instanceof pilarcoscomponenservicerepositoryPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(pilarcoscomponenservicerepositoryPackage.eNS_URI) : pilarcoscomponenservicerepositoryPackage.eINSTANCE);
		businessdocumentkindrepositoryPackageImpl thebusinessdocumentkindrepositoryPackage = (businessdocumentkindrepositoryPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(businessdocumentkindrepositoryPackage.eNS_URI) instanceof businessdocumentkindrepositoryPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(businessdocumentkindrepositoryPackage.eNS_URI) : businessdocumentkindrepositoryPackage.eINSTANCE);
		econtracttemplaterepositoryPackageImpl theecontracttemplaterepositoryPackage = (econtracttemplaterepositoryPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(econtracttemplaterepositoryPackage.eNS_URI) instanceof econtracttemplaterepositoryPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(econtracttemplaterepositoryPackage.eNS_URI) : econtracttemplaterepositoryPackage.eINSTANCE);
		econtractrepositoryPackageImpl theecontractrepositoryPackage = (econtractrepositoryPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(econtractrepositoryPackage.eNS_URI) instanceof econtractrepositoryPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(econtractrepositoryPackage.eNS_URI) : econtractrepositoryPackage.eINSTANCE);
		pilarcospopulationliaisonrepositoryPackageImpl thepilarcospopulationliaisonrepositoryPackage = (pilarcospopulationliaisonrepositoryPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(pilarcospopulationliaisonrepositoryPackage.eNS_URI) instanceof pilarcospopulationliaisonrepositoryPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(pilarcospopulationliaisonrepositoryPackage.eNS_URI) : pilarcospopulationliaisonrepositoryPackage.eINSTANCE);
		pilarcosdissolutionliaisonrepositoryPackageImpl thepilarcosdissolutionliaisonrepositoryPackage = (pilarcosdissolutionliaisonrepositoryPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(pilarcosdissolutionliaisonrepositoryPackage.eNS_URI) instanceof pilarcosdissolutionliaisonrepositoryPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(pilarcosdissolutionliaisonrepositoryPackage.eNS_URI) : pilarcosdissolutionliaisonrepositoryPackage.eINSTANCE);
		pilarcosservicechannelrepositoryPackageImpl thepilarcosservicechannelrepositoryPackage = (pilarcosservicechannelrepositoryPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(pilarcosservicechannelrepositoryPackage.eNS_URI) instanceof pilarcosservicechannelrepositoryPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(pilarcosservicechannelrepositoryPackage.eNS_URI) : pilarcosservicechannelrepositoryPackage.eINSTANCE);
		pilarcosendpointkindrepositoryPackageImpl thepilarcosendpointkindrepositoryPackage = (pilarcosendpointkindrepositoryPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(pilarcosendpointkindrepositoryPackage.eNS_URI) instanceof pilarcosendpointkindrepositoryPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(pilarcosendpointkindrepositoryPackage.eNS_URI) : pilarcosendpointkindrepositoryPackage.eINSTANCE);
		pilarcosbusinessservicekindrepositoryPackageImpl thepilarcosbusinessservicekindrepositoryPackage = (pilarcosbusinessservicekindrepositoryPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(pilarcosbusinessservicekindrepositoryPackage.eNS_URI) instanceof pilarcosbusinessservicekindrepositoryPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(pilarcosbusinessservicekindrepositoryPackage.eNS_URI) : pilarcosbusinessservicekindrepositoryPackage.eINSTANCE);
		pilarcoschanneltyperepositoryPackageImpl thepilarcoschanneltyperepositoryPackage = (pilarcoschanneltyperepositoryPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(pilarcoschanneltyperepositoryPackage.eNS_URI) instanceof pilarcoschanneltyperepositoryPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(pilarcoschanneltyperepositoryPackage.eNS_URI) : pilarcoschanneltyperepositoryPackage.eINSTANCE);
		businessdocumentrepositoryPackageImpl thebusinessdocumentrepositoryPackage = (businessdocumentrepositoryPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(businessdocumentrepositoryPackage.eNS_URI) instanceof businessdocumentrepositoryPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(businessdocumentrepositoryPackage.eNS_URI) : businessdocumentrepositoryPackage.eINSTANCE);
		bnmrepositoryPackageImpl thebnmrepositoryPackage = (bnmrepositoryPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(bnmrepositoryPackage.eNS_URI) instanceof bnmrepositoryPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(bnmrepositoryPackage.eNS_URI) : bnmrepositoryPackage.eINSTANCE);
		experiencereportrepositoryPackageImpl theexperiencereportrepositoryPackage = (experiencereportrepositoryPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(experiencereportrepositoryPackage.eNS_URI) instanceof experiencereportrepositoryPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(experiencereportrepositoryPackage.eNS_URI) : experiencereportrepositoryPackage.eINSTANCE);
		rsleaveliaisonrepositoryPackageImpl thersleaveliaisonrepositoryPackage = (rsleaveliaisonrepositoryPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(rsleaveliaisonrepositoryPackage.eNS_URI) instanceof rsleaveliaisonrepositoryPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(rsleaveliaisonrepositoryPackage.eNS_URI) : rsleaveliaisonrepositoryPackage.eINSTANCE);
		rsbusinessservicerepositoryPackageImpl thersbusinessservicerepositoryPackage = (rsbusinessservicerepositoryPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(rsbusinessservicerepositoryPackage.eNS_URI) instanceof rsbusinessservicerepositoryPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(rsbusinessservicerepositoryPackage.eNS_URI) : rsbusinessservicerepositoryPackage.eINSTANCE);
		rsjoinliaisonrepositoryPackageImpl thersjoinliaisonrepositoryPackage = (rsjoinliaisonrepositoryPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(rsjoinliaisonrepositoryPackage.eNS_URI) instanceof rsjoinliaisonrepositoryPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(rsjoinliaisonrepositoryPackage.eNS_URI) : rsjoinliaisonrepositoryPackage.eINSTANCE);
		rsbusinessservicekindrepositoryPackageImpl thersbusinessservicekindrepositoryPackage = (rsbusinessservicekindrepositoryPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(rsbusinessservicekindrepositoryPackage.eNS_URI) instanceof rsbusinessservicekindrepositoryPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(rsbusinessservicekindrepositoryPackage.eNS_URI) : rsbusinessservicekindrepositoryPackage.eINSTANCE);
		rsoperationliaisonrepositoryPackageImpl thersoperationliaisonrepositoryPackage = (rsoperationliaisonrepositoryPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(rsoperationliaisonrepositoryPackage.eNS_URI) instanceof rsoperationliaisonrepositoryPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(rsoperationliaisonrepositoryPackage.eNS_URI) : rsoperationliaisonrepositoryPackage.eINSTANCE);
		reputationserviceofferrepositoryPackageImpl thereputationserviceofferrepositoryPackage = (reputationserviceofferrepositoryPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(reputationserviceofferrepositoryPackage.eNS_URI) instanceof reputationserviceofferrepositoryPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(reputationserviceofferrepositoryPackage.eNS_URI) : reputationserviceofferrepositoryPackage.eINSTANCE);
		experiencereportkindrepositoryPackageImpl theexperiencereportkindrepositoryPackage = (experiencereportkindrepositoryPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(experiencereportkindrepositoryPackage.eNS_URI) instanceof experiencereportkindrepositoryPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(experiencereportkindrepositoryPackage.eNS_URI) : experiencereportkindrepositoryPackage.eINSTANCE);
		extrafunctionalfeaturerepositoryPackageImpl theextrafunctionalfeaturerepositoryPackage = (extrafunctionalfeaturerepositoryPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(extrafunctionalfeaturerepositoryPackage.eNS_URI) instanceof extrafunctionalfeaturerepositoryPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(extrafunctionalfeaturerepositoryPackage.eNS_URI) : extrafunctionalfeaturerepositoryPackage.eINSTANCE);
		contractualfeaturerepositoryPackageImpl thecontractualfeaturerepositoryPackage = (contractualfeaturerepositoryPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(contractualfeaturerepositoryPackage.eNS_URI) instanceof contractualfeaturerepositoryPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(contractualfeaturerepositoryPackage.eNS_URI) : contractualfeaturerepositoryPackage.eINSTANCE);
		cooperativepropertyrepositoryPackageImpl thecooperativepropertyrepositoryPackage = (cooperativepropertyrepositoryPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(cooperativepropertyrepositoryPackage.eNS_URI) instanceof cooperativepropertyrepositoryPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(cooperativepropertyrepositoryPackage.eNS_URI) : cooperativepropertyrepositoryPackage.eINSTANCE);
		contractualpropertyrepositoryPackageImpl thecontractualpropertyrepositoryPackage = (contractualpropertyrepositoryPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(contractualpropertyrepositoryPackage.eNS_URI) instanceof contractualpropertyrepositoryPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(contractualpropertyrepositoryPackage.eNS_URI) : contractualpropertyrepositoryPackage.eINSTANCE);
		cooperativefeaturerepositoryPackageImpl thecooperativefeaturerepositoryPackage = (cooperativefeaturerepositoryPackageImpl)(EPackage.Registry.INSTANCE.getEPackage(cooperativefeaturerepositoryPackage.eNS_URI) instanceof cooperativefeaturerepositoryPackageImpl ? EPackage.Registry.INSTANCE.getEPackage(cooperativefeaturerepositoryPackage.eNS_URI) : cooperativefeaturerepositoryPackage.eINSTANCE);

		// Create package meta-data objects
		theserviceofferrepositoryPackage.createPackageContents();
		thecommonPackage.createPackageContents();
		theepochtransitionchoreographyPackage.createPackageContents();
		thebreachrecoverychoreographyPackage.createPackageContents();
		thebusinessnetworkarchitecturePackage.createPackageContents();
		theexperiencereportknowledgeitemtypePackage.createPackageContents();
		thepilarcosserviceofferknowledgeitemtypePackage.createPackageContents();
		thepilarcoscontractknowledgeitemtypePackage.createPackageContents();
		theindividualkindknowledgeitemtypePackage.createPackageContents();
		thepilarcosserviceofferknowledgeitemtypePackage_1.createPackageContents();
		thepilarcosnegotiationliaisonknowledgeitemtypePackage.createPackageContents();
		thepilarcoslegalentitykindknowledgeitemtypePackage.createPackageContents();
		theenterprisekindknowledgeitemtypePackage.createPackageContents();
		theservicetypeknowledgeitemtypePackage.createPackageContents();
		thepilarcosendpointknowledgeitemtypePackage.createPackageContents();
		theorganizationkindknowledgeitemtypePackage.createPackageContents();
		thepilarcosbusinessserviceknowledgeitemtypePackage.createPackageContents();
		thepilarcoslegalentityknowledgeitemtypePackage.createPackageContents();
		thepilarcoscomponenserviceknowledgeitemtypePackage.createPackageContents();
		thepilarcosbusinessdocumentkindknowledgeitemtypePackage.createPackageContents();
		thepilarcoscontractknowledgeitemtypePackage_1.createPackageContents();
		thepilarcoscontractknowledgeitemtypePackage_2.createPackageContents();
		thepilarcospopulationliaisonknowledgeitemtypePackage.createPackageContents();
		thepilarcosdissolutionliaisonknowledgeitemtypePackage.createPackageContents();
		thepilarcosservicechannelknowledgeitemtypePackage.createPackageContents();
		thepilarcosendpointkindknowledgeitemtypePackage.createPackageContents();
		thepilarcosbusinessservicekindknowledgeitemtypePackage.createPackageContents();
		thepilarcoschanneltypeknowledgeitemtypePackage.createPackageContents();
		thepilarcosbusinessdocumentknowledgeitemtypePackage.createPackageContents();
		thepilarcosliaisonknowledgeitemtypePackage.createPackageContents();
		theexperiencereportknowledgeitemtypePackage_1.createPackageContents();
		thersleaveliaisonknowledgeitemtypePackage.createPackageContents();
		thersbusinessserviceknowledgeitemtypePackage.createPackageContents();
		thersjoinliaisonknowledgeitemtypePackage.createPackageContents();
		thersbusinessservicekindknowledgeitemtypePackage.createPackageContents();
		thersoperationliaisonknowledgeitemtypePackage.createPackageContents();
		thereputationserviceofferknowledgeitemtypePackage.createPackageContents();
		theexperiencereportkindknowledgeitemtypePackage.createPackageContents();
		theextrafunctionalfeaturePackage.createPackageContents();
		thecontractualfeaturePackage.createPackageContents();
		thecooperativepropertyPackage.createPackageContents();
		thecontractualpropertyPackage.createPackageContents();
		thecooperativefeaturePackage.createPackageContents();
		thereputationknowledgerepositoryPackage.createPackageContents();
		theserviceofferknowledgerepositoryPackage.createPackageContents();
		theecontracttemplatesknowledgebaserepositoryPackage.createPackageContents();
		theindividualkindrepositoryPackage.createPackageContents();
		thepilarcosnegotiationliaisonrepositoryPackage.createPackageContents();
		thepilarcoslegalentitykindrepositoryPackage.createPackageContents();
		theenterprisekindrepositoryPackage.createPackageContents();
		theservicetyperepositoryPackage.createPackageContents();
		thepilarcosendpointrepositoryPackage.createPackageContents();
		theorganizationkindrepositoryPackage.createPackageContents();
		thepilarcosbusinessservicerepositoryPackage.createPackageContents();
		thepilarcoslegalentityrepositoryPackage.createPackageContents();
		thepilarcoscomponenservicerepositoryPackage.createPackageContents();
		thebusinessdocumentkindrepositoryPackage.createPackageContents();
		theecontracttemplaterepositoryPackage.createPackageContents();
		theecontractrepositoryPackage.createPackageContents();
		thepilarcospopulationliaisonrepositoryPackage.createPackageContents();
		thepilarcosdissolutionliaisonrepositoryPackage.createPackageContents();
		thepilarcosservicechannelrepositoryPackage.createPackageContents();
		thepilarcosendpointkindrepositoryPackage.createPackageContents();
		thepilarcosbusinessservicekindrepositoryPackage.createPackageContents();
		thepilarcoschanneltyperepositoryPackage.createPackageContents();
		thebusinessdocumentrepositoryPackage.createPackageContents();
		thebnmrepositoryPackage.createPackageContents();
		theexperiencereportrepositoryPackage.createPackageContents();
		thersleaveliaisonrepositoryPackage.createPackageContents();
		thersbusinessservicerepositoryPackage.createPackageContents();
		thersjoinliaisonrepositoryPackage.createPackageContents();
		thersbusinessservicekindrepositoryPackage.createPackageContents();
		thersoperationliaisonrepositoryPackage.createPackageContents();
		thereputationserviceofferrepositoryPackage.createPackageContents();
		theexperiencereportkindrepositoryPackage.createPackageContents();
		theextrafunctionalfeaturerepositoryPackage.createPackageContents();
		thecontractualfeaturerepositoryPackage.createPackageContents();
		thecooperativepropertyrepositoryPackage.createPackageContents();
		thecontractualpropertyrepositoryPackage.createPackageContents();
		thecooperativefeaturerepositoryPackage.createPackageContents();

		// Initialize created meta-data
		theserviceofferrepositoryPackage.initializePackageContents();
		thecommonPackage.initializePackageContents();
		theepochtransitionchoreographyPackage.initializePackageContents();
		thebreachrecoverychoreographyPackage.initializePackageContents();
		thebusinessnetworkarchitecturePackage.initializePackageContents();
		theexperiencereportknowledgeitemtypePackage.initializePackageContents();
		thepilarcosserviceofferknowledgeitemtypePackage.initializePackageContents();
		thepilarcoscontractknowledgeitemtypePackage.initializePackageContents();
		theindividualkindknowledgeitemtypePackage.initializePackageContents();
		thepilarcosserviceofferknowledgeitemtypePackage_1.initializePackageContents();
		thepilarcosnegotiationliaisonknowledgeitemtypePackage.initializePackageContents();
		thepilarcoslegalentitykindknowledgeitemtypePackage.initializePackageContents();
		theenterprisekindknowledgeitemtypePackage.initializePackageContents();
		theservicetypeknowledgeitemtypePackage.initializePackageContents();
		thepilarcosendpointknowledgeitemtypePackage.initializePackageContents();
		theorganizationkindknowledgeitemtypePackage.initializePackageContents();
		thepilarcosbusinessserviceknowledgeitemtypePackage.initializePackageContents();
		thepilarcoslegalentityknowledgeitemtypePackage.initializePackageContents();
		thepilarcoscomponenserviceknowledgeitemtypePackage.initializePackageContents();
		thepilarcosbusinessdocumentkindknowledgeitemtypePackage.initializePackageContents();
		thepilarcoscontractknowledgeitemtypePackage_1.initializePackageContents();
		thepilarcoscontractknowledgeitemtypePackage_2.initializePackageContents();
		thepilarcospopulationliaisonknowledgeitemtypePackage.initializePackageContents();
		thepilarcosdissolutionliaisonknowledgeitemtypePackage.initializePackageContents();
		thepilarcosservicechannelknowledgeitemtypePackage.initializePackageContents();
		thepilarcosendpointkindknowledgeitemtypePackage.initializePackageContents();
		thepilarcosbusinessservicekindknowledgeitemtypePackage.initializePackageContents();
		thepilarcoschanneltypeknowledgeitemtypePackage.initializePackageContents();
		thepilarcosbusinessdocumentknowledgeitemtypePackage.initializePackageContents();
		thepilarcosliaisonknowledgeitemtypePackage.initializePackageContents();
		theexperiencereportknowledgeitemtypePackage_1.initializePackageContents();
		thersleaveliaisonknowledgeitemtypePackage.initializePackageContents();
		thersbusinessserviceknowledgeitemtypePackage.initializePackageContents();
		thersjoinliaisonknowledgeitemtypePackage.initializePackageContents();
		thersbusinessservicekindknowledgeitemtypePackage.initializePackageContents();
		thersoperationliaisonknowledgeitemtypePackage.initializePackageContents();
		thereputationserviceofferknowledgeitemtypePackage.initializePackageContents();
		theexperiencereportkindknowledgeitemtypePackage.initializePackageContents();
		theextrafunctionalfeaturePackage.initializePackageContents();
		thecontractualfeaturePackage.initializePackageContents();
		thecooperativepropertyPackage.initializePackageContents();
		thecontractualpropertyPackage.initializePackageContents();
		thecooperativefeaturePackage.initializePackageContents();
		thereputationknowledgerepositoryPackage.initializePackageContents();
		theserviceofferknowledgerepositoryPackage.initializePackageContents();
		theecontracttemplatesknowledgebaserepositoryPackage.initializePackageContents();
		theindividualkindrepositoryPackage.initializePackageContents();
		thepilarcosnegotiationliaisonrepositoryPackage.initializePackageContents();
		thepilarcoslegalentitykindrepositoryPackage.initializePackageContents();
		theenterprisekindrepositoryPackage.initializePackageContents();
		theservicetyperepositoryPackage.initializePackageContents();
		thepilarcosendpointrepositoryPackage.initializePackageContents();
		theorganizationkindrepositoryPackage.initializePackageContents();
		thepilarcosbusinessservicerepositoryPackage.initializePackageContents();
		thepilarcoslegalentityrepositoryPackage.initializePackageContents();
		thepilarcoscomponenservicerepositoryPackage.initializePackageContents();
		thebusinessdocumentkindrepositoryPackage.initializePackageContents();
		theecontracttemplaterepositoryPackage.initializePackageContents();
		theecontractrepositoryPackage.initializePackageContents();
		thepilarcospopulationliaisonrepositoryPackage.initializePackageContents();
		thepilarcosdissolutionliaisonrepositoryPackage.initializePackageContents();
		thepilarcosservicechannelrepositoryPackage.initializePackageContents();
		thepilarcosendpointkindrepositoryPackage.initializePackageContents();
		thepilarcosbusinessservicekindrepositoryPackage.initializePackageContents();
		thepilarcoschanneltyperepositoryPackage.initializePackageContents();
		thebusinessdocumentrepositoryPackage.initializePackageContents();
		thebnmrepositoryPackage.initializePackageContents();
		theexperiencereportrepositoryPackage.initializePackageContents();
		thersleaveliaisonrepositoryPackage.initializePackageContents();
		thersbusinessservicerepositoryPackage.initializePackageContents();
		thersjoinliaisonrepositoryPackage.initializePackageContents();
		thersbusinessservicekindrepositoryPackage.initializePackageContents();
		thersoperationliaisonrepositoryPackage.initializePackageContents();
		thereputationserviceofferrepositoryPackage.initializePackageContents();
		theexperiencereportkindrepositoryPackage.initializePackageContents();
		theextrafunctionalfeaturerepositoryPackage.initializePackageContents();
		thecontractualfeaturerepositoryPackage.initializePackageContents();
		thecooperativepropertyrepositoryPackage.initializePackageContents();
		thecontractualpropertyrepositoryPackage.initializePackageContents();
		thecooperativefeaturerepositoryPackage.initializePackageContents();

		// Mark meta-data to indicate it can't be changed
		theserviceofferrepositoryPackage.freeze();

  
		// Update the registry and return the package
		EPackage.Registry.INSTANCE.put(serviceofferrepositoryPackage.eNS_URI, theserviceofferrepositoryPackage);
		return theserviceofferrepositoryPackage;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getServiceOfferRepositoryModel() {
		return serviceOfferRepositoryModelEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getServiceOfferRepositoryModel_Models() {
		return (EReference)serviceOfferRepositoryModelEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getServiceOfferRepositoryModel_Relationships() {
		return (EReference)serviceOfferRepositoryModelEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getServiceOfferRepositoryModel_Serviceofferknowledgeitemset() {
		return (EReference)serviceOfferRepositoryModelEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getPilarcosServiceOfferKnowledgeItemTypeRelationship() {
		return pilarcosServiceOfferKnowledgeItemTypeRelationshipEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getPilarcosServiceOfferKnowledgeItemTypeRelationship_Source() {
		return (EReference)pilarcosServiceOfferKnowledgeItemTypeRelationshipEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getPilarcosServiceOfferKnowledgeItemTypeRelationship_Target() {
		return (EReference)pilarcosServiceOfferKnowledgeItemTypeRelationshipEClass.getEStructuralFeatures().get(1);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EAttribute getPilarcosServiceOfferKnowledgeItemTypeRelationship_Kind() {
		return (EAttribute)pilarcosServiceOfferKnowledgeItemTypeRelationshipEClass.getEStructuralFeatures().get(2);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EClass getServiceOfferKnowledgeItemSet() {
		return serviceOfferKnowledgeItemSetEClass;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EReference getServiceOfferKnowledgeItemSet_Element() {
		return (EReference)serviceOfferKnowledgeItemSetEClass.getEStructuralFeatures().get(0);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EEnum getServiceOfferRepositoryEnum() {
		return serviceOfferRepositoryEnumEEnum;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public serviceofferrepositoryFactory getserviceofferrepositoryFactory() {
		return (serviceofferrepositoryFactory)getEFactoryInstance();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private boolean isCreated = false;

	/**
	 * Creates the meta-model objects for the package.  This method is
	 * guarded to have no affect on any invocation but its first.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void createPackageContents() {
		if (isCreated) return;
		isCreated = true;

		// Create classes and their features
		serviceOfferRepositoryModelEClass = createEClass(SERVICE_OFFER_REPOSITORY_MODEL);
		createEReference(serviceOfferRepositoryModelEClass, SERVICE_OFFER_REPOSITORY_MODEL__MODELS);
		createEReference(serviceOfferRepositoryModelEClass, SERVICE_OFFER_REPOSITORY_MODEL__RELATIONSHIPS);
		createEReference(serviceOfferRepositoryModelEClass, SERVICE_OFFER_REPOSITORY_MODEL__SERVICEOFFERKNOWLEDGEITEMSET);

		pilarcosServiceOfferKnowledgeItemTypeRelationshipEClass = createEClass(PILARCOS_SERVICE_OFFER_KNOWLEDGE_ITEM_TYPE_RELATIONSHIP);
		createEReference(pilarcosServiceOfferKnowledgeItemTypeRelationshipEClass, PILARCOS_SERVICE_OFFER_KNOWLEDGE_ITEM_TYPE_RELATIONSHIP__SOURCE);
		createEReference(pilarcosServiceOfferKnowledgeItemTypeRelationshipEClass, PILARCOS_SERVICE_OFFER_KNOWLEDGE_ITEM_TYPE_RELATIONSHIP__TARGET);
		createEAttribute(pilarcosServiceOfferKnowledgeItemTypeRelationshipEClass, PILARCOS_SERVICE_OFFER_KNOWLEDGE_ITEM_TYPE_RELATIONSHIP__KIND);

		serviceOfferKnowledgeItemSetEClass = createEClass(SERVICE_OFFER_KNOWLEDGE_ITEM_SET);
		createEReference(serviceOfferKnowledgeItemSetEClass, SERVICE_OFFER_KNOWLEDGE_ITEM_SET__ELEMENT);

		// Create enums
		serviceOfferRepositoryEnumEEnum = createEEnum(SERVICE_OFFER_REPOSITORY_ENUM);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	private boolean isInitialized = false;

	/**
	 * Complete the initialization of the package and its meta-model.  This
	 * method is guarded to have no affect on any invocation but its first.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void initializePackageContents() {
		if (isInitialized) return;
		isInitialized = true;

		// Initialize package
		setName(eNAME);
		setNsPrefix(eNS_PREFIX);
		setNsURI(eNS_URI);

		// Obtain other dependent packages
		org.cinco.pilarcos.serviceofferrepository.pilarcosserviceofferknowledgeitemtype.pilarcosserviceofferknowledgeitemtypePackage thepilarcosserviceofferknowledgeitemtypePackage_1 = (org.cinco.pilarcos.serviceofferrepository.pilarcosserviceofferknowledgeitemtype.pilarcosserviceofferknowledgeitemtypePackage)EPackage.Registry.INSTANCE.getEPackage(org.cinco.pilarcos.serviceofferrepository.pilarcosserviceofferknowledgeitemtype.pilarcosserviceofferknowledgeitemtypePackage.eNS_URI);
		EcorePackage theEcorePackage = (EcorePackage)EPackage.Registry.INSTANCE.getEPackage(EcorePackage.eNS_URI);

		// Create type parameters

		// Set bounds for type parameters

		// Add supertypes to classes

		// Initialize classes and features; add operations and parameters
		initEClass(serviceOfferRepositoryModelEClass, ServiceOfferRepositoryModel.class, "ServiceOfferRepositoryModel", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getServiceOfferRepositoryModel_Models(), thepilarcosserviceofferknowledgeitemtypePackage_1.getPilarcosServiceOfferKnowledgeItemType(), null, "models", null, 0, -1, ServiceOfferRepositoryModel.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getServiceOfferRepositoryModel_Relationships(), this.getPilarcosServiceOfferKnowledgeItemTypeRelationship(), null, "relationships", null, 0, -1, ServiceOfferRepositoryModel.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getServiceOfferRepositoryModel_Serviceofferknowledgeitemset(), this.getPilarcosServiceOfferKnowledgeItemTypeRelationship(), null, "serviceofferknowledgeitemset", null, 1, 1, ServiceOfferRepositoryModel.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, IS_COMPOSITE, !IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(pilarcosServiceOfferKnowledgeItemTypeRelationshipEClass, PilarcosServiceOfferKnowledgeItemTypeRelationship.class, "PilarcosServiceOfferKnowledgeItemTypeRelationship", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getPilarcosServiceOfferKnowledgeItemTypeRelationship_Source(), theEcorePackage.getEObject(), null, "source", null, 1, 1, PilarcosServiceOfferKnowledgeItemTypeRelationship.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEReference(getPilarcosServiceOfferKnowledgeItemTypeRelationship_Target(), theEcorePackage.getEObject(), null, "target", null, 1, 1, PilarcosServiceOfferKnowledgeItemTypeRelationship.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);
		initEAttribute(getPilarcosServiceOfferKnowledgeItemTypeRelationship_Kind(), this.getServiceOfferRepositoryEnum(), "kind", null, 1, 1, PilarcosServiceOfferKnowledgeItemTypeRelationship.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_UNSETTABLE, !IS_ID, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		initEClass(serviceOfferKnowledgeItemSetEClass, ServiceOfferKnowledgeItemSet.class, "ServiceOfferKnowledgeItemSet", !IS_ABSTRACT, !IS_INTERFACE, IS_GENERATED_INSTANCE_CLASS);
		initEReference(getServiceOfferKnowledgeItemSet_Element(), thepilarcosserviceofferknowledgeitemtypePackage_1.getPilarcosServiceOfferKnowledgeItemType(), null, "element", null, 0, -1, ServiceOfferKnowledgeItemSet.class, !IS_TRANSIENT, !IS_VOLATILE, IS_CHANGEABLE, !IS_COMPOSITE, IS_RESOLVE_PROXIES, !IS_UNSETTABLE, IS_UNIQUE, !IS_DERIVED, IS_ORDERED);

		// Initialize enums and add enum literals
		initEEnum(serviceOfferRepositoryEnumEEnum, ServiceOfferRepositoryEnum.class, "ServiceOfferRepositoryEnum");

		// Create resource
		createResource(eNS_URI);
	}

} //serviceofferrepositoryPackageImpl
