package org.cinco.pilarcos.cooperativefeaturerepository.service;
import org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.CooperativeFeature;

public interface CooperativeFeatureRepository extends CooperativeFeatureRepositoryItemSet{
	public CooperativeFeature addToItemSet(java.lang.String identifier, CooperativeFeatureRepositoryEnum itemSetID) 
		throws CooperativeFeatureRepositoryException;	

	public CooperativeFeature addToItemSet(java.lang.String identifier, java.lang.String itemSetName)
		throws CooperativeFeatureRepositoryException;

	public CooperativeFeature removeFromItemSet(java.lang.String identifier, CooperativeFeatureRepositoryEnum itemSetID) 
		throws CooperativeFeatureRepositoryException;	

	public CooperativeFeature removeFromItemSet(java.lang.String identifier, java.lang.String itemSetName)
		throws CooperativeFeatureRepositoryException;

	public CooperativeFeature createItem(CooperativeFeature item, CooperativeFeatureRepositoryEnum itemSetID) 
		throws CooperativeFeatureRepositoryException;

	public CooperativeFeature createItem(CooperativeFeature item, java.lang.String itemSetName) 
		throws CooperativeFeatureRepositoryException;

	public CooperativeFeature readItem(java.lang.String identifier, CooperativeFeatureRepositoryEnum itemSetID) 
		throws CooperativeFeatureRepositoryException;

	public CooperativeFeature readItem(java.lang.String identifier, java.lang.String itemSetName) 
		throws CooperativeFeatureRepositoryException;

	public CooperativeFeature updateItem(java.lang.String identifier, CooperativeFeature item, CooperativeFeatureRepositoryEnum itemSetID) 
		throws CooperativeFeatureRepositoryException;

	public CooperativeFeature updateItem(java.lang.String identifier, CooperativeFeature item, java.lang.String itemSetName) 
		throws CooperativeFeatureRepositoryException;

	public CooperativeFeature deleteItem(java.lang.String identifier, CooperativeFeatureRepositoryEnum itemSetID) 
		throws CooperativeFeatureRepositoryException;

	public CooperativeFeature deleteItem(java.lang.String identifier, java.lang.String itemSetName) 
		throws CooperativeFeatureRepositoryException;
} 
 
