package org.cinco.pilarcos.individualkindrepository.service;
import org.cinco.pilarcos.individualkindrepository.individualkindknowledgeitemtype.IndividualKindKnowledgeItemType;

public interface IndividualKindRepository extends IndividualKindRepositoryItemSet{
	public IndividualKindKnowledgeItemType addToItemSet(java.lang.String identifier, IndividualKindRepositoryEnum itemSetID) 
		throws IndividualKindRepositoryException;	

	public IndividualKindKnowledgeItemType addToItemSet(java.lang.String identifier, java.lang.String itemSetName)
		throws IndividualKindRepositoryException;

	public IndividualKindKnowledgeItemType removeFromItemSet(java.lang.String identifier, IndividualKindRepositoryEnum itemSetID) 
		throws IndividualKindRepositoryException;	

	public IndividualKindKnowledgeItemType removeFromItemSet(java.lang.String identifier, java.lang.String itemSetName)
		throws IndividualKindRepositoryException;

	public IndividualKindKnowledgeItemType createItem(IndividualKindKnowledgeItemType item, IndividualKindRepositoryEnum itemSetID) 
		throws IndividualKindRepositoryException;

	public IndividualKindKnowledgeItemType createItem(IndividualKindKnowledgeItemType item, java.lang.String itemSetName) 
		throws IndividualKindRepositoryException;

	public IndividualKindKnowledgeItemType readItem(java.lang.String identifier, IndividualKindRepositoryEnum itemSetID) 
		throws IndividualKindRepositoryException;

	public IndividualKindKnowledgeItemType readItem(java.lang.String identifier, java.lang.String itemSetName) 
		throws IndividualKindRepositoryException;

	public IndividualKindKnowledgeItemType updateItem(java.lang.String identifier, IndividualKindKnowledgeItemType item, IndividualKindRepositoryEnum itemSetID) 
		throws IndividualKindRepositoryException;

	public IndividualKindKnowledgeItemType updateItem(java.lang.String identifier, IndividualKindKnowledgeItemType item, java.lang.String itemSetName) 
		throws IndividualKindRepositoryException;

	public IndividualKindKnowledgeItemType deleteItem(java.lang.String identifier, IndividualKindRepositoryEnum itemSetID) 
		throws IndividualKindRepositoryException;

	public IndividualKindKnowledgeItemType deleteItem(java.lang.String identifier, java.lang.String itemSetName) 
		throws IndividualKindRepositoryException;
} 
 
