package org.cinco.pilarcos.pilarcosbusinessservicerepository.service;
import org.cinco.pilarcos.pilarcosbusinessservicerepository.pilarcosbusinessserviceknowledgeitemtype.PilarcosBusinessServiceKnowledgeItemType;

public interface PilarcosBusinessServiceRepository extends PilarcosBusinessServiceRepositoryItemSet{
	public PilarcosBusinessServiceKnowledgeItemType addToItemSet(java.lang.String identifier, PilarcosBusinessServiceRepositoryEnum itemSetID) 
		throws PilarcosBusinessServiceRepositoryException;	

	public PilarcosBusinessServiceKnowledgeItemType addToItemSet(java.lang.String identifier, java.lang.String itemSetName)
		throws PilarcosBusinessServiceRepositoryException;

	public PilarcosBusinessServiceKnowledgeItemType removeFromItemSet(java.lang.String identifier, PilarcosBusinessServiceRepositoryEnum itemSetID) 
		throws PilarcosBusinessServiceRepositoryException;	

	public PilarcosBusinessServiceKnowledgeItemType removeFromItemSet(java.lang.String identifier, java.lang.String itemSetName)
		throws PilarcosBusinessServiceRepositoryException;

	public PilarcosBusinessServiceKnowledgeItemType createItem(PilarcosBusinessServiceKnowledgeItemType item, PilarcosBusinessServiceRepositoryEnum itemSetID) 
		throws PilarcosBusinessServiceRepositoryException;

	public PilarcosBusinessServiceKnowledgeItemType createItem(PilarcosBusinessServiceKnowledgeItemType item, java.lang.String itemSetName) 
		throws PilarcosBusinessServiceRepositoryException;

	public PilarcosBusinessServiceKnowledgeItemType readItem(java.lang.String identifier, PilarcosBusinessServiceRepositoryEnum itemSetID) 
		throws PilarcosBusinessServiceRepositoryException;

	public PilarcosBusinessServiceKnowledgeItemType readItem(java.lang.String identifier, java.lang.String itemSetName) 
		throws PilarcosBusinessServiceRepositoryException;

	public PilarcosBusinessServiceKnowledgeItemType updateItem(java.lang.String identifier, PilarcosBusinessServiceKnowledgeItemType item, PilarcosBusinessServiceRepositoryEnum itemSetID) 
		throws PilarcosBusinessServiceRepositoryException;

	public PilarcosBusinessServiceKnowledgeItemType updateItem(java.lang.String identifier, PilarcosBusinessServiceKnowledgeItemType item, java.lang.String itemSetName) 
		throws PilarcosBusinessServiceRepositoryException;

	public PilarcosBusinessServiceKnowledgeItemType deleteItem(java.lang.String identifier, PilarcosBusinessServiceRepositoryEnum itemSetID) 
		throws PilarcosBusinessServiceRepositoryException;

	public PilarcosBusinessServiceKnowledgeItemType deleteItem(java.lang.String identifier, java.lang.String itemSetName) 
		throws PilarcosBusinessServiceRepositoryException;
} 
 
