package org.cinco.pilarcos.pilarcoslegalentityrepository.service;
import org.cinco.pilarcos.pilarcoslegalentityrepository.pilarcoslegalentityknowledgeitemtype.PilarcosLegalEntityKnowledgeItemType;

public interface PilarcosLegalEntityRepository extends PilarcosLegalEntityRepositoryItemSet{
	public PilarcosLegalEntityKnowledgeItemType addToItemSet(java.lang.String identifier, PilarcosLegalEntityRepositoryEnum itemSetID) 
		throws PilarcosLegalEntityRepositoryException;	

	public PilarcosLegalEntityKnowledgeItemType addToItemSet(java.lang.String identifier, java.lang.String itemSetName)
		throws PilarcosLegalEntityRepositoryException;

	public PilarcosLegalEntityKnowledgeItemType removeFromItemSet(java.lang.String identifier, PilarcosLegalEntityRepositoryEnum itemSetID) 
		throws PilarcosLegalEntityRepositoryException;	

	public PilarcosLegalEntityKnowledgeItemType removeFromItemSet(java.lang.String identifier, java.lang.String itemSetName)
		throws PilarcosLegalEntityRepositoryException;

	public PilarcosLegalEntityKnowledgeItemType createItem(PilarcosLegalEntityKnowledgeItemType item, PilarcosLegalEntityRepositoryEnum itemSetID) 
		throws PilarcosLegalEntityRepositoryException;

	public PilarcosLegalEntityKnowledgeItemType createItem(PilarcosLegalEntityKnowledgeItemType item, java.lang.String itemSetName) 
		throws PilarcosLegalEntityRepositoryException;

	public PilarcosLegalEntityKnowledgeItemType readItem(java.lang.String identifier, PilarcosLegalEntityRepositoryEnum itemSetID) 
		throws PilarcosLegalEntityRepositoryException;

	public PilarcosLegalEntityKnowledgeItemType readItem(java.lang.String identifier, java.lang.String itemSetName) 
		throws PilarcosLegalEntityRepositoryException;

	public PilarcosLegalEntityKnowledgeItemType updateItem(java.lang.String identifier, PilarcosLegalEntityKnowledgeItemType item, PilarcosLegalEntityRepositoryEnum itemSetID) 
		throws PilarcosLegalEntityRepositoryException;

	public PilarcosLegalEntityKnowledgeItemType updateItem(java.lang.String identifier, PilarcosLegalEntityKnowledgeItemType item, java.lang.String itemSetName) 
		throws PilarcosLegalEntityRepositoryException;

	public PilarcosLegalEntityKnowledgeItemType deleteItem(java.lang.String identifier, PilarcosLegalEntityRepositoryEnum itemSetID) 
		throws PilarcosLegalEntityRepositoryException;

	public PilarcosLegalEntityKnowledgeItemType deleteItem(java.lang.String identifier, java.lang.String itemSetName) 
		throws PilarcosLegalEntityRepositoryException;
} 
 
