package org.cinco.pilarcos.servicetyperepository.service;
import org.cinco.pilarcos.servicetyperepository.servicetypeknowledgeitemtype.ServiceTypeKnowledgeItemType;

public interface ServiceTypeRepository extends ServiceTypeRepositoryItemSet{
	public ServiceTypeKnowledgeItemType addToItemSet(java.lang.String identifier, ServiceTypeRepositoryEnum itemSetID) 
		throws ServiceTypeRepositoryException;	

	public ServiceTypeKnowledgeItemType addToItemSet(java.lang.String identifier, java.lang.String itemSetName)
		throws ServiceTypeRepositoryException;

	public ServiceTypeKnowledgeItemType removeFromItemSet(java.lang.String identifier, ServiceTypeRepositoryEnum itemSetID) 
		throws ServiceTypeRepositoryException;	

	public ServiceTypeKnowledgeItemType removeFromItemSet(java.lang.String identifier, java.lang.String itemSetName)
		throws ServiceTypeRepositoryException;

	public ServiceTypeKnowledgeItemType createItem(ServiceTypeKnowledgeItemType item, ServiceTypeRepositoryEnum itemSetID) 
		throws ServiceTypeRepositoryException;

	public ServiceTypeKnowledgeItemType createItem(ServiceTypeKnowledgeItemType item, java.lang.String itemSetName) 
		throws ServiceTypeRepositoryException;

	public ServiceTypeKnowledgeItemType readItem(java.lang.String identifier, ServiceTypeRepositoryEnum itemSetID) 
		throws ServiceTypeRepositoryException;

	public ServiceTypeKnowledgeItemType readItem(java.lang.String identifier, java.lang.String itemSetName) 
		throws ServiceTypeRepositoryException;

	public ServiceTypeKnowledgeItemType updateItem(java.lang.String identifier, ServiceTypeKnowledgeItemType item, ServiceTypeRepositoryEnum itemSetID) 
		throws ServiceTypeRepositoryException;

	public ServiceTypeKnowledgeItemType updateItem(java.lang.String identifier, ServiceTypeKnowledgeItemType item, java.lang.String itemSetName) 
		throws ServiceTypeRepositoryException;

	public ServiceTypeKnowledgeItemType deleteItem(java.lang.String identifier, ServiceTypeRepositoryEnum itemSetID) 
		throws ServiceTypeRepositoryException;

	public ServiceTypeKnowledgeItemType deleteItem(java.lang.String identifier, java.lang.String itemSetName) 
		throws ServiceTypeRepositoryException;
} 
 
