package org.cinco.pilarcos.bnmrepository.service;
import org.cinco.pilarcos.bnmrepository.pilarcosliaisonknowledgeitemtype.PilarcosLiaisonKnowledgeItemType;

public interface BNMRepository extends BNMRepositoryItemSet{
	public PilarcosLiaisonKnowledgeItemType addToItemSet(java.lang.String identifier, BNMRepositoryEnum itemSetID) 
		throws BNMRepositoryException;	

	public PilarcosLiaisonKnowledgeItemType addToItemSet(java.lang.String identifier, java.lang.String itemSetName)
		throws BNMRepositoryException;

	public PilarcosLiaisonKnowledgeItemType removeFromItemSet(java.lang.String identifier, BNMRepositoryEnum itemSetID) 
		throws BNMRepositoryException;	

	public PilarcosLiaisonKnowledgeItemType removeFromItemSet(java.lang.String identifier, java.lang.String itemSetName)
		throws BNMRepositoryException;

	public PilarcosLiaisonKnowledgeItemType createItem(PilarcosLiaisonKnowledgeItemType item, BNMRepositoryEnum itemSetID) 
		throws BNMRepositoryException;

	public PilarcosLiaisonKnowledgeItemType createItem(PilarcosLiaisonKnowledgeItemType item, java.lang.String itemSetName) 
		throws BNMRepositoryException;

	public PilarcosLiaisonKnowledgeItemType readItem(java.lang.String identifier, BNMRepositoryEnum itemSetID) 
		throws BNMRepositoryException;

	public PilarcosLiaisonKnowledgeItemType readItem(java.lang.String identifier, java.lang.String itemSetName) 
		throws BNMRepositoryException;

	public PilarcosLiaisonKnowledgeItemType updateItem(java.lang.String identifier, PilarcosLiaisonKnowledgeItemType item, BNMRepositoryEnum itemSetID) 
		throws BNMRepositoryException;

	public PilarcosLiaisonKnowledgeItemType updateItem(java.lang.String identifier, PilarcosLiaisonKnowledgeItemType item, java.lang.String itemSetName) 
		throws BNMRepositoryException;

	public PilarcosLiaisonKnowledgeItemType deleteItem(java.lang.String identifier, BNMRepositoryEnum itemSetID) 
		throws BNMRepositoryException;

	public PilarcosLiaisonKnowledgeItemType deleteItem(java.lang.String identifier, java.lang.String itemSetName) 
		throws BNMRepositoryException;
} 
 
