package org.cinco.pilarcos.businessdocumentrepository.service;
import org.cinco.pilarcos.businessdocumentrepository.pilarcosbusinessdocumentknowledgeitemtype.PilarcosBusinessDocumentKnowledgeItemType;

public interface BusinessDocumentRepository extends BusinessDocumentRepositoryItemSet{
	public PilarcosBusinessDocumentKnowledgeItemType addToItemSet(java.lang.String identifier, BusinessDocumentRepositoryEnum itemSetID) 
		throws BusinessDocumentRepositoryException;	

	public PilarcosBusinessDocumentKnowledgeItemType addToItemSet(java.lang.String identifier, java.lang.String itemSetName)
		throws BusinessDocumentRepositoryException;

	public PilarcosBusinessDocumentKnowledgeItemType removeFromItemSet(java.lang.String identifier, BusinessDocumentRepositoryEnum itemSetID) 
		throws BusinessDocumentRepositoryException;	

	public PilarcosBusinessDocumentKnowledgeItemType removeFromItemSet(java.lang.String identifier, java.lang.String itemSetName)
		throws BusinessDocumentRepositoryException;

	public PilarcosBusinessDocumentKnowledgeItemType createItem(PilarcosBusinessDocumentKnowledgeItemType item, BusinessDocumentRepositoryEnum itemSetID) 
		throws BusinessDocumentRepositoryException;

	public PilarcosBusinessDocumentKnowledgeItemType createItem(PilarcosBusinessDocumentKnowledgeItemType item, java.lang.String itemSetName) 
		throws BusinessDocumentRepositoryException;

	public PilarcosBusinessDocumentKnowledgeItemType readItem(java.lang.String identifier, BusinessDocumentRepositoryEnum itemSetID) 
		throws BusinessDocumentRepositoryException;

	public PilarcosBusinessDocumentKnowledgeItemType readItem(java.lang.String identifier, java.lang.String itemSetName) 
		throws BusinessDocumentRepositoryException;

	public PilarcosBusinessDocumentKnowledgeItemType updateItem(java.lang.String identifier, PilarcosBusinessDocumentKnowledgeItemType item, BusinessDocumentRepositoryEnum itemSetID) 
		throws BusinessDocumentRepositoryException;

	public PilarcosBusinessDocumentKnowledgeItemType updateItem(java.lang.String identifier, PilarcosBusinessDocumentKnowledgeItemType item, java.lang.String itemSetName) 
		throws BusinessDocumentRepositoryException;

	public PilarcosBusinessDocumentKnowledgeItemType deleteItem(java.lang.String identifier, BusinessDocumentRepositoryEnum itemSetID) 
		throws BusinessDocumentRepositoryException;

	public PilarcosBusinessDocumentKnowledgeItemType deleteItem(java.lang.String identifier, java.lang.String itemSetName) 
		throws BusinessDocumentRepositoryException;
} 
 
