/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository;

import org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.ContractualFeature;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Contractual Feature Repository Model</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRepositoryModel#getModels <em>Models</em>}</li>
 *   <li>{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRepositoryModel#getRelationships <em>Relationships</em>}</li>
 *   <li>{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRepositoryModel#getPilarcossettlementmodelkindset <em>Pilarcossettlementmodelkindset</em>}</li>
 *   <li>{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRepositoryModel#getPilarcostemporalavailabilitykindset <em>Pilarcostemporalavailabilitykindset</em>}</li>
 *   <li>{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRepositoryModel#getBreachrecoverycoordinationkindset <em>Breachrecoverycoordinationkindset</em>}</li>
 *   <li>{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRepositoryModel#getPilarcosspatialavailabilitykindset <em>Pilarcosspatialavailabilitykindset</em>}</li>
 *   <li>{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRepositoryModel#getEpochtransitioncoordinationkindset <em>Epochtransitioncoordinationkindset</em>}</li>
 *   <li>{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRepositoryModel#getPilarcoschargingstyleset <em>Pilarcoschargingstyleset</em>}</li>
 * </ul>
 * </p>
 *
 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.contractualfeaturerepositoryPackage#getContractualFeatureRepositoryModel()
 * @model
 * @generated
 */
public interface ContractualFeatureRepositoryModel extends EObject {
	/**
	 * Returns the value of the '<em><b>Models</b></em>' containment reference list.
	 * The list contents are of type {@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.ContractualFeature}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Models</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Models</em>' containment reference list.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.contractualfeaturerepositoryPackage#getContractualFeatureRepositoryModel_Models()
	 * @model containment="true"
	 * @generated
	 */
	EList<ContractualFeature> getModels();

	/**
	 * Returns the value of the '<em><b>Relationships</b></em>' containment reference list.
	 * The list contents are of type {@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRelationship}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Relationships</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Relationships</em>' containment reference list.
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.contractualfeaturerepositoryPackage#getContractualFeatureRepositoryModel_Relationships()
	 * @model containment="true"
	 * @generated
	 */
	EList<ContractualFeatureRelationship> getRelationships();

	/**
	 * Returns the value of the '<em><b>Pilarcossettlementmodelkindset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Pilarcossettlementmodelkindset</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Pilarcossettlementmodelkindset</em>' containment reference.
	 * @see #setPilarcossettlementmodelkindset(ContractualFeatureRelationship)
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.contractualfeaturerepositoryPackage#getContractualFeatureRepositoryModel_Pilarcossettlementmodelkindset()
	 * @model containment="true" required="true"
	 * @generated
	 */
	ContractualFeatureRelationship getPilarcossettlementmodelkindset();

	/**
	 * Sets the value of the '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRepositoryModel#getPilarcossettlementmodelkindset <em>Pilarcossettlementmodelkindset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Pilarcossettlementmodelkindset</em>' containment reference.
	 * @see #getPilarcossettlementmodelkindset()
	 * @generated
	 */
	void setPilarcossettlementmodelkindset(ContractualFeatureRelationship value);

	/**
	 * Returns the value of the '<em><b>Pilarcostemporalavailabilitykindset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Pilarcostemporalavailabilitykindset</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Pilarcostemporalavailabilitykindset</em>' containment reference.
	 * @see #setPilarcostemporalavailabilitykindset(ContractualFeatureRelationship)
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.contractualfeaturerepositoryPackage#getContractualFeatureRepositoryModel_Pilarcostemporalavailabilitykindset()
	 * @model containment="true" required="true"
	 * @generated
	 */
	ContractualFeatureRelationship getPilarcostemporalavailabilitykindset();

	/**
	 * Sets the value of the '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRepositoryModel#getPilarcostemporalavailabilitykindset <em>Pilarcostemporalavailabilitykindset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Pilarcostemporalavailabilitykindset</em>' containment reference.
	 * @see #getPilarcostemporalavailabilitykindset()
	 * @generated
	 */
	void setPilarcostemporalavailabilitykindset(ContractualFeatureRelationship value);

	/**
	 * Returns the value of the '<em><b>Breachrecoverycoordinationkindset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Breachrecoverycoordinationkindset</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Breachrecoverycoordinationkindset</em>' containment reference.
	 * @see #setBreachrecoverycoordinationkindset(ContractualFeatureRelationship)
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.contractualfeaturerepositoryPackage#getContractualFeatureRepositoryModel_Breachrecoverycoordinationkindset()
	 * @model containment="true" required="true"
	 * @generated
	 */
	ContractualFeatureRelationship getBreachrecoverycoordinationkindset();

	/**
	 * Sets the value of the '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRepositoryModel#getBreachrecoverycoordinationkindset <em>Breachrecoverycoordinationkindset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Breachrecoverycoordinationkindset</em>' containment reference.
	 * @see #getBreachrecoverycoordinationkindset()
	 * @generated
	 */
	void setBreachrecoverycoordinationkindset(ContractualFeatureRelationship value);

	/**
	 * Returns the value of the '<em><b>Pilarcosspatialavailabilitykindset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Pilarcosspatialavailabilitykindset</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Pilarcosspatialavailabilitykindset</em>' containment reference.
	 * @see #setPilarcosspatialavailabilitykindset(ContractualFeatureRelationship)
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.contractualfeaturerepositoryPackage#getContractualFeatureRepositoryModel_Pilarcosspatialavailabilitykindset()
	 * @model containment="true" required="true"
	 * @generated
	 */
	ContractualFeatureRelationship getPilarcosspatialavailabilitykindset();

	/**
	 * Sets the value of the '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRepositoryModel#getPilarcosspatialavailabilitykindset <em>Pilarcosspatialavailabilitykindset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Pilarcosspatialavailabilitykindset</em>' containment reference.
	 * @see #getPilarcosspatialavailabilitykindset()
	 * @generated
	 */
	void setPilarcosspatialavailabilitykindset(ContractualFeatureRelationship value);

	/**
	 * Returns the value of the '<em><b>Epochtransitioncoordinationkindset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Epochtransitioncoordinationkindset</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Epochtransitioncoordinationkindset</em>' containment reference.
	 * @see #setEpochtransitioncoordinationkindset(ContractualFeatureRelationship)
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.contractualfeaturerepositoryPackage#getContractualFeatureRepositoryModel_Epochtransitioncoordinationkindset()
	 * @model containment="true" required="true"
	 * @generated
	 */
	ContractualFeatureRelationship getEpochtransitioncoordinationkindset();

	/**
	 * Sets the value of the '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRepositoryModel#getEpochtransitioncoordinationkindset <em>Epochtransitioncoordinationkindset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Epochtransitioncoordinationkindset</em>' containment reference.
	 * @see #getEpochtransitioncoordinationkindset()
	 * @generated
	 */
	void setEpochtransitioncoordinationkindset(ContractualFeatureRelationship value);

	/**
	 * Returns the value of the '<em><b>Pilarcoschargingstyleset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Pilarcoschargingstyleset</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Pilarcoschargingstyleset</em>' containment reference.
	 * @see #setPilarcoschargingstyleset(ContractualFeatureRelationship)
	 * @see org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.contractualfeaturerepositoryPackage#getContractualFeatureRepositoryModel_Pilarcoschargingstyleset()
	 * @model containment="true" required="true"
	 * @generated
	 */
	ContractualFeatureRelationship getPilarcoschargingstyleset();

	/**
	 * Sets the value of the '{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRepositoryModel#getPilarcoschargingstyleset <em>Pilarcoschargingstyleset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Pilarcoschargingstyleset</em>' containment reference.
	 * @see #getPilarcoschargingstyleset()
	 * @generated
	 */
	void setPilarcoschargingstyleset(ContractualFeatureRelationship value);

} // ContractualFeatureRepositoryModel
