/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl;

import java.util.Collection;

import org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.ContractualFeature;

import org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRelationship;
import org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.ContractualFeatureRepositoryModel;
import org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.contractualfeaturerepositoryPackage;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;

import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.impl.EObjectImpl;

import org.eclipse.emf.ecore.util.EObjectContainmentEList;
import org.eclipse.emf.ecore.util.InternalEList;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Contractual Feature Repository Model</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.ContractualFeatureRepositoryModelImpl#getModels <em>Models</em>}</li>
 *   <li>{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.ContractualFeatureRepositoryModelImpl#getRelationships <em>Relationships</em>}</li>
 *   <li>{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.ContractualFeatureRepositoryModelImpl#getPilarcossettlementmodelkindset <em>Pilarcossettlementmodelkindset</em>}</li>
 *   <li>{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.ContractualFeatureRepositoryModelImpl#getPilarcostemporalavailabilitykindset <em>Pilarcostemporalavailabilitykindset</em>}</li>
 *   <li>{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.ContractualFeatureRepositoryModelImpl#getBreachrecoverycoordinationkindset <em>Breachrecoverycoordinationkindset</em>}</li>
 *   <li>{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.ContractualFeatureRepositoryModelImpl#getPilarcosspatialavailabilitykindset <em>Pilarcosspatialavailabilitykindset</em>}</li>
 *   <li>{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.ContractualFeatureRepositoryModelImpl#getEpochtransitioncoordinationkindset <em>Epochtransitioncoordinationkindset</em>}</li>
 *   <li>{@link org.cinco.pilarcos.contractualfeaturerepository.contractualfeaturerepository.impl.ContractualFeatureRepositoryModelImpl#getPilarcoschargingstyleset <em>Pilarcoschargingstyleset</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class ContractualFeatureRepositoryModelImpl extends EObjectImpl implements ContractualFeatureRepositoryModel {
	/**
	 * The cached value of the '{@link #getModels() <em>Models</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getModels()
	 * @generated
	 * @ordered
	 */
	protected EList<ContractualFeature> models;

	/**
	 * The cached value of the '{@link #getRelationships() <em>Relationships</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRelationships()
	 * @generated
	 * @ordered
	 */
	protected EList<ContractualFeatureRelationship> relationships;

	/**
	 * The cached value of the '{@link #getPilarcossettlementmodelkindset() <em>Pilarcossettlementmodelkindset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPilarcossettlementmodelkindset()
	 * @generated
	 * @ordered
	 */
	protected ContractualFeatureRelationship pilarcossettlementmodelkindset;

	/**
	 * The cached value of the '{@link #getPilarcostemporalavailabilitykindset() <em>Pilarcostemporalavailabilitykindset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPilarcostemporalavailabilitykindset()
	 * @generated
	 * @ordered
	 */
	protected ContractualFeatureRelationship pilarcostemporalavailabilitykindset;

	/**
	 * The cached value of the '{@link #getBreachrecoverycoordinationkindset() <em>Breachrecoverycoordinationkindset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getBreachrecoverycoordinationkindset()
	 * @generated
	 * @ordered
	 */
	protected ContractualFeatureRelationship breachrecoverycoordinationkindset;

	/**
	 * The cached value of the '{@link #getPilarcosspatialavailabilitykindset() <em>Pilarcosspatialavailabilitykindset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPilarcosspatialavailabilitykindset()
	 * @generated
	 * @ordered
	 */
	protected ContractualFeatureRelationship pilarcosspatialavailabilitykindset;

	/**
	 * The cached value of the '{@link #getEpochtransitioncoordinationkindset() <em>Epochtransitioncoordinationkindset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getEpochtransitioncoordinationkindset()
	 * @generated
	 * @ordered
	 */
	protected ContractualFeatureRelationship epochtransitioncoordinationkindset;

	/**
	 * The cached value of the '{@link #getPilarcoschargingstyleset() <em>Pilarcoschargingstyleset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPilarcoschargingstyleset()
	 * @generated
	 * @ordered
	 */
	protected ContractualFeatureRelationship pilarcoschargingstyleset;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected ContractualFeatureRepositoryModelImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return contractualfeaturerepositoryPackage.Literals.CONTRACTUAL_FEATURE_REPOSITORY_MODEL;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<ContractualFeature> getModels() {
		if (models == null) {
			models = new EObjectContainmentEList<ContractualFeature>(ContractualFeature.class, this, contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__MODELS);
		}
		return models;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<ContractualFeatureRelationship> getRelationships() {
		if (relationships == null) {
			relationships = new EObjectContainmentEList<ContractualFeatureRelationship>(ContractualFeatureRelationship.class, this, contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__RELATIONSHIPS);
		}
		return relationships;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ContractualFeatureRelationship getPilarcossettlementmodelkindset() {
		return pilarcossettlementmodelkindset;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetPilarcossettlementmodelkindset(ContractualFeatureRelationship newPilarcossettlementmodelkindset, NotificationChain msgs) {
		ContractualFeatureRelationship oldPilarcossettlementmodelkindset = pilarcossettlementmodelkindset;
		pilarcossettlementmodelkindset = newPilarcossettlementmodelkindset;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__PILARCOSSETTLEMENTMODELKINDSET, oldPilarcossettlementmodelkindset, newPilarcossettlementmodelkindset);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPilarcossettlementmodelkindset(ContractualFeatureRelationship newPilarcossettlementmodelkindset) {
		if (newPilarcossettlementmodelkindset != pilarcossettlementmodelkindset) {
			NotificationChain msgs = null;
			if (pilarcossettlementmodelkindset != null)
				msgs = ((InternalEObject)pilarcossettlementmodelkindset).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__PILARCOSSETTLEMENTMODELKINDSET, null, msgs);
			if (newPilarcossettlementmodelkindset != null)
				msgs = ((InternalEObject)newPilarcossettlementmodelkindset).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__PILARCOSSETTLEMENTMODELKINDSET, null, msgs);
			msgs = basicSetPilarcossettlementmodelkindset(newPilarcossettlementmodelkindset, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__PILARCOSSETTLEMENTMODELKINDSET, newPilarcossettlementmodelkindset, newPilarcossettlementmodelkindset));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ContractualFeatureRelationship getPilarcostemporalavailabilitykindset() {
		return pilarcostemporalavailabilitykindset;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetPilarcostemporalavailabilitykindset(ContractualFeatureRelationship newPilarcostemporalavailabilitykindset, NotificationChain msgs) {
		ContractualFeatureRelationship oldPilarcostemporalavailabilitykindset = pilarcostemporalavailabilitykindset;
		pilarcostemporalavailabilitykindset = newPilarcostemporalavailabilitykindset;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__PILARCOSTEMPORALAVAILABILITYKINDSET, oldPilarcostemporalavailabilitykindset, newPilarcostemporalavailabilitykindset);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPilarcostemporalavailabilitykindset(ContractualFeatureRelationship newPilarcostemporalavailabilitykindset) {
		if (newPilarcostemporalavailabilitykindset != pilarcostemporalavailabilitykindset) {
			NotificationChain msgs = null;
			if (pilarcostemporalavailabilitykindset != null)
				msgs = ((InternalEObject)pilarcostemporalavailabilitykindset).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__PILARCOSTEMPORALAVAILABILITYKINDSET, null, msgs);
			if (newPilarcostemporalavailabilitykindset != null)
				msgs = ((InternalEObject)newPilarcostemporalavailabilitykindset).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__PILARCOSTEMPORALAVAILABILITYKINDSET, null, msgs);
			msgs = basicSetPilarcostemporalavailabilitykindset(newPilarcostemporalavailabilitykindset, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__PILARCOSTEMPORALAVAILABILITYKINDSET, newPilarcostemporalavailabilitykindset, newPilarcostemporalavailabilitykindset));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ContractualFeatureRelationship getBreachrecoverycoordinationkindset() {
		return breachrecoverycoordinationkindset;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetBreachrecoverycoordinationkindset(ContractualFeatureRelationship newBreachrecoverycoordinationkindset, NotificationChain msgs) {
		ContractualFeatureRelationship oldBreachrecoverycoordinationkindset = breachrecoverycoordinationkindset;
		breachrecoverycoordinationkindset = newBreachrecoverycoordinationkindset;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__BREACHRECOVERYCOORDINATIONKINDSET, oldBreachrecoverycoordinationkindset, newBreachrecoverycoordinationkindset);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setBreachrecoverycoordinationkindset(ContractualFeatureRelationship newBreachrecoverycoordinationkindset) {
		if (newBreachrecoverycoordinationkindset != breachrecoverycoordinationkindset) {
			NotificationChain msgs = null;
			if (breachrecoverycoordinationkindset != null)
				msgs = ((InternalEObject)breachrecoverycoordinationkindset).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__BREACHRECOVERYCOORDINATIONKINDSET, null, msgs);
			if (newBreachrecoverycoordinationkindset != null)
				msgs = ((InternalEObject)newBreachrecoverycoordinationkindset).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__BREACHRECOVERYCOORDINATIONKINDSET, null, msgs);
			msgs = basicSetBreachrecoverycoordinationkindset(newBreachrecoverycoordinationkindset, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__BREACHRECOVERYCOORDINATIONKINDSET, newBreachrecoverycoordinationkindset, newBreachrecoverycoordinationkindset));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ContractualFeatureRelationship getPilarcosspatialavailabilitykindset() {
		return pilarcosspatialavailabilitykindset;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetPilarcosspatialavailabilitykindset(ContractualFeatureRelationship newPilarcosspatialavailabilitykindset, NotificationChain msgs) {
		ContractualFeatureRelationship oldPilarcosspatialavailabilitykindset = pilarcosspatialavailabilitykindset;
		pilarcosspatialavailabilitykindset = newPilarcosspatialavailabilitykindset;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__PILARCOSSPATIALAVAILABILITYKINDSET, oldPilarcosspatialavailabilitykindset, newPilarcosspatialavailabilitykindset);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPilarcosspatialavailabilitykindset(ContractualFeatureRelationship newPilarcosspatialavailabilitykindset) {
		if (newPilarcosspatialavailabilitykindset != pilarcosspatialavailabilitykindset) {
			NotificationChain msgs = null;
			if (pilarcosspatialavailabilitykindset != null)
				msgs = ((InternalEObject)pilarcosspatialavailabilitykindset).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__PILARCOSSPATIALAVAILABILITYKINDSET, null, msgs);
			if (newPilarcosspatialavailabilitykindset != null)
				msgs = ((InternalEObject)newPilarcosspatialavailabilitykindset).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__PILARCOSSPATIALAVAILABILITYKINDSET, null, msgs);
			msgs = basicSetPilarcosspatialavailabilitykindset(newPilarcosspatialavailabilitykindset, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__PILARCOSSPATIALAVAILABILITYKINDSET, newPilarcosspatialavailabilitykindset, newPilarcosspatialavailabilitykindset));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ContractualFeatureRelationship getEpochtransitioncoordinationkindset() {
		return epochtransitioncoordinationkindset;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetEpochtransitioncoordinationkindset(ContractualFeatureRelationship newEpochtransitioncoordinationkindset, NotificationChain msgs) {
		ContractualFeatureRelationship oldEpochtransitioncoordinationkindset = epochtransitioncoordinationkindset;
		epochtransitioncoordinationkindset = newEpochtransitioncoordinationkindset;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__EPOCHTRANSITIONCOORDINATIONKINDSET, oldEpochtransitioncoordinationkindset, newEpochtransitioncoordinationkindset);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setEpochtransitioncoordinationkindset(ContractualFeatureRelationship newEpochtransitioncoordinationkindset) {
		if (newEpochtransitioncoordinationkindset != epochtransitioncoordinationkindset) {
			NotificationChain msgs = null;
			if (epochtransitioncoordinationkindset != null)
				msgs = ((InternalEObject)epochtransitioncoordinationkindset).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__EPOCHTRANSITIONCOORDINATIONKINDSET, null, msgs);
			if (newEpochtransitioncoordinationkindset != null)
				msgs = ((InternalEObject)newEpochtransitioncoordinationkindset).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__EPOCHTRANSITIONCOORDINATIONKINDSET, null, msgs);
			msgs = basicSetEpochtransitioncoordinationkindset(newEpochtransitioncoordinationkindset, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__EPOCHTRANSITIONCOORDINATIONKINDSET, newEpochtransitioncoordinationkindset, newEpochtransitioncoordinationkindset));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public ContractualFeatureRelationship getPilarcoschargingstyleset() {
		return pilarcoschargingstyleset;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetPilarcoschargingstyleset(ContractualFeatureRelationship newPilarcoschargingstyleset, NotificationChain msgs) {
		ContractualFeatureRelationship oldPilarcoschargingstyleset = pilarcoschargingstyleset;
		pilarcoschargingstyleset = newPilarcoschargingstyleset;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__PILARCOSCHARGINGSTYLESET, oldPilarcoschargingstyleset, newPilarcoschargingstyleset);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPilarcoschargingstyleset(ContractualFeatureRelationship newPilarcoschargingstyleset) {
		if (newPilarcoschargingstyleset != pilarcoschargingstyleset) {
			NotificationChain msgs = null;
			if (pilarcoschargingstyleset != null)
				msgs = ((InternalEObject)pilarcoschargingstyleset).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__PILARCOSCHARGINGSTYLESET, null, msgs);
			if (newPilarcoschargingstyleset != null)
				msgs = ((InternalEObject)newPilarcoschargingstyleset).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__PILARCOSCHARGINGSTYLESET, null, msgs);
			msgs = basicSetPilarcoschargingstyleset(newPilarcoschargingstyleset, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__PILARCOSCHARGINGSTYLESET, newPilarcoschargingstyleset, newPilarcoschargingstyleset));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__MODELS:
				return ((InternalEList<?>)getModels()).basicRemove(otherEnd, msgs);
			case contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__RELATIONSHIPS:
				return ((InternalEList<?>)getRelationships()).basicRemove(otherEnd, msgs);
			case contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__PILARCOSSETTLEMENTMODELKINDSET:
				return basicSetPilarcossettlementmodelkindset(null, msgs);
			case contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__PILARCOSTEMPORALAVAILABILITYKINDSET:
				return basicSetPilarcostemporalavailabilitykindset(null, msgs);
			case contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__BREACHRECOVERYCOORDINATIONKINDSET:
				return basicSetBreachrecoverycoordinationkindset(null, msgs);
			case contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__PILARCOSSPATIALAVAILABILITYKINDSET:
				return basicSetPilarcosspatialavailabilitykindset(null, msgs);
			case contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__EPOCHTRANSITIONCOORDINATIONKINDSET:
				return basicSetEpochtransitioncoordinationkindset(null, msgs);
			case contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__PILARCOSCHARGINGSTYLESET:
				return basicSetPilarcoschargingstyleset(null, msgs);
		}
		return super.eInverseRemove(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__MODELS:
				return getModels();
			case contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__RELATIONSHIPS:
				return getRelationships();
			case contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__PILARCOSSETTLEMENTMODELKINDSET:
				return getPilarcossettlementmodelkindset();
			case contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__PILARCOSTEMPORALAVAILABILITYKINDSET:
				return getPilarcostemporalavailabilitykindset();
			case contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__BREACHRECOVERYCOORDINATIONKINDSET:
				return getBreachrecoverycoordinationkindset();
			case contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__PILARCOSSPATIALAVAILABILITYKINDSET:
				return getPilarcosspatialavailabilitykindset();
			case contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__EPOCHTRANSITIONCOORDINATIONKINDSET:
				return getEpochtransitioncoordinationkindset();
			case contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__PILARCOSCHARGINGSTYLESET:
				return getPilarcoschargingstyleset();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__MODELS:
				getModels().clear();
				getModels().addAll((Collection<? extends ContractualFeature>)newValue);
				return;
			case contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__RELATIONSHIPS:
				getRelationships().clear();
				getRelationships().addAll((Collection<? extends ContractualFeatureRelationship>)newValue);
				return;
			case contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__PILARCOSSETTLEMENTMODELKINDSET:
				setPilarcossettlementmodelkindset((ContractualFeatureRelationship)newValue);
				return;
			case contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__PILARCOSTEMPORALAVAILABILITYKINDSET:
				setPilarcostemporalavailabilitykindset((ContractualFeatureRelationship)newValue);
				return;
			case contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__BREACHRECOVERYCOORDINATIONKINDSET:
				setBreachrecoverycoordinationkindset((ContractualFeatureRelationship)newValue);
				return;
			case contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__PILARCOSSPATIALAVAILABILITYKINDSET:
				setPilarcosspatialavailabilitykindset((ContractualFeatureRelationship)newValue);
				return;
			case contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__EPOCHTRANSITIONCOORDINATIONKINDSET:
				setEpochtransitioncoordinationkindset((ContractualFeatureRelationship)newValue);
				return;
			case contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__PILARCOSCHARGINGSTYLESET:
				setPilarcoschargingstyleset((ContractualFeatureRelationship)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__MODELS:
				getModels().clear();
				return;
			case contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__RELATIONSHIPS:
				getRelationships().clear();
				return;
			case contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__PILARCOSSETTLEMENTMODELKINDSET:
				setPilarcossettlementmodelkindset((ContractualFeatureRelationship)null);
				return;
			case contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__PILARCOSTEMPORALAVAILABILITYKINDSET:
				setPilarcostemporalavailabilitykindset((ContractualFeatureRelationship)null);
				return;
			case contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__BREACHRECOVERYCOORDINATIONKINDSET:
				setBreachrecoverycoordinationkindset((ContractualFeatureRelationship)null);
				return;
			case contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__PILARCOSSPATIALAVAILABILITYKINDSET:
				setPilarcosspatialavailabilitykindset((ContractualFeatureRelationship)null);
				return;
			case contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__EPOCHTRANSITIONCOORDINATIONKINDSET:
				setEpochtransitioncoordinationkindset((ContractualFeatureRelationship)null);
				return;
			case contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__PILARCOSCHARGINGSTYLESET:
				setPilarcoschargingstyleset((ContractualFeatureRelationship)null);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__MODELS:
				return models != null && !models.isEmpty();
			case contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__RELATIONSHIPS:
				return relationships != null && !relationships.isEmpty();
			case contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__PILARCOSSETTLEMENTMODELKINDSET:
				return pilarcossettlementmodelkindset != null;
			case contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__PILARCOSTEMPORALAVAILABILITYKINDSET:
				return pilarcostemporalavailabilitykindset != null;
			case contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__BREACHRECOVERYCOORDINATIONKINDSET:
				return breachrecoverycoordinationkindset != null;
			case contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__PILARCOSSPATIALAVAILABILITYKINDSET:
				return pilarcosspatialavailabilitykindset != null;
			case contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__EPOCHTRANSITIONCOORDINATIONKINDSET:
				return epochtransitioncoordinationkindset != null;
			case contractualfeaturerepositoryPackage.CONTRACTUAL_FEATURE_REPOSITORY_MODEL__PILARCOSCHARGINGSTYLESET:
				return pilarcoschargingstyleset != null;
		}
		return super.eIsSet(featureID);
	}

} //ContractualFeatureRepositoryModelImpl
