/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.impl;

import java.util.Collection;

import org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeature.CooperativeFeature;

import org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.CooperativeFeatureRelationship;
import org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.CooperativeFeatureRepositoryModel;
import org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.cooperativefeaturerepositoryPackage;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;

import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.impl.EObjectImpl;

import org.eclipse.emf.ecore.util.EObjectContainmentEList;
import org.eclipse.emf.ecore.util.InternalEList;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Cooperative Feature Repository Model</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.impl.CooperativeFeatureRepositoryModelImpl#getModels <em>Models</em>}</li>
 *   <li>{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.impl.CooperativeFeatureRepositoryModelImpl#getRelationships <em>Relationships</em>}</li>
 *   <li>{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.impl.CooperativeFeatureRepositoryModelImpl#getDynamicbusinessmodelcategoryset <em>Dynamicbusinessmodelcategoryset</em>}</li>
 *   <li>{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.impl.CooperativeFeatureRepositoryModelImpl#getDynamiclegislationcategoryset <em>Dynamiclegislationcategoryset</em>}</li>
 *   <li>{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.impl.CooperativeFeatureRepositoryModelImpl#getReputationmodelset <em>Reputationmodelset</em>}</li>
 *   <li>{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.impl.CooperativeFeatureRepositoryModelImpl#getPilarcospolicyframeworkset <em>Pilarcospolicyframeworkset</em>}</li>
 *   <li>{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.impl.CooperativeFeatureRepositoryModelImpl#getRoledependencypolicyset <em>Roledependencypolicyset</em>}</li>
 *   <li>{@link org.cinco.pilarcos.cooperativefeaturerepository.cooperativefeaturerepository.impl.CooperativeFeatureRepositoryModelImpl#getRoledependencypolicykindset <em>Roledependencypolicykindset</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class CooperativeFeatureRepositoryModelImpl extends EObjectImpl implements CooperativeFeatureRepositoryModel {
	/**
	 * The cached value of the '{@link #getModels() <em>Models</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getModels()
	 * @generated
	 * @ordered
	 */
	protected EList<CooperativeFeature> models;

	/**
	 * The cached value of the '{@link #getRelationships() <em>Relationships</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRelationships()
	 * @generated
	 * @ordered
	 */
	protected EList<CooperativeFeatureRelationship> relationships;

	/**
	 * The cached value of the '{@link #getDynamicbusinessmodelcategoryset() <em>Dynamicbusinessmodelcategoryset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDynamicbusinessmodelcategoryset()
	 * @generated
	 * @ordered
	 */
	protected CooperativeFeatureRelationship dynamicbusinessmodelcategoryset;

	/**
	 * The cached value of the '{@link #getDynamiclegislationcategoryset() <em>Dynamiclegislationcategoryset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getDynamiclegislationcategoryset()
	 * @generated
	 * @ordered
	 */
	protected CooperativeFeatureRelationship dynamiclegislationcategoryset;

	/**
	 * The cached value of the '{@link #getReputationmodelset() <em>Reputationmodelset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getReputationmodelset()
	 * @generated
	 * @ordered
	 */
	protected CooperativeFeatureRelationship reputationmodelset;

	/**
	 * The cached value of the '{@link #getPilarcospolicyframeworkset() <em>Pilarcospolicyframeworkset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPilarcospolicyframeworkset()
	 * @generated
	 * @ordered
	 */
	protected CooperativeFeatureRelationship pilarcospolicyframeworkset;

	/**
	 * The cached value of the '{@link #getRoledependencypolicyset() <em>Roledependencypolicyset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRoledependencypolicyset()
	 * @generated
	 * @ordered
	 */
	protected CooperativeFeatureRelationship roledependencypolicyset;

	/**
	 * The cached value of the '{@link #getRoledependencypolicykindset() <em>Roledependencypolicykindset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRoledependencypolicykindset()
	 * @generated
	 * @ordered
	 */
	protected CooperativeFeatureRelationship roledependencypolicykindset;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected CooperativeFeatureRepositoryModelImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return cooperativefeaturerepositoryPackage.Literals.COOPERATIVE_FEATURE_REPOSITORY_MODEL;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<CooperativeFeature> getModels() {
		if (models == null) {
			models = new EObjectContainmentEList<CooperativeFeature>(CooperativeFeature.class, this, cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__MODELS);
		}
		return models;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<CooperativeFeatureRelationship> getRelationships() {
		if (relationships == null) {
			relationships = new EObjectContainmentEList<CooperativeFeatureRelationship>(CooperativeFeatureRelationship.class, this, cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__RELATIONSHIPS);
		}
		return relationships;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CooperativeFeatureRelationship getDynamicbusinessmodelcategoryset() {
		return dynamicbusinessmodelcategoryset;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetDynamicbusinessmodelcategoryset(CooperativeFeatureRelationship newDynamicbusinessmodelcategoryset, NotificationChain msgs) {
		CooperativeFeatureRelationship oldDynamicbusinessmodelcategoryset = dynamicbusinessmodelcategoryset;
		dynamicbusinessmodelcategoryset = newDynamicbusinessmodelcategoryset;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__DYNAMICBUSINESSMODELCATEGORYSET, oldDynamicbusinessmodelcategoryset, newDynamicbusinessmodelcategoryset);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDynamicbusinessmodelcategoryset(CooperativeFeatureRelationship newDynamicbusinessmodelcategoryset) {
		if (newDynamicbusinessmodelcategoryset != dynamicbusinessmodelcategoryset) {
			NotificationChain msgs = null;
			if (dynamicbusinessmodelcategoryset != null)
				msgs = ((InternalEObject)dynamicbusinessmodelcategoryset).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__DYNAMICBUSINESSMODELCATEGORYSET, null, msgs);
			if (newDynamicbusinessmodelcategoryset != null)
				msgs = ((InternalEObject)newDynamicbusinessmodelcategoryset).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__DYNAMICBUSINESSMODELCATEGORYSET, null, msgs);
			msgs = basicSetDynamicbusinessmodelcategoryset(newDynamicbusinessmodelcategoryset, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__DYNAMICBUSINESSMODELCATEGORYSET, newDynamicbusinessmodelcategoryset, newDynamicbusinessmodelcategoryset));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CooperativeFeatureRelationship getDynamiclegislationcategoryset() {
		return dynamiclegislationcategoryset;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetDynamiclegislationcategoryset(CooperativeFeatureRelationship newDynamiclegislationcategoryset, NotificationChain msgs) {
		CooperativeFeatureRelationship oldDynamiclegislationcategoryset = dynamiclegislationcategoryset;
		dynamiclegislationcategoryset = newDynamiclegislationcategoryset;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__DYNAMICLEGISLATIONCATEGORYSET, oldDynamiclegislationcategoryset, newDynamiclegislationcategoryset);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setDynamiclegislationcategoryset(CooperativeFeatureRelationship newDynamiclegislationcategoryset) {
		if (newDynamiclegislationcategoryset != dynamiclegislationcategoryset) {
			NotificationChain msgs = null;
			if (dynamiclegislationcategoryset != null)
				msgs = ((InternalEObject)dynamiclegislationcategoryset).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__DYNAMICLEGISLATIONCATEGORYSET, null, msgs);
			if (newDynamiclegislationcategoryset != null)
				msgs = ((InternalEObject)newDynamiclegislationcategoryset).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__DYNAMICLEGISLATIONCATEGORYSET, null, msgs);
			msgs = basicSetDynamiclegislationcategoryset(newDynamiclegislationcategoryset, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__DYNAMICLEGISLATIONCATEGORYSET, newDynamiclegislationcategoryset, newDynamiclegislationcategoryset));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CooperativeFeatureRelationship getReputationmodelset() {
		return reputationmodelset;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetReputationmodelset(CooperativeFeatureRelationship newReputationmodelset, NotificationChain msgs) {
		CooperativeFeatureRelationship oldReputationmodelset = reputationmodelset;
		reputationmodelset = newReputationmodelset;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__REPUTATIONMODELSET, oldReputationmodelset, newReputationmodelset);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setReputationmodelset(CooperativeFeatureRelationship newReputationmodelset) {
		if (newReputationmodelset != reputationmodelset) {
			NotificationChain msgs = null;
			if (reputationmodelset != null)
				msgs = ((InternalEObject)reputationmodelset).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__REPUTATIONMODELSET, null, msgs);
			if (newReputationmodelset != null)
				msgs = ((InternalEObject)newReputationmodelset).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__REPUTATIONMODELSET, null, msgs);
			msgs = basicSetReputationmodelset(newReputationmodelset, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__REPUTATIONMODELSET, newReputationmodelset, newReputationmodelset));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CooperativeFeatureRelationship getPilarcospolicyframeworkset() {
		return pilarcospolicyframeworkset;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetPilarcospolicyframeworkset(CooperativeFeatureRelationship newPilarcospolicyframeworkset, NotificationChain msgs) {
		CooperativeFeatureRelationship oldPilarcospolicyframeworkset = pilarcospolicyframeworkset;
		pilarcospolicyframeworkset = newPilarcospolicyframeworkset;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__PILARCOSPOLICYFRAMEWORKSET, oldPilarcospolicyframeworkset, newPilarcospolicyframeworkset);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPilarcospolicyframeworkset(CooperativeFeatureRelationship newPilarcospolicyframeworkset) {
		if (newPilarcospolicyframeworkset != pilarcospolicyframeworkset) {
			NotificationChain msgs = null;
			if (pilarcospolicyframeworkset != null)
				msgs = ((InternalEObject)pilarcospolicyframeworkset).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__PILARCOSPOLICYFRAMEWORKSET, null, msgs);
			if (newPilarcospolicyframeworkset != null)
				msgs = ((InternalEObject)newPilarcospolicyframeworkset).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__PILARCOSPOLICYFRAMEWORKSET, null, msgs);
			msgs = basicSetPilarcospolicyframeworkset(newPilarcospolicyframeworkset, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__PILARCOSPOLICYFRAMEWORKSET, newPilarcospolicyframeworkset, newPilarcospolicyframeworkset));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CooperativeFeatureRelationship getRoledependencypolicyset() {
		return roledependencypolicyset;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetRoledependencypolicyset(CooperativeFeatureRelationship newRoledependencypolicyset, NotificationChain msgs) {
		CooperativeFeatureRelationship oldRoledependencypolicyset = roledependencypolicyset;
		roledependencypolicyset = newRoledependencypolicyset;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__ROLEDEPENDENCYPOLICYSET, oldRoledependencypolicyset, newRoledependencypolicyset);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setRoledependencypolicyset(CooperativeFeatureRelationship newRoledependencypolicyset) {
		if (newRoledependencypolicyset != roledependencypolicyset) {
			NotificationChain msgs = null;
			if (roledependencypolicyset != null)
				msgs = ((InternalEObject)roledependencypolicyset).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__ROLEDEPENDENCYPOLICYSET, null, msgs);
			if (newRoledependencypolicyset != null)
				msgs = ((InternalEObject)newRoledependencypolicyset).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__ROLEDEPENDENCYPOLICYSET, null, msgs);
			msgs = basicSetRoledependencypolicyset(newRoledependencypolicyset, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__ROLEDEPENDENCYPOLICYSET, newRoledependencypolicyset, newRoledependencypolicyset));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public CooperativeFeatureRelationship getRoledependencypolicykindset() {
		return roledependencypolicykindset;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetRoledependencypolicykindset(CooperativeFeatureRelationship newRoledependencypolicykindset, NotificationChain msgs) {
		CooperativeFeatureRelationship oldRoledependencypolicykindset = roledependencypolicykindset;
		roledependencypolicykindset = newRoledependencypolicykindset;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__ROLEDEPENDENCYPOLICYKINDSET, oldRoledependencypolicykindset, newRoledependencypolicykindset);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setRoledependencypolicykindset(CooperativeFeatureRelationship newRoledependencypolicykindset) {
		if (newRoledependencypolicykindset != roledependencypolicykindset) {
			NotificationChain msgs = null;
			if (roledependencypolicykindset != null)
				msgs = ((InternalEObject)roledependencypolicykindset).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__ROLEDEPENDENCYPOLICYKINDSET, null, msgs);
			if (newRoledependencypolicykindset != null)
				msgs = ((InternalEObject)newRoledependencypolicykindset).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__ROLEDEPENDENCYPOLICYKINDSET, null, msgs);
			msgs = basicSetRoledependencypolicykindset(newRoledependencypolicykindset, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__ROLEDEPENDENCYPOLICYKINDSET, newRoledependencypolicykindset, newRoledependencypolicykindset));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__MODELS:
				return ((InternalEList<?>)getModels()).basicRemove(otherEnd, msgs);
			case cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__RELATIONSHIPS:
				return ((InternalEList<?>)getRelationships()).basicRemove(otherEnd, msgs);
			case cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__DYNAMICBUSINESSMODELCATEGORYSET:
				return basicSetDynamicbusinessmodelcategoryset(null, msgs);
			case cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__DYNAMICLEGISLATIONCATEGORYSET:
				return basicSetDynamiclegislationcategoryset(null, msgs);
			case cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__REPUTATIONMODELSET:
				return basicSetReputationmodelset(null, msgs);
			case cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__PILARCOSPOLICYFRAMEWORKSET:
				return basicSetPilarcospolicyframeworkset(null, msgs);
			case cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__ROLEDEPENDENCYPOLICYSET:
				return basicSetRoledependencypolicyset(null, msgs);
			case cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__ROLEDEPENDENCYPOLICYKINDSET:
				return basicSetRoledependencypolicykindset(null, msgs);
		}
		return super.eInverseRemove(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__MODELS:
				return getModels();
			case cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__RELATIONSHIPS:
				return getRelationships();
			case cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__DYNAMICBUSINESSMODELCATEGORYSET:
				return getDynamicbusinessmodelcategoryset();
			case cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__DYNAMICLEGISLATIONCATEGORYSET:
				return getDynamiclegislationcategoryset();
			case cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__REPUTATIONMODELSET:
				return getReputationmodelset();
			case cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__PILARCOSPOLICYFRAMEWORKSET:
				return getPilarcospolicyframeworkset();
			case cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__ROLEDEPENDENCYPOLICYSET:
				return getRoledependencypolicyset();
			case cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__ROLEDEPENDENCYPOLICYKINDSET:
				return getRoledependencypolicykindset();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__MODELS:
				getModels().clear();
				getModels().addAll((Collection<? extends CooperativeFeature>)newValue);
				return;
			case cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__RELATIONSHIPS:
				getRelationships().clear();
				getRelationships().addAll((Collection<? extends CooperativeFeatureRelationship>)newValue);
				return;
			case cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__DYNAMICBUSINESSMODELCATEGORYSET:
				setDynamicbusinessmodelcategoryset((CooperativeFeatureRelationship)newValue);
				return;
			case cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__DYNAMICLEGISLATIONCATEGORYSET:
				setDynamiclegislationcategoryset((CooperativeFeatureRelationship)newValue);
				return;
			case cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__REPUTATIONMODELSET:
				setReputationmodelset((CooperativeFeatureRelationship)newValue);
				return;
			case cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__PILARCOSPOLICYFRAMEWORKSET:
				setPilarcospolicyframeworkset((CooperativeFeatureRelationship)newValue);
				return;
			case cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__ROLEDEPENDENCYPOLICYSET:
				setRoledependencypolicyset((CooperativeFeatureRelationship)newValue);
				return;
			case cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__ROLEDEPENDENCYPOLICYKINDSET:
				setRoledependencypolicykindset((CooperativeFeatureRelationship)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__MODELS:
				getModels().clear();
				return;
			case cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__RELATIONSHIPS:
				getRelationships().clear();
				return;
			case cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__DYNAMICBUSINESSMODELCATEGORYSET:
				setDynamicbusinessmodelcategoryset((CooperativeFeatureRelationship)null);
				return;
			case cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__DYNAMICLEGISLATIONCATEGORYSET:
				setDynamiclegislationcategoryset((CooperativeFeatureRelationship)null);
				return;
			case cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__REPUTATIONMODELSET:
				setReputationmodelset((CooperativeFeatureRelationship)null);
				return;
			case cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__PILARCOSPOLICYFRAMEWORKSET:
				setPilarcospolicyframeworkset((CooperativeFeatureRelationship)null);
				return;
			case cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__ROLEDEPENDENCYPOLICYSET:
				setRoledependencypolicyset((CooperativeFeatureRelationship)null);
				return;
			case cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__ROLEDEPENDENCYPOLICYKINDSET:
				setRoledependencypolicykindset((CooperativeFeatureRelationship)null);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__MODELS:
				return models != null && !models.isEmpty();
			case cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__RELATIONSHIPS:
				return relationships != null && !relationships.isEmpty();
			case cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__DYNAMICBUSINESSMODELCATEGORYSET:
				return dynamicbusinessmodelcategoryset != null;
			case cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__DYNAMICLEGISLATIONCATEGORYSET:
				return dynamiclegislationcategoryset != null;
			case cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__REPUTATIONMODELSET:
				return reputationmodelset != null;
			case cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__PILARCOSPOLICYFRAMEWORKSET:
				return pilarcospolicyframeworkset != null;
			case cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__ROLEDEPENDENCYPOLICYSET:
				return roledependencypolicyset != null;
			case cooperativefeaturerepositoryPackage.COOPERATIVE_FEATURE_REPOSITORY_MODEL__ROLEDEPENDENCYPOLICYKINDSET:
				return roledependencypolicykindset != null;
		}
		return super.eIsSet(featureID);
	}

} //CooperativeFeatureRepositoryModelImpl
