/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository;

import org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeature.ExtraFunctionalFeature;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Extra Functional Feature Repository Model</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.ExtraFunctionalFeatureRepositoryModel#getModels <em>Models</em>}</li>
 *   <li>{@link org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.ExtraFunctionalFeatureRepositoryModel#getRelationships <em>Relationships</em>}</li>
 *   <li>{@link org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.ExtraFunctionalFeatureRepositoryModel#getWsset <em>Wsset</em>}</li>
 *   <li>{@link org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.ExtraFunctionalFeatureRepositoryModel#getSecurecommunicationset <em>Securecommunicationset</em>}</li>
 *   <li>{@link org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.ExtraFunctionalFeatureRepositoryModel#getCommunicationfeatureset <em>Communicationfeatureset</em>}</li>
 *   <li>{@link org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.ExtraFunctionalFeatureRepositoryModel#getInteractionmodelset <em>Interactionmodelset</em>}</li>
 *   <li>{@link org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.ExtraFunctionalFeatureRepositoryModel#getRestset <em>Restset</em>}</li>
 * </ul>
 * </p>
 *
 * @see org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.extrafunctionalfeaturerepositoryPackage#getExtraFunctionalFeatureRepositoryModel()
 * @model
 * @generated
 */
public interface ExtraFunctionalFeatureRepositoryModel extends EObject {
	/**
	 * Returns the value of the '<em><b>Models</b></em>' containment reference list.
	 * The list contents are of type {@link org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeature.ExtraFunctionalFeature}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Models</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Models</em>' containment reference list.
	 * @see org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.extrafunctionalfeaturerepositoryPackage#getExtraFunctionalFeatureRepositoryModel_Models()
	 * @model containment="true"
	 * @generated
	 */
	EList<ExtraFunctionalFeature> getModels();

	/**
	 * Returns the value of the '<em><b>Relationships</b></em>' containment reference list.
	 * The list contents are of type {@link org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.ExtraFunctionalFeatureRelationship}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Relationships</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Relationships</em>' containment reference list.
	 * @see org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.extrafunctionalfeaturerepositoryPackage#getExtraFunctionalFeatureRepositoryModel_Relationships()
	 * @model containment="true"
	 * @generated
	 */
	EList<ExtraFunctionalFeatureRelationship> getRelationships();

	/**
	 * Returns the value of the '<em><b>Wsset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Wsset</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Wsset</em>' containment reference.
	 * @see #setWsset(ExtraFunctionalFeatureRelationship)
	 * @see org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.extrafunctionalfeaturerepositoryPackage#getExtraFunctionalFeatureRepositoryModel_Wsset()
	 * @model containment="true" required="true"
	 * @generated
	 */
	ExtraFunctionalFeatureRelationship getWsset();

	/**
	 * Sets the value of the '{@link org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.ExtraFunctionalFeatureRepositoryModel#getWsset <em>Wsset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Wsset</em>' containment reference.
	 * @see #getWsset()
	 * @generated
	 */
	void setWsset(ExtraFunctionalFeatureRelationship value);

	/**
	 * Returns the value of the '<em><b>Securecommunicationset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Securecommunicationset</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Securecommunicationset</em>' containment reference.
	 * @see #setSecurecommunicationset(ExtraFunctionalFeatureRelationship)
	 * @see org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.extrafunctionalfeaturerepositoryPackage#getExtraFunctionalFeatureRepositoryModel_Securecommunicationset()
	 * @model containment="true" required="true"
	 * @generated
	 */
	ExtraFunctionalFeatureRelationship getSecurecommunicationset();

	/**
	 * Sets the value of the '{@link org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.ExtraFunctionalFeatureRepositoryModel#getSecurecommunicationset <em>Securecommunicationset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Securecommunicationset</em>' containment reference.
	 * @see #getSecurecommunicationset()
	 * @generated
	 */
	void setSecurecommunicationset(ExtraFunctionalFeatureRelationship value);

	/**
	 * Returns the value of the '<em><b>Communicationfeatureset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Communicationfeatureset</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Communicationfeatureset</em>' containment reference.
	 * @see #setCommunicationfeatureset(ExtraFunctionalFeatureRelationship)
	 * @see org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.extrafunctionalfeaturerepositoryPackage#getExtraFunctionalFeatureRepositoryModel_Communicationfeatureset()
	 * @model containment="true" required="true"
	 * @generated
	 */
	ExtraFunctionalFeatureRelationship getCommunicationfeatureset();

	/**
	 * Sets the value of the '{@link org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.ExtraFunctionalFeatureRepositoryModel#getCommunicationfeatureset <em>Communicationfeatureset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Communicationfeatureset</em>' containment reference.
	 * @see #getCommunicationfeatureset()
	 * @generated
	 */
	void setCommunicationfeatureset(ExtraFunctionalFeatureRelationship value);

	/**
	 * Returns the value of the '<em><b>Interactionmodelset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Interactionmodelset</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Interactionmodelset</em>' containment reference.
	 * @see #setInteractionmodelset(ExtraFunctionalFeatureRelationship)
	 * @see org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.extrafunctionalfeaturerepositoryPackage#getExtraFunctionalFeatureRepositoryModel_Interactionmodelset()
	 * @model containment="true" required="true"
	 * @generated
	 */
	ExtraFunctionalFeatureRelationship getInteractionmodelset();

	/**
	 * Sets the value of the '{@link org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.ExtraFunctionalFeatureRepositoryModel#getInteractionmodelset <em>Interactionmodelset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Interactionmodelset</em>' containment reference.
	 * @see #getInteractionmodelset()
	 * @generated
	 */
	void setInteractionmodelset(ExtraFunctionalFeatureRelationship value);

	/**
	 * Returns the value of the '<em><b>Restset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Restset</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Restset</em>' containment reference.
	 * @see #setRestset(ExtraFunctionalFeatureRelationship)
	 * @see org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.extrafunctionalfeaturerepositoryPackage#getExtraFunctionalFeatureRepositoryModel_Restset()
	 * @model containment="true" required="true"
	 * @generated
	 */
	ExtraFunctionalFeatureRelationship getRestset();

	/**
	 * Sets the value of the '{@link org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeaturerepository.ExtraFunctionalFeatureRepositoryModel#getRestset <em>Restset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Restset</em>' containment reference.
	 * @see #getRestset()
	 * @generated
	 */
	void setRestset(ExtraFunctionalFeatureRelationship value);

} // ExtraFunctionalFeatureRepositoryModel
