/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.pilarcoscomponenservicerepository.pilarcoscomponenservicerepository.impl;

import java.util.Collection;

import org.cinco.pilarcos.pilarcoscomponenservicerepository.pilarcoscomponenserviceknowledgeitemtype.PilarcosComponenServiceKnowledgeItemType;

import org.cinco.pilarcos.pilarcoscomponenservicerepository.pilarcoscomponenservicerepository.PilarcosComponenServiceKnowledgeItemTypeRelationship;
import org.cinco.pilarcos.pilarcoscomponenservicerepository.pilarcoscomponenservicerepository.PilarcosComponenServiceRepositoryModel;
import org.cinco.pilarcos.pilarcoscomponenservicerepository.pilarcoscomponenservicerepository.pilarcoscomponenservicerepositoryPackage;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;

import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.impl.EObjectImpl;

import org.eclipse.emf.ecore.util.EObjectContainmentEList;
import org.eclipse.emf.ecore.util.InternalEList;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Pilarcos Componen Service Repository Model</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link org.cinco.pilarcos.pilarcoscomponenservicerepository.pilarcoscomponenservicerepository.impl.PilarcosComponenServiceRepositoryModelImpl#getModels <em>Models</em>}</li>
 *   <li>{@link org.cinco.pilarcos.pilarcoscomponenservicerepository.pilarcoscomponenservicerepository.impl.PilarcosComponenServiceRepositoryModelImpl#getRelationships <em>Relationships</em>}</li>
 *   <li>{@link org.cinco.pilarcos.pilarcoscomponenservicerepository.pilarcoscomponenservicerepository.impl.PilarcosComponenServiceRepositoryModelImpl#getPilarcoscomponenserviceknowledgeitemset <em>Pilarcoscomponenserviceknowledgeitemset</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class PilarcosComponenServiceRepositoryModelImpl extends EObjectImpl implements PilarcosComponenServiceRepositoryModel {
	/**
	 * The cached value of the '{@link #getModels() <em>Models</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getModels()
	 * @generated
	 * @ordered
	 */
	protected EList<PilarcosComponenServiceKnowledgeItemType> models;

	/**
	 * The cached value of the '{@link #getRelationships() <em>Relationships</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRelationships()
	 * @generated
	 * @ordered
	 */
	protected EList<PilarcosComponenServiceKnowledgeItemTypeRelationship> relationships;

	/**
	 * The cached value of the '{@link #getPilarcoscomponenserviceknowledgeitemset() <em>Pilarcoscomponenserviceknowledgeitemset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPilarcoscomponenserviceknowledgeitemset()
	 * @generated
	 * @ordered
	 */
	protected PilarcosComponenServiceKnowledgeItemTypeRelationship pilarcoscomponenserviceknowledgeitemset;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected PilarcosComponenServiceRepositoryModelImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return pilarcoscomponenservicerepositoryPackage.Literals.PILARCOS_COMPONEN_SERVICE_REPOSITORY_MODEL;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<PilarcosComponenServiceKnowledgeItemType> getModels() {
		if (models == null) {
			models = new EObjectContainmentEList<PilarcosComponenServiceKnowledgeItemType>(PilarcosComponenServiceKnowledgeItemType.class, this, pilarcoscomponenservicerepositoryPackage.PILARCOS_COMPONEN_SERVICE_REPOSITORY_MODEL__MODELS);
		}
		return models;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<PilarcosComponenServiceKnowledgeItemTypeRelationship> getRelationships() {
		if (relationships == null) {
			relationships = new EObjectContainmentEList<PilarcosComponenServiceKnowledgeItemTypeRelationship>(PilarcosComponenServiceKnowledgeItemTypeRelationship.class, this, pilarcoscomponenservicerepositoryPackage.PILARCOS_COMPONEN_SERVICE_REPOSITORY_MODEL__RELATIONSHIPS);
		}
		return relationships;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PilarcosComponenServiceKnowledgeItemTypeRelationship getPilarcoscomponenserviceknowledgeitemset() {
		return pilarcoscomponenserviceknowledgeitemset;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetPilarcoscomponenserviceknowledgeitemset(PilarcosComponenServiceKnowledgeItemTypeRelationship newPilarcoscomponenserviceknowledgeitemset, NotificationChain msgs) {
		PilarcosComponenServiceKnowledgeItemTypeRelationship oldPilarcoscomponenserviceknowledgeitemset = pilarcoscomponenserviceknowledgeitemset;
		pilarcoscomponenserviceknowledgeitemset = newPilarcoscomponenserviceknowledgeitemset;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, pilarcoscomponenservicerepositoryPackage.PILARCOS_COMPONEN_SERVICE_REPOSITORY_MODEL__PILARCOSCOMPONENSERVICEKNOWLEDGEITEMSET, oldPilarcoscomponenserviceknowledgeitemset, newPilarcoscomponenserviceknowledgeitemset);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPilarcoscomponenserviceknowledgeitemset(PilarcosComponenServiceKnowledgeItemTypeRelationship newPilarcoscomponenserviceknowledgeitemset) {
		if (newPilarcoscomponenserviceknowledgeitemset != pilarcoscomponenserviceknowledgeitemset) {
			NotificationChain msgs = null;
			if (pilarcoscomponenserviceknowledgeitemset != null)
				msgs = ((InternalEObject)pilarcoscomponenserviceknowledgeitemset).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - pilarcoscomponenservicerepositoryPackage.PILARCOS_COMPONEN_SERVICE_REPOSITORY_MODEL__PILARCOSCOMPONENSERVICEKNOWLEDGEITEMSET, null, msgs);
			if (newPilarcoscomponenserviceknowledgeitemset != null)
				msgs = ((InternalEObject)newPilarcoscomponenserviceknowledgeitemset).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - pilarcoscomponenservicerepositoryPackage.PILARCOS_COMPONEN_SERVICE_REPOSITORY_MODEL__PILARCOSCOMPONENSERVICEKNOWLEDGEITEMSET, null, msgs);
			msgs = basicSetPilarcoscomponenserviceknowledgeitemset(newPilarcoscomponenserviceknowledgeitemset, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, pilarcoscomponenservicerepositoryPackage.PILARCOS_COMPONEN_SERVICE_REPOSITORY_MODEL__PILARCOSCOMPONENSERVICEKNOWLEDGEITEMSET, newPilarcoscomponenserviceknowledgeitemset, newPilarcoscomponenserviceknowledgeitemset));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case pilarcoscomponenservicerepositoryPackage.PILARCOS_COMPONEN_SERVICE_REPOSITORY_MODEL__MODELS:
				return ((InternalEList<?>)getModels()).basicRemove(otherEnd, msgs);
			case pilarcoscomponenservicerepositoryPackage.PILARCOS_COMPONEN_SERVICE_REPOSITORY_MODEL__RELATIONSHIPS:
				return ((InternalEList<?>)getRelationships()).basicRemove(otherEnd, msgs);
			case pilarcoscomponenservicerepositoryPackage.PILARCOS_COMPONEN_SERVICE_REPOSITORY_MODEL__PILARCOSCOMPONENSERVICEKNOWLEDGEITEMSET:
				return basicSetPilarcoscomponenserviceknowledgeitemset(null, msgs);
		}
		return super.eInverseRemove(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case pilarcoscomponenservicerepositoryPackage.PILARCOS_COMPONEN_SERVICE_REPOSITORY_MODEL__MODELS:
				return getModels();
			case pilarcoscomponenservicerepositoryPackage.PILARCOS_COMPONEN_SERVICE_REPOSITORY_MODEL__RELATIONSHIPS:
				return getRelationships();
			case pilarcoscomponenservicerepositoryPackage.PILARCOS_COMPONEN_SERVICE_REPOSITORY_MODEL__PILARCOSCOMPONENSERVICEKNOWLEDGEITEMSET:
				return getPilarcoscomponenserviceknowledgeitemset();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case pilarcoscomponenservicerepositoryPackage.PILARCOS_COMPONEN_SERVICE_REPOSITORY_MODEL__MODELS:
				getModels().clear();
				getModels().addAll((Collection<? extends PilarcosComponenServiceKnowledgeItemType>)newValue);
				return;
			case pilarcoscomponenservicerepositoryPackage.PILARCOS_COMPONEN_SERVICE_REPOSITORY_MODEL__RELATIONSHIPS:
				getRelationships().clear();
				getRelationships().addAll((Collection<? extends PilarcosComponenServiceKnowledgeItemTypeRelationship>)newValue);
				return;
			case pilarcoscomponenservicerepositoryPackage.PILARCOS_COMPONEN_SERVICE_REPOSITORY_MODEL__PILARCOSCOMPONENSERVICEKNOWLEDGEITEMSET:
				setPilarcoscomponenserviceknowledgeitemset((PilarcosComponenServiceKnowledgeItemTypeRelationship)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case pilarcoscomponenservicerepositoryPackage.PILARCOS_COMPONEN_SERVICE_REPOSITORY_MODEL__MODELS:
				getModels().clear();
				return;
			case pilarcoscomponenservicerepositoryPackage.PILARCOS_COMPONEN_SERVICE_REPOSITORY_MODEL__RELATIONSHIPS:
				getRelationships().clear();
				return;
			case pilarcoscomponenservicerepositoryPackage.PILARCOS_COMPONEN_SERVICE_REPOSITORY_MODEL__PILARCOSCOMPONENSERVICEKNOWLEDGEITEMSET:
				setPilarcoscomponenserviceknowledgeitemset((PilarcosComponenServiceKnowledgeItemTypeRelationship)null);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case pilarcoscomponenservicerepositoryPackage.PILARCOS_COMPONEN_SERVICE_REPOSITORY_MODEL__MODELS:
				return models != null && !models.isEmpty();
			case pilarcoscomponenservicerepositoryPackage.PILARCOS_COMPONEN_SERVICE_REPOSITORY_MODEL__RELATIONSHIPS:
				return relationships != null && !relationships.isEmpty();
			case pilarcoscomponenservicerepositoryPackage.PILARCOS_COMPONEN_SERVICE_REPOSITORY_MODEL__PILARCOSCOMPONENSERVICEKNOWLEDGEITEMSET:
				return pilarcoscomponenserviceknowledgeitemset != null;
		}
		return super.eIsSet(featureID);
	}

} //PilarcosComponenServiceRepositoryModelImpl
