/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.pilarcosdissolutionliaisonrepository.pilarcosdissolutionliaisonrepository.impl;

import java.util.Collection;

import org.cinco.pilarcos.pilarcosdissolutionliaisonrepository.pilarcosdissolutionliaisonknowledgeitemtype.PilarcosDissolutionLiaisonKnowledgeItemType;

import org.cinco.pilarcos.pilarcosdissolutionliaisonrepository.pilarcosdissolutionliaisonrepository.PilarcosDissolutionLiaisonKnowledgeItemTypeRelationship;
import org.cinco.pilarcos.pilarcosdissolutionliaisonrepository.pilarcosdissolutionliaisonrepository.PilarcosDissolutionLiaisonRepositoryModel;
import org.cinco.pilarcos.pilarcosdissolutionliaisonrepository.pilarcosdissolutionliaisonrepository.pilarcosdissolutionliaisonrepositoryPackage;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;

import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.impl.EObjectImpl;

import org.eclipse.emf.ecore.util.EObjectContainmentEList;
import org.eclipse.emf.ecore.util.InternalEList;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Pilarcos Dissolution Liaison Repository Model</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link org.cinco.pilarcos.pilarcosdissolutionliaisonrepository.pilarcosdissolutionliaisonrepository.impl.PilarcosDissolutionLiaisonRepositoryModelImpl#getModels <em>Models</em>}</li>
 *   <li>{@link org.cinco.pilarcos.pilarcosdissolutionliaisonrepository.pilarcosdissolutionliaisonrepository.impl.PilarcosDissolutionLiaisonRepositoryModelImpl#getRelationships <em>Relationships</em>}</li>
 *   <li>{@link org.cinco.pilarcos.pilarcosdissolutionliaisonrepository.pilarcosdissolutionliaisonrepository.impl.PilarcosDissolutionLiaisonRepositoryModelImpl#getPilarcosdissolutionliaisonknowledgeitemset <em>Pilarcosdissolutionliaisonknowledgeitemset</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class PilarcosDissolutionLiaisonRepositoryModelImpl extends EObjectImpl implements PilarcosDissolutionLiaisonRepositoryModel {
	/**
	 * The cached value of the '{@link #getModels() <em>Models</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getModels()
	 * @generated
	 * @ordered
	 */
	protected EList<PilarcosDissolutionLiaisonKnowledgeItemType> models;

	/**
	 * The cached value of the '{@link #getRelationships() <em>Relationships</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRelationships()
	 * @generated
	 * @ordered
	 */
	protected EList<PilarcosDissolutionLiaisonKnowledgeItemTypeRelationship> relationships;

	/**
	 * The cached value of the '{@link #getPilarcosdissolutionliaisonknowledgeitemset() <em>Pilarcosdissolutionliaisonknowledgeitemset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getPilarcosdissolutionliaisonknowledgeitemset()
	 * @generated
	 * @ordered
	 */
	protected PilarcosDissolutionLiaisonKnowledgeItemTypeRelationship pilarcosdissolutionliaisonknowledgeitemset;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected PilarcosDissolutionLiaisonRepositoryModelImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return pilarcosdissolutionliaisonrepositoryPackage.Literals.PILARCOS_DISSOLUTION_LIAISON_REPOSITORY_MODEL;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<PilarcosDissolutionLiaisonKnowledgeItemType> getModels() {
		if (models == null) {
			models = new EObjectContainmentEList<PilarcosDissolutionLiaisonKnowledgeItemType>(PilarcosDissolutionLiaisonKnowledgeItemType.class, this, pilarcosdissolutionliaisonrepositoryPackage.PILARCOS_DISSOLUTION_LIAISON_REPOSITORY_MODEL__MODELS);
		}
		return models;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<PilarcosDissolutionLiaisonKnowledgeItemTypeRelationship> getRelationships() {
		if (relationships == null) {
			relationships = new EObjectContainmentEList<PilarcosDissolutionLiaisonKnowledgeItemTypeRelationship>(PilarcosDissolutionLiaisonKnowledgeItemTypeRelationship.class, this, pilarcosdissolutionliaisonrepositoryPackage.PILARCOS_DISSOLUTION_LIAISON_REPOSITORY_MODEL__RELATIONSHIPS);
		}
		return relationships;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PilarcosDissolutionLiaisonKnowledgeItemTypeRelationship getPilarcosdissolutionliaisonknowledgeitemset() {
		return pilarcosdissolutionliaisonknowledgeitemset;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetPilarcosdissolutionliaisonknowledgeitemset(PilarcosDissolutionLiaisonKnowledgeItemTypeRelationship newPilarcosdissolutionliaisonknowledgeitemset, NotificationChain msgs) {
		PilarcosDissolutionLiaisonKnowledgeItemTypeRelationship oldPilarcosdissolutionliaisonknowledgeitemset = pilarcosdissolutionliaisonknowledgeitemset;
		pilarcosdissolutionliaisonknowledgeitemset = newPilarcosdissolutionliaisonknowledgeitemset;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, pilarcosdissolutionliaisonrepositoryPackage.PILARCOS_DISSOLUTION_LIAISON_REPOSITORY_MODEL__PILARCOSDISSOLUTIONLIAISONKNOWLEDGEITEMSET, oldPilarcosdissolutionliaisonknowledgeitemset, newPilarcosdissolutionliaisonknowledgeitemset);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setPilarcosdissolutionliaisonknowledgeitemset(PilarcosDissolutionLiaisonKnowledgeItemTypeRelationship newPilarcosdissolutionliaisonknowledgeitemset) {
		if (newPilarcosdissolutionliaisonknowledgeitemset != pilarcosdissolutionliaisonknowledgeitemset) {
			NotificationChain msgs = null;
			if (pilarcosdissolutionliaisonknowledgeitemset != null)
				msgs = ((InternalEObject)pilarcosdissolutionliaisonknowledgeitemset).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - pilarcosdissolutionliaisonrepositoryPackage.PILARCOS_DISSOLUTION_LIAISON_REPOSITORY_MODEL__PILARCOSDISSOLUTIONLIAISONKNOWLEDGEITEMSET, null, msgs);
			if (newPilarcosdissolutionliaisonknowledgeitemset != null)
				msgs = ((InternalEObject)newPilarcosdissolutionliaisonknowledgeitemset).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - pilarcosdissolutionliaisonrepositoryPackage.PILARCOS_DISSOLUTION_LIAISON_REPOSITORY_MODEL__PILARCOSDISSOLUTIONLIAISONKNOWLEDGEITEMSET, null, msgs);
			msgs = basicSetPilarcosdissolutionliaisonknowledgeitemset(newPilarcosdissolutionliaisonknowledgeitemset, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, pilarcosdissolutionliaisonrepositoryPackage.PILARCOS_DISSOLUTION_LIAISON_REPOSITORY_MODEL__PILARCOSDISSOLUTIONLIAISONKNOWLEDGEITEMSET, newPilarcosdissolutionliaisonknowledgeitemset, newPilarcosdissolutionliaisonknowledgeitemset));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case pilarcosdissolutionliaisonrepositoryPackage.PILARCOS_DISSOLUTION_LIAISON_REPOSITORY_MODEL__MODELS:
				return ((InternalEList<?>)getModels()).basicRemove(otherEnd, msgs);
			case pilarcosdissolutionliaisonrepositoryPackage.PILARCOS_DISSOLUTION_LIAISON_REPOSITORY_MODEL__RELATIONSHIPS:
				return ((InternalEList<?>)getRelationships()).basicRemove(otherEnd, msgs);
			case pilarcosdissolutionliaisonrepositoryPackage.PILARCOS_DISSOLUTION_LIAISON_REPOSITORY_MODEL__PILARCOSDISSOLUTIONLIAISONKNOWLEDGEITEMSET:
				return basicSetPilarcosdissolutionliaisonknowledgeitemset(null, msgs);
		}
		return super.eInverseRemove(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case pilarcosdissolutionliaisonrepositoryPackage.PILARCOS_DISSOLUTION_LIAISON_REPOSITORY_MODEL__MODELS:
				return getModels();
			case pilarcosdissolutionliaisonrepositoryPackage.PILARCOS_DISSOLUTION_LIAISON_REPOSITORY_MODEL__RELATIONSHIPS:
				return getRelationships();
			case pilarcosdissolutionliaisonrepositoryPackage.PILARCOS_DISSOLUTION_LIAISON_REPOSITORY_MODEL__PILARCOSDISSOLUTIONLIAISONKNOWLEDGEITEMSET:
				return getPilarcosdissolutionliaisonknowledgeitemset();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case pilarcosdissolutionliaisonrepositoryPackage.PILARCOS_DISSOLUTION_LIAISON_REPOSITORY_MODEL__MODELS:
				getModels().clear();
				getModels().addAll((Collection<? extends PilarcosDissolutionLiaisonKnowledgeItemType>)newValue);
				return;
			case pilarcosdissolutionliaisonrepositoryPackage.PILARCOS_DISSOLUTION_LIAISON_REPOSITORY_MODEL__RELATIONSHIPS:
				getRelationships().clear();
				getRelationships().addAll((Collection<? extends PilarcosDissolutionLiaisonKnowledgeItemTypeRelationship>)newValue);
				return;
			case pilarcosdissolutionliaisonrepositoryPackage.PILARCOS_DISSOLUTION_LIAISON_REPOSITORY_MODEL__PILARCOSDISSOLUTIONLIAISONKNOWLEDGEITEMSET:
				setPilarcosdissolutionliaisonknowledgeitemset((PilarcosDissolutionLiaisonKnowledgeItemTypeRelationship)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case pilarcosdissolutionliaisonrepositoryPackage.PILARCOS_DISSOLUTION_LIAISON_REPOSITORY_MODEL__MODELS:
				getModels().clear();
				return;
			case pilarcosdissolutionliaisonrepositoryPackage.PILARCOS_DISSOLUTION_LIAISON_REPOSITORY_MODEL__RELATIONSHIPS:
				getRelationships().clear();
				return;
			case pilarcosdissolutionliaisonrepositoryPackage.PILARCOS_DISSOLUTION_LIAISON_REPOSITORY_MODEL__PILARCOSDISSOLUTIONLIAISONKNOWLEDGEITEMSET:
				setPilarcosdissolutionliaisonknowledgeitemset((PilarcosDissolutionLiaisonKnowledgeItemTypeRelationship)null);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case pilarcosdissolutionliaisonrepositoryPackage.PILARCOS_DISSOLUTION_LIAISON_REPOSITORY_MODEL__MODELS:
				return models != null && !models.isEmpty();
			case pilarcosdissolutionliaisonrepositoryPackage.PILARCOS_DISSOLUTION_LIAISON_REPOSITORY_MODEL__RELATIONSHIPS:
				return relationships != null && !relationships.isEmpty();
			case pilarcosdissolutionliaisonrepositoryPackage.PILARCOS_DISSOLUTION_LIAISON_REPOSITORY_MODEL__PILARCOSDISSOLUTIONLIAISONKNOWLEDGEITEMSET:
				return pilarcosdissolutionliaisonknowledgeitemset != null;
		}
		return super.eIsSet(featureID);
	}

} //PilarcosDissolutionLiaisonRepositoryModelImpl
