/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository;

import org.cinco.pilarcos.serviceofferknowledgerepository.pilarcosserviceofferknowledgeitemtype.PilarcosServiceOfferKnowledgeItemType;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Service Offer Knowledge Repository Model</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.ServiceOfferKnowledgeRepositoryModel#getModels <em>Models</em>}</li>
 *   <li>{@link org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.ServiceOfferKnowledgeRepositoryModel#getRelationships <em>Relationships</em>}</li>
 *   <li>{@link org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.ServiceOfferKnowledgeRepositoryModel#getSuccessfulservicesknowledgeitemset <em>Successfulservicesknowledgeitemset</em>}</li>
 *   <li>{@link org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.ServiceOfferKnowledgeRepositoryModel#getAvailableservicesknowledgeitemset <em>Availableservicesknowledgeitemset</em>}</li>
 *   <li>{@link org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.ServiceOfferKnowledgeRepositoryModel#getCommittedservicesknowledgeitemset <em>Committedservicesknowledgeitemset</em>}</li>
 *   <li>{@link org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.ServiceOfferKnowledgeRepositoryModel#getFailedservicesknowledgeitemset <em>Failedservicesknowledgeitemset</em>}</li>
 *   <li>{@link org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.ServiceOfferKnowledgeRepositoryModel#getInteroperableservicesknowledgeitemset <em>Interoperableservicesknowledgeitemset</em>}</li>
 * </ul>
 * </p>
 *
 * @see org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.serviceofferknowledgerepositoryPackage#getServiceOfferKnowledgeRepositoryModel()
 * @model
 * @generated
 */
public interface ServiceOfferKnowledgeRepositoryModel extends EObject {
	/**
	 * Returns the value of the '<em><b>Models</b></em>' containment reference list.
	 * The list contents are of type {@link org.cinco.pilarcos.serviceofferknowledgerepository.pilarcosserviceofferknowledgeitemtype.PilarcosServiceOfferKnowledgeItemType}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Models</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Models</em>' containment reference list.
	 * @see org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.serviceofferknowledgerepositoryPackage#getServiceOfferKnowledgeRepositoryModel_Models()
	 * @model containment="true"
	 * @generated
	 */
	EList<PilarcosServiceOfferKnowledgeItemType> getModels();

	/**
	 * Returns the value of the '<em><b>Relationships</b></em>' containment reference list.
	 * The list contents are of type {@link org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.PilarcosServiceOfferKnowledgeItemTypeRelationship}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Relationships</em>' containment reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Relationships</em>' containment reference list.
	 * @see org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.serviceofferknowledgerepositoryPackage#getServiceOfferKnowledgeRepositoryModel_Relationships()
	 * @model containment="true"
	 * @generated
	 */
	EList<PilarcosServiceOfferKnowledgeItemTypeRelationship> getRelationships();

	/**
	 * Returns the value of the '<em><b>Successfulservicesknowledgeitemset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Successfulservicesknowledgeitemset</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Successfulservicesknowledgeitemset</em>' containment reference.
	 * @see #setSuccessfulservicesknowledgeitemset(PilarcosServiceOfferKnowledgeItemTypeRelationship)
	 * @see org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.serviceofferknowledgerepositoryPackage#getServiceOfferKnowledgeRepositoryModel_Successfulservicesknowledgeitemset()
	 * @model containment="true" required="true"
	 * @generated
	 */
	PilarcosServiceOfferKnowledgeItemTypeRelationship getSuccessfulservicesknowledgeitemset();

	/**
	 * Sets the value of the '{@link org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.ServiceOfferKnowledgeRepositoryModel#getSuccessfulservicesknowledgeitemset <em>Successfulservicesknowledgeitemset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Successfulservicesknowledgeitemset</em>' containment reference.
	 * @see #getSuccessfulservicesknowledgeitemset()
	 * @generated
	 */
	void setSuccessfulservicesknowledgeitemset(PilarcosServiceOfferKnowledgeItemTypeRelationship value);

	/**
	 * Returns the value of the '<em><b>Availableservicesknowledgeitemset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Availableservicesknowledgeitemset</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Availableservicesknowledgeitemset</em>' containment reference.
	 * @see #setAvailableservicesknowledgeitemset(PilarcosServiceOfferKnowledgeItemTypeRelationship)
	 * @see org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.serviceofferknowledgerepositoryPackage#getServiceOfferKnowledgeRepositoryModel_Availableservicesknowledgeitemset()
	 * @model containment="true" required="true"
	 * @generated
	 */
	PilarcosServiceOfferKnowledgeItemTypeRelationship getAvailableservicesknowledgeitemset();

	/**
	 * Sets the value of the '{@link org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.ServiceOfferKnowledgeRepositoryModel#getAvailableservicesknowledgeitemset <em>Availableservicesknowledgeitemset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Availableservicesknowledgeitemset</em>' containment reference.
	 * @see #getAvailableservicesknowledgeitemset()
	 * @generated
	 */
	void setAvailableservicesknowledgeitemset(PilarcosServiceOfferKnowledgeItemTypeRelationship value);

	/**
	 * Returns the value of the '<em><b>Committedservicesknowledgeitemset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Committedservicesknowledgeitemset</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Committedservicesknowledgeitemset</em>' containment reference.
	 * @see #setCommittedservicesknowledgeitemset(PilarcosServiceOfferKnowledgeItemTypeRelationship)
	 * @see org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.serviceofferknowledgerepositoryPackage#getServiceOfferKnowledgeRepositoryModel_Committedservicesknowledgeitemset()
	 * @model containment="true" required="true"
	 * @generated
	 */
	PilarcosServiceOfferKnowledgeItemTypeRelationship getCommittedservicesknowledgeitemset();

	/**
	 * Sets the value of the '{@link org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.ServiceOfferKnowledgeRepositoryModel#getCommittedservicesknowledgeitemset <em>Committedservicesknowledgeitemset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Committedservicesknowledgeitemset</em>' containment reference.
	 * @see #getCommittedservicesknowledgeitemset()
	 * @generated
	 */
	void setCommittedservicesknowledgeitemset(PilarcosServiceOfferKnowledgeItemTypeRelationship value);

	/**
	 * Returns the value of the '<em><b>Failedservicesknowledgeitemset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Failedservicesknowledgeitemset</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Failedservicesknowledgeitemset</em>' containment reference.
	 * @see #setFailedservicesknowledgeitemset(PilarcosServiceOfferKnowledgeItemTypeRelationship)
	 * @see org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.serviceofferknowledgerepositoryPackage#getServiceOfferKnowledgeRepositoryModel_Failedservicesknowledgeitemset()
	 * @model containment="true" required="true"
	 * @generated
	 */
	PilarcosServiceOfferKnowledgeItemTypeRelationship getFailedservicesknowledgeitemset();

	/**
	 * Sets the value of the '{@link org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.ServiceOfferKnowledgeRepositoryModel#getFailedservicesknowledgeitemset <em>Failedservicesknowledgeitemset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Failedservicesknowledgeitemset</em>' containment reference.
	 * @see #getFailedservicesknowledgeitemset()
	 * @generated
	 */
	void setFailedservicesknowledgeitemset(PilarcosServiceOfferKnowledgeItemTypeRelationship value);

	/**
	 * Returns the value of the '<em><b>Interoperableservicesknowledgeitemset</b></em>' containment reference.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Interoperableservicesknowledgeitemset</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Interoperableservicesknowledgeitemset</em>' containment reference.
	 * @see #setInteroperableservicesknowledgeitemset(PilarcosServiceOfferKnowledgeItemTypeRelationship)
	 * @see org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.serviceofferknowledgerepositoryPackage#getServiceOfferKnowledgeRepositoryModel_Interoperableservicesknowledgeitemset()
	 * @model containment="true" required="true"
	 * @generated
	 */
	PilarcosServiceOfferKnowledgeItemTypeRelationship getInteroperableservicesknowledgeitemset();

	/**
	 * Sets the value of the '{@link org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.ServiceOfferKnowledgeRepositoryModel#getInteroperableservicesknowledgeitemset <em>Interoperableservicesknowledgeitemset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Interoperableservicesknowledgeitemset</em>' containment reference.
	 * @see #getInteroperableservicesknowledgeitemset()
	 * @generated
	 */
	void setInteroperableservicesknowledgeitemset(PilarcosServiceOfferKnowledgeItemTypeRelationship value);

} // ServiceOfferKnowledgeRepositoryModel
