/**
 * Toni Ruokolainen / 2012
 */
package org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.impl;

import java.util.Collection;

import org.cinco.pilarcos.serviceofferknowledgerepository.pilarcosserviceofferknowledgeitemtype.PilarcosServiceOfferKnowledgeItemType;

import org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.PilarcosServiceOfferKnowledgeItemTypeRelationship;
import org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.ServiceOfferKnowledgeRepositoryModel;
import org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.serviceofferknowledgerepositoryPackage;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;

import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.impl.EObjectImpl;

import org.eclipse.emf.ecore.util.EObjectContainmentEList;
import org.eclipse.emf.ecore.util.InternalEList;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Service Offer Knowledge Repository Model</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.impl.ServiceOfferKnowledgeRepositoryModelImpl#getModels <em>Models</em>}</li>
 *   <li>{@link org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.impl.ServiceOfferKnowledgeRepositoryModelImpl#getRelationships <em>Relationships</em>}</li>
 *   <li>{@link org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.impl.ServiceOfferKnowledgeRepositoryModelImpl#getSuccessfulservicesknowledgeitemset <em>Successfulservicesknowledgeitemset</em>}</li>
 *   <li>{@link org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.impl.ServiceOfferKnowledgeRepositoryModelImpl#getAvailableservicesknowledgeitemset <em>Availableservicesknowledgeitemset</em>}</li>
 *   <li>{@link org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.impl.ServiceOfferKnowledgeRepositoryModelImpl#getCommittedservicesknowledgeitemset <em>Committedservicesknowledgeitemset</em>}</li>
 *   <li>{@link org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.impl.ServiceOfferKnowledgeRepositoryModelImpl#getFailedservicesknowledgeitemset <em>Failedservicesknowledgeitemset</em>}</li>
 *   <li>{@link org.cinco.pilarcos.serviceofferknowledgerepository.serviceofferknowledgerepository.impl.ServiceOfferKnowledgeRepositoryModelImpl#getInteroperableservicesknowledgeitemset <em>Interoperableservicesknowledgeitemset</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class ServiceOfferKnowledgeRepositoryModelImpl extends EObjectImpl implements ServiceOfferKnowledgeRepositoryModel {
	/**
	 * The cached value of the '{@link #getModels() <em>Models</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getModels()
	 * @generated
	 * @ordered
	 */
	protected EList<PilarcosServiceOfferKnowledgeItemType> models;

	/**
	 * The cached value of the '{@link #getRelationships() <em>Relationships</em>}' containment reference list.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getRelationships()
	 * @generated
	 * @ordered
	 */
	protected EList<PilarcosServiceOfferKnowledgeItemTypeRelationship> relationships;

	/**
	 * The cached value of the '{@link #getSuccessfulservicesknowledgeitemset() <em>Successfulservicesknowledgeitemset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getSuccessfulservicesknowledgeitemset()
	 * @generated
	 * @ordered
	 */
	protected PilarcosServiceOfferKnowledgeItemTypeRelationship successfulservicesknowledgeitemset;

	/**
	 * The cached value of the '{@link #getAvailableservicesknowledgeitemset() <em>Availableservicesknowledgeitemset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getAvailableservicesknowledgeitemset()
	 * @generated
	 * @ordered
	 */
	protected PilarcosServiceOfferKnowledgeItemTypeRelationship availableservicesknowledgeitemset;

	/**
	 * The cached value of the '{@link #getCommittedservicesknowledgeitemset() <em>Committedservicesknowledgeitemset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getCommittedservicesknowledgeitemset()
	 * @generated
	 * @ordered
	 */
	protected PilarcosServiceOfferKnowledgeItemTypeRelationship committedservicesknowledgeitemset;

	/**
	 * The cached value of the '{@link #getFailedservicesknowledgeitemset() <em>Failedservicesknowledgeitemset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getFailedservicesknowledgeitemset()
	 * @generated
	 * @ordered
	 */
	protected PilarcosServiceOfferKnowledgeItemTypeRelationship failedservicesknowledgeitemset;

	/**
	 * The cached value of the '{@link #getInteroperableservicesknowledgeitemset() <em>Interoperableservicesknowledgeitemset</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @see #getInteroperableservicesknowledgeitemset()
	 * @generated
	 * @ordered
	 */
	protected PilarcosServiceOfferKnowledgeItemTypeRelationship interoperableservicesknowledgeitemset;

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected ServiceOfferKnowledgeRepositoryModelImpl() {
		super();
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	protected EClass eStaticClass() {
		return serviceofferknowledgerepositoryPackage.Literals.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<PilarcosServiceOfferKnowledgeItemType> getModels() {
		if (models == null) {
			models = new EObjectContainmentEList<PilarcosServiceOfferKnowledgeItemType>(PilarcosServiceOfferKnowledgeItemType.class, this, serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__MODELS);
		}
		return models;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public EList<PilarcosServiceOfferKnowledgeItemTypeRelationship> getRelationships() {
		if (relationships == null) {
			relationships = new EObjectContainmentEList<PilarcosServiceOfferKnowledgeItemTypeRelationship>(PilarcosServiceOfferKnowledgeItemTypeRelationship.class, this, serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__RELATIONSHIPS);
		}
		return relationships;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PilarcosServiceOfferKnowledgeItemTypeRelationship getSuccessfulservicesknowledgeitemset() {
		return successfulservicesknowledgeitemset;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetSuccessfulservicesknowledgeitemset(PilarcosServiceOfferKnowledgeItemTypeRelationship newSuccessfulservicesknowledgeitemset, NotificationChain msgs) {
		PilarcosServiceOfferKnowledgeItemTypeRelationship oldSuccessfulservicesknowledgeitemset = successfulservicesknowledgeitemset;
		successfulservicesknowledgeitemset = newSuccessfulservicesknowledgeitemset;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__SUCCESSFULSERVICESKNOWLEDGEITEMSET, oldSuccessfulservicesknowledgeitemset, newSuccessfulservicesknowledgeitemset);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setSuccessfulservicesknowledgeitemset(PilarcosServiceOfferKnowledgeItemTypeRelationship newSuccessfulservicesknowledgeitemset) {
		if (newSuccessfulservicesknowledgeitemset != successfulservicesknowledgeitemset) {
			NotificationChain msgs = null;
			if (successfulservicesknowledgeitemset != null)
				msgs = ((InternalEObject)successfulservicesknowledgeitemset).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__SUCCESSFULSERVICESKNOWLEDGEITEMSET, null, msgs);
			if (newSuccessfulservicesknowledgeitemset != null)
				msgs = ((InternalEObject)newSuccessfulservicesknowledgeitemset).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__SUCCESSFULSERVICESKNOWLEDGEITEMSET, null, msgs);
			msgs = basicSetSuccessfulservicesknowledgeitemset(newSuccessfulservicesknowledgeitemset, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__SUCCESSFULSERVICESKNOWLEDGEITEMSET, newSuccessfulservicesknowledgeitemset, newSuccessfulservicesknowledgeitemset));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PilarcosServiceOfferKnowledgeItemTypeRelationship getAvailableservicesknowledgeitemset() {
		return availableservicesknowledgeitemset;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetAvailableservicesknowledgeitemset(PilarcosServiceOfferKnowledgeItemTypeRelationship newAvailableservicesknowledgeitemset, NotificationChain msgs) {
		PilarcosServiceOfferKnowledgeItemTypeRelationship oldAvailableservicesknowledgeitemset = availableservicesknowledgeitemset;
		availableservicesknowledgeitemset = newAvailableservicesknowledgeitemset;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__AVAILABLESERVICESKNOWLEDGEITEMSET, oldAvailableservicesknowledgeitemset, newAvailableservicesknowledgeitemset);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setAvailableservicesknowledgeitemset(PilarcosServiceOfferKnowledgeItemTypeRelationship newAvailableservicesknowledgeitemset) {
		if (newAvailableservicesknowledgeitemset != availableservicesknowledgeitemset) {
			NotificationChain msgs = null;
			if (availableservicesknowledgeitemset != null)
				msgs = ((InternalEObject)availableservicesknowledgeitemset).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__AVAILABLESERVICESKNOWLEDGEITEMSET, null, msgs);
			if (newAvailableservicesknowledgeitemset != null)
				msgs = ((InternalEObject)newAvailableservicesknowledgeitemset).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__AVAILABLESERVICESKNOWLEDGEITEMSET, null, msgs);
			msgs = basicSetAvailableservicesknowledgeitemset(newAvailableservicesknowledgeitemset, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__AVAILABLESERVICESKNOWLEDGEITEMSET, newAvailableservicesknowledgeitemset, newAvailableservicesknowledgeitemset));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PilarcosServiceOfferKnowledgeItemTypeRelationship getCommittedservicesknowledgeitemset() {
		return committedservicesknowledgeitemset;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetCommittedservicesknowledgeitemset(PilarcosServiceOfferKnowledgeItemTypeRelationship newCommittedservicesknowledgeitemset, NotificationChain msgs) {
		PilarcosServiceOfferKnowledgeItemTypeRelationship oldCommittedservicesknowledgeitemset = committedservicesknowledgeitemset;
		committedservicesknowledgeitemset = newCommittedservicesknowledgeitemset;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__COMMITTEDSERVICESKNOWLEDGEITEMSET, oldCommittedservicesknowledgeitemset, newCommittedservicesknowledgeitemset);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setCommittedservicesknowledgeitemset(PilarcosServiceOfferKnowledgeItemTypeRelationship newCommittedservicesknowledgeitemset) {
		if (newCommittedservicesknowledgeitemset != committedservicesknowledgeitemset) {
			NotificationChain msgs = null;
			if (committedservicesknowledgeitemset != null)
				msgs = ((InternalEObject)committedservicesknowledgeitemset).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__COMMITTEDSERVICESKNOWLEDGEITEMSET, null, msgs);
			if (newCommittedservicesknowledgeitemset != null)
				msgs = ((InternalEObject)newCommittedservicesknowledgeitemset).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__COMMITTEDSERVICESKNOWLEDGEITEMSET, null, msgs);
			msgs = basicSetCommittedservicesknowledgeitemset(newCommittedservicesknowledgeitemset, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__COMMITTEDSERVICESKNOWLEDGEITEMSET, newCommittedservicesknowledgeitemset, newCommittedservicesknowledgeitemset));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PilarcosServiceOfferKnowledgeItemTypeRelationship getFailedservicesknowledgeitemset() {
		return failedservicesknowledgeitemset;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetFailedservicesknowledgeitemset(PilarcosServiceOfferKnowledgeItemTypeRelationship newFailedservicesknowledgeitemset, NotificationChain msgs) {
		PilarcosServiceOfferKnowledgeItemTypeRelationship oldFailedservicesknowledgeitemset = failedservicesknowledgeitemset;
		failedservicesknowledgeitemset = newFailedservicesknowledgeitemset;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__FAILEDSERVICESKNOWLEDGEITEMSET, oldFailedservicesknowledgeitemset, newFailedservicesknowledgeitemset);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setFailedservicesknowledgeitemset(PilarcosServiceOfferKnowledgeItemTypeRelationship newFailedservicesknowledgeitemset) {
		if (newFailedservicesknowledgeitemset != failedservicesknowledgeitemset) {
			NotificationChain msgs = null;
			if (failedservicesknowledgeitemset != null)
				msgs = ((InternalEObject)failedservicesknowledgeitemset).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__FAILEDSERVICESKNOWLEDGEITEMSET, null, msgs);
			if (newFailedservicesknowledgeitemset != null)
				msgs = ((InternalEObject)newFailedservicesknowledgeitemset).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__FAILEDSERVICESKNOWLEDGEITEMSET, null, msgs);
			msgs = basicSetFailedservicesknowledgeitemset(newFailedservicesknowledgeitemset, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__FAILEDSERVICESKNOWLEDGEITEMSET, newFailedservicesknowledgeitemset, newFailedservicesknowledgeitemset));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public PilarcosServiceOfferKnowledgeItemTypeRelationship getInteroperableservicesknowledgeitemset() {
		return interoperableservicesknowledgeitemset;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public NotificationChain basicSetInteroperableservicesknowledgeitemset(PilarcosServiceOfferKnowledgeItemTypeRelationship newInteroperableservicesknowledgeitemset, NotificationChain msgs) {
		PilarcosServiceOfferKnowledgeItemTypeRelationship oldInteroperableservicesknowledgeitemset = interoperableservicesknowledgeitemset;
		interoperableservicesknowledgeitemset = newInteroperableservicesknowledgeitemset;
		if (eNotificationRequired()) {
			ENotificationImpl notification = new ENotificationImpl(this, Notification.SET, serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__INTEROPERABLESERVICESKNOWLEDGEITEMSET, oldInteroperableservicesknowledgeitemset, newInteroperableservicesknowledgeitemset);
			if (msgs == null) msgs = notification; else msgs.add(notification);
		}
		return msgs;
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public void setInteroperableservicesknowledgeitemset(PilarcosServiceOfferKnowledgeItemTypeRelationship newInteroperableservicesknowledgeitemset) {
		if (newInteroperableservicesknowledgeitemset != interoperableservicesknowledgeitemset) {
			NotificationChain msgs = null;
			if (interoperableservicesknowledgeitemset != null)
				msgs = ((InternalEObject)interoperableservicesknowledgeitemset).eInverseRemove(this, EOPPOSITE_FEATURE_BASE - serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__INTEROPERABLESERVICESKNOWLEDGEITEMSET, null, msgs);
			if (newInteroperableservicesknowledgeitemset != null)
				msgs = ((InternalEObject)newInteroperableservicesknowledgeitemset).eInverseAdd(this, EOPPOSITE_FEATURE_BASE - serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__INTEROPERABLESERVICESKNOWLEDGEITEMSET, null, msgs);
			msgs = basicSetInteroperableservicesknowledgeitemset(newInteroperableservicesknowledgeitemset, msgs);
			if (msgs != null) msgs.dispatch();
		}
		else if (eNotificationRequired())
			eNotify(new ENotificationImpl(this, Notification.SET, serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__INTEROPERABLESERVICESKNOWLEDGEITEMSET, newInteroperableservicesknowledgeitemset, newInteroperableservicesknowledgeitemset));
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs) {
		switch (featureID) {
			case serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__MODELS:
				return ((InternalEList<?>)getModels()).basicRemove(otherEnd, msgs);
			case serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__RELATIONSHIPS:
				return ((InternalEList<?>)getRelationships()).basicRemove(otherEnd, msgs);
			case serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__SUCCESSFULSERVICESKNOWLEDGEITEMSET:
				return basicSetSuccessfulservicesknowledgeitemset(null, msgs);
			case serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__AVAILABLESERVICESKNOWLEDGEITEMSET:
				return basicSetAvailableservicesknowledgeitemset(null, msgs);
			case serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__COMMITTEDSERVICESKNOWLEDGEITEMSET:
				return basicSetCommittedservicesknowledgeitemset(null, msgs);
			case serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__FAILEDSERVICESKNOWLEDGEITEMSET:
				return basicSetFailedservicesknowledgeitemset(null, msgs);
			case serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__INTEROPERABLESERVICESKNOWLEDGEITEMSET:
				return basicSetInteroperableservicesknowledgeitemset(null, msgs);
		}
		return super.eInverseRemove(otherEnd, featureID, msgs);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
		switch (featureID) {
			case serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__MODELS:
				return getModels();
			case serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__RELATIONSHIPS:
				return getRelationships();
			case serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__SUCCESSFULSERVICESKNOWLEDGEITEMSET:
				return getSuccessfulservicesknowledgeitemset();
			case serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__AVAILABLESERVICESKNOWLEDGEITEMSET:
				return getAvailableservicesknowledgeitemset();
			case serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__COMMITTEDSERVICESKNOWLEDGEITEMSET:
				return getCommittedservicesknowledgeitemset();
			case serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__FAILEDSERVICESKNOWLEDGEITEMSET:
				return getFailedservicesknowledgeitemset();
			case serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__INTEROPERABLESERVICESKNOWLEDGEITEMSET:
				return getInteroperableservicesknowledgeitemset();
		}
		return super.eGet(featureID, resolve, coreType);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@SuppressWarnings("unchecked")
	@Override
	public void eSet(int featureID, Object newValue) {
		switch (featureID) {
			case serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__MODELS:
				getModels().clear();
				getModels().addAll((Collection<? extends PilarcosServiceOfferKnowledgeItemType>)newValue);
				return;
			case serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__RELATIONSHIPS:
				getRelationships().clear();
				getRelationships().addAll((Collection<? extends PilarcosServiceOfferKnowledgeItemTypeRelationship>)newValue);
				return;
			case serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__SUCCESSFULSERVICESKNOWLEDGEITEMSET:
				setSuccessfulservicesknowledgeitemset((PilarcosServiceOfferKnowledgeItemTypeRelationship)newValue);
				return;
			case serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__AVAILABLESERVICESKNOWLEDGEITEMSET:
				setAvailableservicesknowledgeitemset((PilarcosServiceOfferKnowledgeItemTypeRelationship)newValue);
				return;
			case serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__COMMITTEDSERVICESKNOWLEDGEITEMSET:
				setCommittedservicesknowledgeitemset((PilarcosServiceOfferKnowledgeItemTypeRelationship)newValue);
				return;
			case serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__FAILEDSERVICESKNOWLEDGEITEMSET:
				setFailedservicesknowledgeitemset((PilarcosServiceOfferKnowledgeItemTypeRelationship)newValue);
				return;
			case serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__INTEROPERABLESERVICESKNOWLEDGEITEMSET:
				setInteroperableservicesknowledgeitemset((PilarcosServiceOfferKnowledgeItemTypeRelationship)newValue);
				return;
		}
		super.eSet(featureID, newValue);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public void eUnset(int featureID) {
		switch (featureID) {
			case serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__MODELS:
				getModels().clear();
				return;
			case serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__RELATIONSHIPS:
				getRelationships().clear();
				return;
			case serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__SUCCESSFULSERVICESKNOWLEDGEITEMSET:
				setSuccessfulservicesknowledgeitemset((PilarcosServiceOfferKnowledgeItemTypeRelationship)null);
				return;
			case serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__AVAILABLESERVICESKNOWLEDGEITEMSET:
				setAvailableservicesknowledgeitemset((PilarcosServiceOfferKnowledgeItemTypeRelationship)null);
				return;
			case serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__COMMITTEDSERVICESKNOWLEDGEITEMSET:
				setCommittedservicesknowledgeitemset((PilarcosServiceOfferKnowledgeItemTypeRelationship)null);
				return;
			case serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__FAILEDSERVICESKNOWLEDGEITEMSET:
				setFailedservicesknowledgeitemset((PilarcosServiceOfferKnowledgeItemTypeRelationship)null);
				return;
			case serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__INTEROPERABLESERVICESKNOWLEDGEITEMSET:
				setInteroperableservicesknowledgeitemset((PilarcosServiceOfferKnowledgeItemTypeRelationship)null);
				return;
		}
		super.eUnset(featureID);
	}

	/**
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	@Override
	public boolean eIsSet(int featureID) {
		switch (featureID) {
			case serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__MODELS:
				return models != null && !models.isEmpty();
			case serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__RELATIONSHIPS:
				return relationships != null && !relationships.isEmpty();
			case serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__SUCCESSFULSERVICESKNOWLEDGEITEMSET:
				return successfulservicesknowledgeitemset != null;
			case serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__AVAILABLESERVICESKNOWLEDGEITEMSET:
				return availableservicesknowledgeitemset != null;
			case serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__COMMITTEDSERVICESKNOWLEDGEITEMSET:
				return committedservicesknowledgeitemset != null;
			case serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__FAILEDSERVICESKNOWLEDGEITEMSET:
				return failedservicesknowledgeitemset != null;
			case serviceofferknowledgerepositoryPackage.SERVICE_OFFER_KNOWLEDGE_REPOSITORY_MODEL__INTEROPERABLESERVICESKNOWLEDGEITEMSET:
				return interoperableservicesknowledgeitemset != null;
		}
		return super.eIsSet(featureID);
	}

} //ServiceOfferKnowledgeRepositoryModelImpl
