package org.cinco.pilarcos.contractualfeaturerepository.service;
import org.cinco.pilarcos.contractualfeaturerepository.contractualfeature.ContractualFeature;

public interface ContractualFeatureRepository extends ContractualFeatureRepositoryItemSet{
	public ContractualFeature addToItemSet(java.lang.String identifier, ContractualFeatureRepositoryEnum itemSetID) 
		throws ContractualFeatureRepositoryException;	

	public ContractualFeature addToItemSet(java.lang.String identifier, java.lang.String itemSetName)
		throws ContractualFeatureRepositoryException;

	public ContractualFeature removeFromItemSet(java.lang.String identifier, ContractualFeatureRepositoryEnum itemSetID) 
		throws ContractualFeatureRepositoryException;	

	public ContractualFeature removeFromItemSet(java.lang.String identifier, java.lang.String itemSetName)
		throws ContractualFeatureRepositoryException;

	public ContractualFeature createItem(ContractualFeature item, ContractualFeatureRepositoryEnum itemSetID) 
		throws ContractualFeatureRepositoryException;

	public ContractualFeature createItem(ContractualFeature item, java.lang.String itemSetName) 
		throws ContractualFeatureRepositoryException;

	public ContractualFeature readItem(java.lang.String identifier, ContractualFeatureRepositoryEnum itemSetID) 
		throws ContractualFeatureRepositoryException;

	public ContractualFeature readItem(java.lang.String identifier, java.lang.String itemSetName) 
		throws ContractualFeatureRepositoryException;

	public ContractualFeature updateItem(java.lang.String identifier, ContractualFeature item, ContractualFeatureRepositoryEnum itemSetID) 
		throws ContractualFeatureRepositoryException;

	public ContractualFeature updateItem(java.lang.String identifier, ContractualFeature item, java.lang.String itemSetName) 
		throws ContractualFeatureRepositoryException;

	public ContractualFeature deleteItem(java.lang.String identifier, ContractualFeatureRepositoryEnum itemSetID) 
		throws ContractualFeatureRepositoryException;

	public ContractualFeature deleteItem(java.lang.String identifier, java.lang.String itemSetName) 
		throws ContractualFeatureRepositoryException;
} 
 
