package org.cinco.pilarcos.contractualpropertyrepository.service;
import org.cinco.pilarcos.contractualpropertyrepository.contractualproperty.ContractualProperty;

public interface ContractualPropertyRepository extends ContractualPropertyRepositoryItemSet{
	public ContractualProperty addToItemSet(java.lang.String identifier, ContractualPropertyRepositoryEnum itemSetID) 
		throws ContractualPropertyRepositoryException;	

	public ContractualProperty addToItemSet(java.lang.String identifier, java.lang.String itemSetName)
		throws ContractualPropertyRepositoryException;

	public ContractualProperty removeFromItemSet(java.lang.String identifier, ContractualPropertyRepositoryEnum itemSetID) 
		throws ContractualPropertyRepositoryException;	

	public ContractualProperty removeFromItemSet(java.lang.String identifier, java.lang.String itemSetName)
		throws ContractualPropertyRepositoryException;

	public ContractualProperty createItem(ContractualProperty item, ContractualPropertyRepositoryEnum itemSetID) 
		throws ContractualPropertyRepositoryException;

	public ContractualProperty createItem(ContractualProperty item, java.lang.String itemSetName) 
		throws ContractualPropertyRepositoryException;

	public ContractualProperty readItem(java.lang.String identifier, ContractualPropertyRepositoryEnum itemSetID) 
		throws ContractualPropertyRepositoryException;

	public ContractualProperty readItem(java.lang.String identifier, java.lang.String itemSetName) 
		throws ContractualPropertyRepositoryException;

	public ContractualProperty updateItem(java.lang.String identifier, ContractualProperty item, ContractualPropertyRepositoryEnum itemSetID) 
		throws ContractualPropertyRepositoryException;

	public ContractualProperty updateItem(java.lang.String identifier, ContractualProperty item, java.lang.String itemSetName) 
		throws ContractualPropertyRepositoryException;

	public ContractualProperty deleteItem(java.lang.String identifier, ContractualPropertyRepositoryEnum itemSetID) 
		throws ContractualPropertyRepositoryException;

	public ContractualProperty deleteItem(java.lang.String identifier, java.lang.String itemSetName) 
		throws ContractualPropertyRepositoryException;
} 
 
