package org.cinco.pilarcos.cooperativepropertyrepository.service;
import org.cinco.pilarcos.cooperativepropertyrepository.cooperativeproperty.CooperativeProperty;

public interface CooperativePropertyRepository extends CooperativePropertyRepositoryItemSet{
	public CooperativeProperty addToItemSet(java.lang.String identifier, CooperativePropertyRepositoryEnum itemSetID) 
		throws CooperativePropertyRepositoryException;	

	public CooperativeProperty addToItemSet(java.lang.String identifier, java.lang.String itemSetName)
		throws CooperativePropertyRepositoryException;

	public CooperativeProperty removeFromItemSet(java.lang.String identifier, CooperativePropertyRepositoryEnum itemSetID) 
		throws CooperativePropertyRepositoryException;	

	public CooperativeProperty removeFromItemSet(java.lang.String identifier, java.lang.String itemSetName)
		throws CooperativePropertyRepositoryException;

	public CooperativeProperty createItem(CooperativeProperty item, CooperativePropertyRepositoryEnum itemSetID) 
		throws CooperativePropertyRepositoryException;

	public CooperativeProperty createItem(CooperativeProperty item, java.lang.String itemSetName) 
		throws CooperativePropertyRepositoryException;

	public CooperativeProperty readItem(java.lang.String identifier, CooperativePropertyRepositoryEnum itemSetID) 
		throws CooperativePropertyRepositoryException;

	public CooperativeProperty readItem(java.lang.String identifier, java.lang.String itemSetName) 
		throws CooperativePropertyRepositoryException;

	public CooperativeProperty updateItem(java.lang.String identifier, CooperativeProperty item, CooperativePropertyRepositoryEnum itemSetID) 
		throws CooperativePropertyRepositoryException;

	public CooperativeProperty updateItem(java.lang.String identifier, CooperativeProperty item, java.lang.String itemSetName) 
		throws CooperativePropertyRepositoryException;

	public CooperativeProperty deleteItem(java.lang.String identifier, CooperativePropertyRepositoryEnum itemSetID) 
		throws CooperativePropertyRepositoryException;

	public CooperativeProperty deleteItem(java.lang.String identifier, java.lang.String itemSetName) 
		throws CooperativePropertyRepositoryException;
} 
 
