package org.cinco.pilarcos.experiencereportrepository.service;
import org.cinco.pilarcos.experiencereportrepository.experiencereportknowledgeitemtype.ExperienceReportKnowledgeItemType;

public interface ExperienceReportRepository extends ExperienceReportRepositoryItemSet{
	public ExperienceReportKnowledgeItemType addToItemSet(java.lang.String identifier, ExperienceReportRepositoryEnum itemSetID) 
		throws ExperienceReportRepositoryException;	

	public ExperienceReportKnowledgeItemType addToItemSet(java.lang.String identifier, java.lang.String itemSetName)
		throws ExperienceReportRepositoryException;

	public ExperienceReportKnowledgeItemType removeFromItemSet(java.lang.String identifier, ExperienceReportRepositoryEnum itemSetID) 
		throws ExperienceReportRepositoryException;	

	public ExperienceReportKnowledgeItemType removeFromItemSet(java.lang.String identifier, java.lang.String itemSetName)
		throws ExperienceReportRepositoryException;

	public ExperienceReportKnowledgeItemType createItem(ExperienceReportKnowledgeItemType item, ExperienceReportRepositoryEnum itemSetID) 
		throws ExperienceReportRepositoryException;

	public ExperienceReportKnowledgeItemType createItem(ExperienceReportKnowledgeItemType item, java.lang.String itemSetName) 
		throws ExperienceReportRepositoryException;

	public ExperienceReportKnowledgeItemType readItem(java.lang.String identifier, ExperienceReportRepositoryEnum itemSetID) 
		throws ExperienceReportRepositoryException;

	public ExperienceReportKnowledgeItemType readItem(java.lang.String identifier, java.lang.String itemSetName) 
		throws ExperienceReportRepositoryException;

	public ExperienceReportKnowledgeItemType updateItem(java.lang.String identifier, ExperienceReportKnowledgeItemType item, ExperienceReportRepositoryEnum itemSetID) 
		throws ExperienceReportRepositoryException;

	public ExperienceReportKnowledgeItemType updateItem(java.lang.String identifier, ExperienceReportKnowledgeItemType item, java.lang.String itemSetName) 
		throws ExperienceReportRepositoryException;

	public ExperienceReportKnowledgeItemType deleteItem(java.lang.String identifier, ExperienceReportRepositoryEnum itemSetID) 
		throws ExperienceReportRepositoryException;

	public ExperienceReportKnowledgeItemType deleteItem(java.lang.String identifier, java.lang.String itemSetName) 
		throws ExperienceReportRepositoryException;
} 
 
