package org.cinco.pilarcos.extrafunctionalfeaturerepository.service;
import org.cinco.pilarcos.extrafunctionalfeaturerepository.extrafunctionalfeature.ExtraFunctionalFeature;

public interface ExtraFunctionalFeatureRepository extends ExtraFunctionalFeatureRepositoryItemSet{
	public ExtraFunctionalFeature addToItemSet(java.lang.String identifier, ExtraFunctionalFeatureRepositoryEnum itemSetID) 
		throws ExtraFunctionalFeatureRepositoryException;	

	public ExtraFunctionalFeature addToItemSet(java.lang.String identifier, java.lang.String itemSetName)
		throws ExtraFunctionalFeatureRepositoryException;

	public ExtraFunctionalFeature removeFromItemSet(java.lang.String identifier, ExtraFunctionalFeatureRepositoryEnum itemSetID) 
		throws ExtraFunctionalFeatureRepositoryException;	

	public ExtraFunctionalFeature removeFromItemSet(java.lang.String identifier, java.lang.String itemSetName)
		throws ExtraFunctionalFeatureRepositoryException;

	public ExtraFunctionalFeature createItem(ExtraFunctionalFeature item, ExtraFunctionalFeatureRepositoryEnum itemSetID) 
		throws ExtraFunctionalFeatureRepositoryException;

	public ExtraFunctionalFeature createItem(ExtraFunctionalFeature item, java.lang.String itemSetName) 
		throws ExtraFunctionalFeatureRepositoryException;

	public ExtraFunctionalFeature readItem(java.lang.String identifier, ExtraFunctionalFeatureRepositoryEnum itemSetID) 
		throws ExtraFunctionalFeatureRepositoryException;

	public ExtraFunctionalFeature readItem(java.lang.String identifier, java.lang.String itemSetName) 
		throws ExtraFunctionalFeatureRepositoryException;

	public ExtraFunctionalFeature updateItem(java.lang.String identifier, ExtraFunctionalFeature item, ExtraFunctionalFeatureRepositoryEnum itemSetID) 
		throws ExtraFunctionalFeatureRepositoryException;

	public ExtraFunctionalFeature updateItem(java.lang.String identifier, ExtraFunctionalFeature item, java.lang.String itemSetName) 
		throws ExtraFunctionalFeatureRepositoryException;

	public ExtraFunctionalFeature deleteItem(java.lang.String identifier, ExtraFunctionalFeatureRepositoryEnum itemSetID) 
		throws ExtraFunctionalFeatureRepositoryException;

	public ExtraFunctionalFeature deleteItem(java.lang.String identifier, java.lang.String itemSetName) 
		throws ExtraFunctionalFeatureRepositoryException;
} 
 
