package org.cinco.pilarcos.organizationkindrepository.service;
import org.cinco.pilarcos.organizationkindrepository.organizationkindknowledgeitemtype.OrganizationKindKnowledgeItemType;

public interface OrganizationKindRepository extends OrganizationKindRepositoryItemSet{
	public OrganizationKindKnowledgeItemType addToItemSet(java.lang.String identifier, OrganizationKindRepositoryEnum itemSetID) 
		throws OrganizationKindRepositoryException;	

	public OrganizationKindKnowledgeItemType addToItemSet(java.lang.String identifier, java.lang.String itemSetName)
		throws OrganizationKindRepositoryException;

	public OrganizationKindKnowledgeItemType removeFromItemSet(java.lang.String identifier, OrganizationKindRepositoryEnum itemSetID) 
		throws OrganizationKindRepositoryException;	

	public OrganizationKindKnowledgeItemType removeFromItemSet(java.lang.String identifier, java.lang.String itemSetName)
		throws OrganizationKindRepositoryException;

	public OrganizationKindKnowledgeItemType createItem(OrganizationKindKnowledgeItemType item, OrganizationKindRepositoryEnum itemSetID) 
		throws OrganizationKindRepositoryException;

	public OrganizationKindKnowledgeItemType createItem(OrganizationKindKnowledgeItemType item, java.lang.String itemSetName) 
		throws OrganizationKindRepositoryException;

	public OrganizationKindKnowledgeItemType readItem(java.lang.String identifier, OrganizationKindRepositoryEnum itemSetID) 
		throws OrganizationKindRepositoryException;

	public OrganizationKindKnowledgeItemType readItem(java.lang.String identifier, java.lang.String itemSetName) 
		throws OrganizationKindRepositoryException;

	public OrganizationKindKnowledgeItemType updateItem(java.lang.String identifier, OrganizationKindKnowledgeItemType item, OrganizationKindRepositoryEnum itemSetID) 
		throws OrganizationKindRepositoryException;

	public OrganizationKindKnowledgeItemType updateItem(java.lang.String identifier, OrganizationKindKnowledgeItemType item, java.lang.String itemSetName) 
		throws OrganizationKindRepositoryException;

	public OrganizationKindKnowledgeItemType deleteItem(java.lang.String identifier, OrganizationKindRepositoryEnum itemSetID) 
		throws OrganizationKindRepositoryException;

	public OrganizationKindKnowledgeItemType deleteItem(java.lang.String identifier, java.lang.String itemSetName) 
		throws OrganizationKindRepositoryException;
} 
 
