package org.cinco.pilarcos.pilarcosendpointrepository.service;
import org.cinco.pilarcos.pilarcosendpointrepository.pilarcosendpointknowledgeitemtype.PilarcosEndpointKnowledgeItemType;

public interface PilarcosEndpointRepository extends PilarcosEndpointRepositoryItemSet{
	public PilarcosEndpointKnowledgeItemType addToItemSet(java.lang.String identifier, PilarcosEndpointRepositoryEnum itemSetID) 
		throws PilarcosEndpointRepositoryException;	

	public PilarcosEndpointKnowledgeItemType addToItemSet(java.lang.String identifier, java.lang.String itemSetName)
		throws PilarcosEndpointRepositoryException;

	public PilarcosEndpointKnowledgeItemType removeFromItemSet(java.lang.String identifier, PilarcosEndpointRepositoryEnum itemSetID) 
		throws PilarcosEndpointRepositoryException;	

	public PilarcosEndpointKnowledgeItemType removeFromItemSet(java.lang.String identifier, java.lang.String itemSetName)
		throws PilarcosEndpointRepositoryException;

	public PilarcosEndpointKnowledgeItemType createItem(PilarcosEndpointKnowledgeItemType item, PilarcosEndpointRepositoryEnum itemSetID) 
		throws PilarcosEndpointRepositoryException;

	public PilarcosEndpointKnowledgeItemType createItem(PilarcosEndpointKnowledgeItemType item, java.lang.String itemSetName) 
		throws PilarcosEndpointRepositoryException;

	public PilarcosEndpointKnowledgeItemType readItem(java.lang.String identifier, PilarcosEndpointRepositoryEnum itemSetID) 
		throws PilarcosEndpointRepositoryException;

	public PilarcosEndpointKnowledgeItemType readItem(java.lang.String identifier, java.lang.String itemSetName) 
		throws PilarcosEndpointRepositoryException;

	public PilarcosEndpointKnowledgeItemType updateItem(java.lang.String identifier, PilarcosEndpointKnowledgeItemType item, PilarcosEndpointRepositoryEnum itemSetID) 
		throws PilarcosEndpointRepositoryException;

	public PilarcosEndpointKnowledgeItemType updateItem(java.lang.String identifier, PilarcosEndpointKnowledgeItemType item, java.lang.String itemSetName) 
		throws PilarcosEndpointRepositoryException;

	public PilarcosEndpointKnowledgeItemType deleteItem(java.lang.String identifier, PilarcosEndpointRepositoryEnum itemSetID) 
		throws PilarcosEndpointRepositoryException;

	public PilarcosEndpointKnowledgeItemType deleteItem(java.lang.String identifier, java.lang.String itemSetName) 
		throws PilarcosEndpointRepositoryException;
} 
 
