package org.cinco.pilarcos.reputationknowledgerepository.service;
import org.cinco.pilarcos.reputationknowledgerepository.experiencereportknowledgeitemtype.ExperienceReportKnowledgeItemType;

public interface ReputationKnowledgeRepository extends ReputationKnowledgeRepositoryItemSet{
	public ExperienceReportKnowledgeItemType addToItemSet(java.lang.String identifier, ReputationKnowledgeRepositoryEnum itemSetID) 
		throws ReputationKnowledgeRepositoryException;	

	public ExperienceReportKnowledgeItemType addToItemSet(java.lang.String identifier, java.lang.String itemSetName)
		throws ReputationKnowledgeRepositoryException;

	public ExperienceReportKnowledgeItemType removeFromItemSet(java.lang.String identifier, ReputationKnowledgeRepositoryEnum itemSetID) 
		throws ReputationKnowledgeRepositoryException;	

	public ExperienceReportKnowledgeItemType removeFromItemSet(java.lang.String identifier, java.lang.String itemSetName)
		throws ReputationKnowledgeRepositoryException;

	public ExperienceReportKnowledgeItemType createItem(ExperienceReportKnowledgeItemType item, ReputationKnowledgeRepositoryEnum itemSetID) 
		throws ReputationKnowledgeRepositoryException;

	public ExperienceReportKnowledgeItemType createItem(ExperienceReportKnowledgeItemType item, java.lang.String itemSetName) 
		throws ReputationKnowledgeRepositoryException;

	public ExperienceReportKnowledgeItemType readItem(java.lang.String identifier, ReputationKnowledgeRepositoryEnum itemSetID) 
		throws ReputationKnowledgeRepositoryException;

	public ExperienceReportKnowledgeItemType readItem(java.lang.String identifier, java.lang.String itemSetName) 
		throws ReputationKnowledgeRepositoryException;

	public ExperienceReportKnowledgeItemType updateItem(java.lang.String identifier, ExperienceReportKnowledgeItemType item, ReputationKnowledgeRepositoryEnum itemSetID) 
		throws ReputationKnowledgeRepositoryException;

	public ExperienceReportKnowledgeItemType updateItem(java.lang.String identifier, ExperienceReportKnowledgeItemType item, java.lang.String itemSetName) 
		throws ReputationKnowledgeRepositoryException;

	public ExperienceReportKnowledgeItemType deleteItem(java.lang.String identifier, ReputationKnowledgeRepositoryEnum itemSetID) 
		throws ReputationKnowledgeRepositoryException;

	public ExperienceReportKnowledgeItemType deleteItem(java.lang.String identifier, java.lang.String itemSetName) 
		throws ReputationKnowledgeRepositoryException;
} 
 
