package org.cinco.pilarcos.rsbusinessservicerepository.service;
import org.cinco.pilarcos.rsbusinessservicerepository.rsbusinessserviceknowledgeitemtype.RSBusinessServiceKnowledgeItemType;

public interface RSBusinessServiceRepository extends RSBusinessServiceRepositoryItemSet{
	public RSBusinessServiceKnowledgeItemType addToItemSet(java.lang.String identifier, RSBusinessServiceRepositoryEnum itemSetID) 
		throws RSBusinessServiceRepositoryException;	

	public RSBusinessServiceKnowledgeItemType addToItemSet(java.lang.String identifier, java.lang.String itemSetName)
		throws RSBusinessServiceRepositoryException;

	public RSBusinessServiceKnowledgeItemType removeFromItemSet(java.lang.String identifier, RSBusinessServiceRepositoryEnum itemSetID) 
		throws RSBusinessServiceRepositoryException;	

	public RSBusinessServiceKnowledgeItemType removeFromItemSet(java.lang.String identifier, java.lang.String itemSetName)
		throws RSBusinessServiceRepositoryException;

	public RSBusinessServiceKnowledgeItemType createItem(RSBusinessServiceKnowledgeItemType item, RSBusinessServiceRepositoryEnum itemSetID) 
		throws RSBusinessServiceRepositoryException;

	public RSBusinessServiceKnowledgeItemType createItem(RSBusinessServiceKnowledgeItemType item, java.lang.String itemSetName) 
		throws RSBusinessServiceRepositoryException;

	public RSBusinessServiceKnowledgeItemType readItem(java.lang.String identifier, RSBusinessServiceRepositoryEnum itemSetID) 
		throws RSBusinessServiceRepositoryException;

	public RSBusinessServiceKnowledgeItemType readItem(java.lang.String identifier, java.lang.String itemSetName) 
		throws RSBusinessServiceRepositoryException;

	public RSBusinessServiceKnowledgeItemType updateItem(java.lang.String identifier, RSBusinessServiceKnowledgeItemType item, RSBusinessServiceRepositoryEnum itemSetID) 
		throws RSBusinessServiceRepositoryException;

	public RSBusinessServiceKnowledgeItemType updateItem(java.lang.String identifier, RSBusinessServiceKnowledgeItemType item, java.lang.String itemSetName) 
		throws RSBusinessServiceRepositoryException;

	public RSBusinessServiceKnowledgeItemType deleteItem(java.lang.String identifier, RSBusinessServiceRepositoryEnum itemSetID) 
		throws RSBusinessServiceRepositoryException;

	public RSBusinessServiceKnowledgeItemType deleteItem(java.lang.String identifier, java.lang.String itemSetName) 
		throws RSBusinessServiceRepositoryException;
} 
 
