package org.cinco.pilarcos.serviceofferrepository.service;
import org.cinco.pilarcos.serviceofferrepository.pilarcosserviceofferknowledgeitemtype.PilarcosServiceOfferKnowledgeItemType;

public interface ServiceOfferRepository extends ServiceOfferRepositoryItemSet{
	public PilarcosServiceOfferKnowledgeItemType addToItemSet(java.lang.String identifier, ServiceOfferRepositoryEnum itemSetID) 
		throws ServiceOfferRepositoryException;	

	public PilarcosServiceOfferKnowledgeItemType addToItemSet(java.lang.String identifier, java.lang.String itemSetName)
		throws ServiceOfferRepositoryException;

	public PilarcosServiceOfferKnowledgeItemType removeFromItemSet(java.lang.String identifier, ServiceOfferRepositoryEnum itemSetID) 
		throws ServiceOfferRepositoryException;	

	public PilarcosServiceOfferKnowledgeItemType removeFromItemSet(java.lang.String identifier, java.lang.String itemSetName)
		throws ServiceOfferRepositoryException;

	public PilarcosServiceOfferKnowledgeItemType createItem(PilarcosServiceOfferKnowledgeItemType item, ServiceOfferRepositoryEnum itemSetID) 
		throws ServiceOfferRepositoryException;

	public PilarcosServiceOfferKnowledgeItemType createItem(PilarcosServiceOfferKnowledgeItemType item, java.lang.String itemSetName) 
		throws ServiceOfferRepositoryException;

	public PilarcosServiceOfferKnowledgeItemType readItem(java.lang.String identifier, ServiceOfferRepositoryEnum itemSetID) 
		throws ServiceOfferRepositoryException;

	public PilarcosServiceOfferKnowledgeItemType readItem(java.lang.String identifier, java.lang.String itemSetName) 
		throws ServiceOfferRepositoryException;

	public PilarcosServiceOfferKnowledgeItemType updateItem(java.lang.String identifier, PilarcosServiceOfferKnowledgeItemType item, ServiceOfferRepositoryEnum itemSetID) 
		throws ServiceOfferRepositoryException;

	public PilarcosServiceOfferKnowledgeItemType updateItem(java.lang.String identifier, PilarcosServiceOfferKnowledgeItemType item, java.lang.String itemSetName) 
		throws ServiceOfferRepositoryException;

	public PilarcosServiceOfferKnowledgeItemType deleteItem(java.lang.String identifier, ServiceOfferRepositoryEnum itemSetID) 
		throws ServiceOfferRepositoryException;

	public PilarcosServiceOfferKnowledgeItemType deleteItem(java.lang.String identifier, java.lang.String itemSetName) 
		throws ServiceOfferRepositoryException;
} 
 
